labplot (2.9.0+git11446-d3fbae62c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: d3fbae62c41698d7684f2ef11c1f939f3147cbe1
  * Date: 1682415512
  * git changelog:
  *  d3fbae62c - disable tumbleweed
  *  c99676bc6 - disable tumbleweed
  *  e7f534ca6 - Enable Linux and Windows CI build
  *  a2997ee33 - GIT_SILENT Sync po/docbooks with svn
  *  8fe1125e4 - Fix string typos
  *  d67f17071 - GIT_SILENT Sync po/docbooks with svn
  *  95e212ecb - cleanup value labels and make init and deinit private,
    because add and remove/removeAll shall be used. setMode directly
    migrates the value labels now if possible
  *  3b897b834 - use QDEBUG, because windows build complains
  *  85d958fb4 - initialize value labels if not yet initialized
  *  2362670ae - rename function names to a better value and add public
    initialize valueLabels function
  *  99ed6fff4 - set default mode
  *  05d830301 - GIT_SILENT Sync po/docbooks with svn
  *  2e191f38f - remove not needed source file
  *  5f13ef0c7 - GIT_SILENT Sync po/docbooks with svn
  *  926d1039e - GIT_SILENT Sync po/docbooks with svn
  *  9ee636f45 - CI: enable all working targets
  *  a351ef018 - CI: use correct flatpak image
  *  9975ef50b - CI: activate own flatpak target
  *  e914b296f - CI: use own flatpak target
  *  841f145cf - CI: disable all targets to fix flatplak
  *  8e1af0376 - CI: fix syntax
  *  28d804852 - CI: try provided flatpak
  *  2b6573607 - CI: add cppcheck
  *  bf9fc4455 - CI: disable tumbelweed until readstat is fixed
  *  fa641ae6d - GIT_SILENT Sync po/docbooks with svn
  *  f3b4d3d19 - Fix compile on OpenBSD
  *  424e30eb9 - GIT_SILENT changelog
  *  368837fa7 - Use system QXlsx headers if building against system
    QXlsx
  *  6d8943690 - GIT_SILENT Sync po/docbooks with svn
  *  22c553af4 - Fix discount 3 support
  *  80340872e - support discount version 3
  *  4eeb937bb - GIT_SILENT Sync po/docbooks with svn
  *  17471ee61 - Fix compiler warnings
  *  2ea9a9ae2 - enable Vector BLF in scripts
  *  8d000744f - Move cbY2DataColumn also into XYAnalysisCurveDock
    Reason: y2DataColumn is also in XYAnalysisCurvePrivate so make it
    the same structure
  *  1fe3857b4 - set value in spinbox correctly, Auto is the mode with
    automatically 5 times datapoints, Multiple is custom
  *  280b2e85d - update settings correctly
  *  52d62fb6b - format
  *  e28f6fb9c - Revert move restorePointers to the end, because state
    is in the ProjectExplorer. In the tests, it will not be created and
    therefore restorePointers will never called in the tests
  *  f09097e24 - XYAnalysisCurveDock: move setModel() into this class
    and call it from all derived classes
  *  216cd5ca6 - Rename function to setAxesColumnLabels
  *  d0adce94f - Use value labels for first y axis if possible, so this
    step must not be done manually.
  *  98813f8e4 - Rename radiobuttons to a better name
  *  3a3b00f8e - GIT_SILENT Sync po/docbooks with svn
  *  c4f26ed8d - Add to changelog
  *  bc54e59d6 - use template to reduce lines of code
  *  7e13c1875 - Add Test
  *  1f6c411f8 - text must be set
  *  27f5cd515 - WIP
  *  e5bcaeffd - GIT_SILENT Sync po/docbooks with svn
  *  a51d3844b - update flatpak build
  *  98b4d8705 - tests: make Vector BLF optional
  *  759b67eea - BLF: make optional
  *  145b1a800 - INSTALL: update Vector BLF
  *  21bfcd6cd - BLF: disable local build per default since git may not
    be allowed
  *  9062fc2ff - GIT_SILENT Sync po/docbooks with svn
  *  63aac165b - GIT_SILENT Sync po/docbooks with svn
  *  01f839cf1 - GIT_SILENT Sync po/docbooks with svn
  *  56101848e - GIT_SILENT Sync po/docbooks with svn
  *  98e4ad8de - [spreadsheet] fixed layout issues caused by two
    expanding widgets in the layout by adding/removing the additional
    vertical spacer on demand at runtime and not in the ui file and
    small type fix in the ExportSpreadsheetWidget.
  *  81acd2e49 - GIT_SILENT Sync po/docbooks with svn
  *  66d07cef1 - [spreadsheet] reduced the peak memory consumption when
    pasting the data into the spreadsheet by releasing the temporary
    containers more eager. Also, handle the bad_alloc exception in order
    not to crash the whole application when running out of memory during
    this step. More optimizations will be done in
    https://invent.kde.org/education/labplot/-/issues/549.
  *  27f7fd393 - GIT_SILENT Sync po/docbooks with svn
  *  0a486e9a5 - GIT_SILENT Sync po/docbooks with svn
  *  9dd415607 - tests: Fix xlsx test
  *  e2c0888c2 - fix build
  *  fc63bdc6a - remove not needed stuff
  *  8a9785063 - Reason:
  *  b73d01898 - Reason:
  *  6ef93bb49 - Description: Add possibilty to add custom column mode
    to the value labels Reason: Because in some situations the column
    mode might be integer, but the column it self has double. This
    happens when reading CAN data in combination with a dbc file Files:
    Column.cpp, Column.h, ColumnPrivate.cpp, and 5 more files
  *  7c4984ce9 - GIT_SILENT Sync po/docbooks with svn
  *  a675667ae - GIT_SILENT Sync po/docbooks with svn
  *  f7b7da04a - GIT_SILENT Sync po/docbooks with svn
  *  75d0f116b - Fix finding QXlsx with latest versions
  *  18f281d28 - handle all worksheetelements, because all of them have
    a csystem if the are bound to the coordinatesystem?
  *  b24c04446 - checking for xyanalysiscurve is not needed, because it
    is a derivative of Plot
  *  25b3669ac - handle all derivatives of Plot. So also histogram,
    boxplot and barplot can be zoomed without changing other ranges
  *  ea9728087 - If the html does not contain any background color
    information, format.background().color() returns black which is not
    correct
  *  031790228 - One retransform is needed Reason: Due to the change of
    the range index in the coordinatesystem, the scales are wrong and
    need a recalculation
  *  f35bf2db3 - No need to retransform scale Reason: It will be done
    already when setting a new range index to the coordinatesystem
  *  dd511dc30 - When setting a new range to the coordinatesystem, the
    coordinatesystem must be rescaled fixes #539
  *  3ef81578e - GIT_SILENT Sync po/docbooks with svn
  *  b55e1e8e8 - GIT_SILENT Sync po/docbooks with svn
  *  48e7c8c04 - fixes #538
  *  a9e616f39 - GIT_SILENT Sync po/docbooks with svn
  *  5a3fa8ff6 - GIT_SILENT Sync po/docbooks with svn
  *  bfc69ca0c - GIT_SILENT Sync po/docbooks with svn
  *  78f004a05 - Apply 6 suggestion(s) to 1 file(s)
  *  1bc058119 - Update UI to place all checkboxes into the second
    column and the image checkboxes under the image. Hide relative
    checkbox if embedded is used
  *  92cddc98b - Fix Datetime test Reason: QVector3D uses internally
    float, which does not have a good accuracy. So implement own vector
    using doubles. The problem is that datetimes in ms are really large
    values and therefore a high accuracy is needed
  *  053358d25 - Implement changing from relative to absolute correctly
  *  f92a8b0c9 - Emit signal as soon as project got saved, so the
    relative checkbox can be enabled
  *  d3a2f4a17 - When importing new image, and embedded is turned on,
    replace the embedded image
  *  088f95b6d - Add missing widgets again Reason: During rebase they
    got discarded, so add them again
  *  617e1315e - add more tests
  *  ca8fa2cdd - implement adding image from the clipboard
  *  a1a95ba87 - fix embedding file
  *  85b6f2293 - Reason:
  *  e579a1aff - Reason:
  *  4c18dc188 - add comment
  *  51a9ed8d8 - add tests
  *  67d33caf7 - implement datetime columns for the datapickercurve
  *  79e03288e - set locale
  *  ff53f1c58 - update after all segments where added so a lot of
    resizes and updatePoints can be saved
  *  636463b58 - resize datasheet only if really needed
  *  c8316c98d - do not execute unneccesary updatePoints
  *  8c358eae8 - Reason:
  *  6a7913c67 - Disable tumbleweed, because the build fails due to new
    gcc used. GCC12 is the current stable, but Tumpleweed introduced
    GCC13 and now the build fails
  *  02dfe00da - GIT_SILENT Sync po/docbooks with svn
  *  1d6392639 - GIT_SILENT Sync po/docbooks with svn
  *  fd81bc772 - GIT_SILENT Sync po/docbooks with svn
  *  a4223ffd5 - GIT_SILENT Sync po/docbooks with svn

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 25 Apr 2023 19:13:16 +0000

labplot (2.9.0+git11334-9eb064dda-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 9eb064dda3894cc974e67e4cd8027f416843c333
  * Date: 1679622393
  * git changelog:
  *  9eb064dda - GIT_SILENT Sync po/docbooks with svn
  *  d70acd63c - GIT_SILENT Sync po/docbooks with svn
  *  5f071a734 - Limit filenames to *.dbc file endings Reason:No need to
    list all files even they are not relevant
  *  1949c1f31 - GIT_SILENT Sync po/docbooks with svn
  *  13e1cdb82 - GIT_SILENT Sync po/docbooks with svn
  *  09c6b0a62 - GIT_SILENT Sync po/docbooks with svn
  *  b0afd039d - GIT_SILENT Sync po/docbooks with svn
  *  2932c0493 - GIT_SILENT Sync po/docbooks with svn
  *  6972d4fc5 - Updated git and SLOC statistics and minor fixes in
    StaticticsColumnDialog.
  *  8aaff5ad1 - Prepare release
  *  f7bbaf88c - GIT_SILENT Sync po/docbooks with svn
  *  34654c2f4 - packaging: update dmg script
  *  cf8161764 - GIT_SILENT Sync po/docbooks with svn
  *  74ea63b64 - GIT_SILENT Sync po/docbooks with svn
  *  7f143ffea - [xlsx import] removed the QVector::reserve() calls with
    the size equal to the total number of columns to be imported, the
    vectors are resized later properly when adding the relevant column
    data pointers only.
  *  dd0837546 - GIT_SILENT Sync po/docbooks with svn
  *  287c65c4f - xlsx import: support using first row as header in
    preview
  *  c8abb5fdd - xlsx import: fix preview table header
  *  c7a52ed7b - [worksheet] if latex or markdown mode is used in
    LabelWidget, use the default palette from the desktop theme since we
    have additional highlighting for latex and markdown and we don't
    want it to collide with the modified background color of QTextEdit.
    Modify it only for rich-text.
  *  dfd955b7e - GIT_SILENT Sync po/docbooks with svn
  *  fb3617917 - CI: flatpak only for master
  *  f4e2b933e - [spreadsheet] properly show the heatmap color for
    values that are bigger than the max value of the range specified for
    the heatmap formatting.
  *  b1fd51174 - [worksheet] in the dock widgets for the analysis curves
    use the full width of the last column in the layout for the ranges
    combobox so we have more space for long ranges texts like with
    DateTime, etc. Similarly it's already done in all other dock
    widgets.
  *  64f19f14c - Apply 1 suggestion(s) to 1 file(s)
  *  0a0e0cfeb - enable tests again Reason: they were disabled, because
    the Windows CI takes extremely long if the are enabled
  *  471536784 - Do not allow selecting also the suffix and the prefix
    Reason: Otherwise the strip function not anymore be able to remove
    the suffix or prefix if parts of it (even only the whitespace) was
    removed
  *  ccda3105c - [examples] updated Basic Plots example project to
    include rug plots also for histograms and box plots.
  *  2297bec05 - Use datetime edit, if the type of the range is datetime
    Reason: Otherwise the numeric value is shown, which looks not good.
    Fixes #533
  *  53f560d19 - Minor layout and wording fixes.
  *  b3fadc196 - GIT_SILENT Sync po/docbooks with svn
  *  8b98096f5 - cmake: Try fixing FreeBSD build
  *  acf4c3abc - cmake: Try fixing FreeBSD build
  *  79cd9f625 - cmake: Require Qt5 (Qt6 not supported yet)
  *  c697bb559 - cmake: Require Qt5 (Qt6 not supported yet)
  *  a9216c719 - cmake: more Qt6 improvements

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 24 Mar 2023 20:21:38 +0000

labplot (2.9.0+git11299-4a3c2026a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 4a3c2026a1d72dc357afb5770eea1ad305e2ed0a
  * Date: 1678499873
  * git changelog:
  *  4a3c2026a - GIT_SILENT Sync po/docbooks with svn
  *  c922941a9 - CI: disable Qt6 build and enable all other
  *  2f78f015f - Qt6: more code fixes
  *  6d165d556 - Qt6: try fixing compiler errors
  *  58db1bc39 - Qt6: try fixing compiler errors
  *  46ae0ae4e - Qt6: try fixing compiler errors
  *  1a99039b2 - CI: try fixing KF6::NewStuff problem
  *  393dd28e1 - CI: try fixing KF6::NewStuff linkage
  *  46713be43 - CI: fix Qt6 build
  *  fab054b91 - CMake: prepare Qt6 build
  *  d75bc6db1 - CI: enable Qt6 build for testing
  *  1973743a1 - CI: enable all targets
  *  6fa6e5060 - CI: test appimage build
  *  c19255f3b - CI: add Tumbleweed full target
  *  9f314a67d - CI: add Leap 15.4 full target
  *  e70df43d9 - CI: improve Leap min target
  *  af62ee088 - CI: improve Leap min target
  *  33a5a87e9 - CI: improve Leap min target
  *  290d70d7a - CI: add Leap min target
  *  1ec87d608 - CI: Qt6 dependencies
  *  fdc5eadc8 - CI: test Qt6 build
  *  5aba08a81 - CI: clang-format in stage test
  *  a19c141c1 - 3rdparty: update readstat 1.1.9
  *  292b39f3a - CI: update to Fedora 37 full
  *  423417aae - CI: update to Fedora 37
  *  94be6e0d7 - CI: own flatpak target
  *  b20595903 - CI: fix disabling builds
  *  bd45a820e - CI: try fixing flatpak (disabling most targets)
  *  e46597daf - CI: try fixing flatpak
  *  75769a908 - CI: enable network for flatpak build
  *  739120226 - GIT_SILENT Sync po/docbooks with svn
  *  4d1e20260 - CI: enable flatpak build (to fix it)
  *  4ba1d9bb9 - CI: enable FreeBSD to fix it
  *  151d535e8 - Fix compiler warnings
  *  ebd682341 - Update splash screen for 2.10
  *  ac363205c - Version bump and updated ChangeLog.
  *  a9f556a92 - GIT_SILENT Sync po/docbooks with svn
  *  57158e1f1 - cursorAnchor must be the smaller value Reason: because
    otherwise cursorPos - cursorAnchor would be a negative value and
    then it seems that the move cursor position does not work
  *  5e3580221 - Use color of the format if the text is in html Reason:
    Otherwise in the dockWidget the wrong color is shown
  *  1b7e7c6b5 - GIT_SILENT Sync po/docbooks with svn
  *  235539f70 - GIT_SILENT Sync po/docbooks with svn
  *  b2901d6c9 - Merge branch 'master' into work/vector_blf_files
  *  162daa359 - Help git hooks
  *  2da12c8e7 - target must be available in the global scope Reason:
    otherwise ninja complains
  *  44d80d4be - Merge branch 'master' of https://github.com/KDE/labplot
  *  9bd36b216 - GIT_SILENT Sync po/docbooks with svn
  *  dfa6522f9 - Do not install header and helper files of 3rdparty
    libraries
  *  4b7a5ff14 - Minor fix
  *  56ccba077 - GIT_SILENT Sync po/docbooks with svn
  *  fffc4c1cb - [fit] Fix fitting xy-curve
  *  526426ba7 - Support creating a spreadsheet with the data of an
    equation curve
  *  2cb7191a1 - Properly adjust the layout in LineWidget and
    BackgroundWidget when these widgets are shown.
  *  9cc984759 - GIT_SILENT Sync po/docbooks with svn
  *  d5eb45d85 - [worksheet] fixed issues with saved PDF data for latex
    labels: * don't show any message widget in the dock since there are
    no error messages available for the already available PDF image *
    properly initialize the zoom factor on load
  *  e76184952 - GIT_SILENT Sync po/docbooks with svn
  *  77d90b3c0 - fix crash introduced in !245.
  *  05e3360b6 - GIT_SILENT Sync po/docbooks with svn
  *  cd3115ee5 - In MR !217 the rotation was directly used in the
    graphicItem. Previously -1*rotationAngle was done and then assigned
    to the element. This is anymore the case so to load older projects
    correctly, during load this must be handled
  *  1b559b972 - GIT_SILENT Sync po/docbooks with svn
  *  2abfcc3cb - GIT_SILENT Sync po/docbooks with svn
  *  67914497b - GIT_SILENT Sync po/docbooks with svn
  *  99418b0bf - Fix typo
  *  3f147a562 - Fix deprecated message boxes
  *  b4b3568fd - Fix build
  *  e34e2e180 - Fix some deprecated warnings
  *  b8b4c865b - Fix fallthrough
  *  211253f00 - Correctly convert QUrl to file name
  *  19f1d8862 - Fix uninitialized members
  *  e14cdaf92 - GIT_SILENT Sync po/docbooks with svn
  *  b9945e431 - GIT_SILENT Sync po/docbooks with svn
  *  fd3961c03 - [worksheet] added missing handling of plot ranges in
    Box and BarPlots.
  *  ec268e733 - [spreadsheet] show a sparkline/overview plot of the
    column data in StatisticsColumnWidget in the overview tab.
  *  d854ed619 - GIT_SILENT Sync po/docbooks with svn
  *  d0d820c22 - Fixed multiple issues reported by ccpcheck.
  *  26744f6eb - minLogicalDiffX not needed, because it always results
    in 1.0
  *  ccc25860d - GIT_SILENT Sync po/docbooks with svn
  *  058f7f220 - Merge branch 'master' into work/decimalseparator
  *  f9f7b3fcd - Description: use loaded value instead the language set
    in locale after passing the language Reason: because
    locale.language() will return the default locale if AnyLanguage is
    passed Files: SettingsGeneralPage.cpp
  *  6b83f2e44 - Enable commented out tests and use new dbc library to
    support also non byte size values (9 Bit, 10Bit)
  *  4eafb164e - GIT_SILENT Sync po/docbooks with svn
  *  930569d01 - Fix obsolete fromTime_t()
  *  2712b747e - Fix uninitialized members
  *  33fdf002f - Restore cout settings in macros
  *  c71a43b69 - Fix more issues found by Coverity
  *  e47864875 - Fix several issues found by Coverity
  *  4d3cee906 - GIT_SILENT Sync po/docbooks with svn
  *  984ee96e4 - Description: Set dbc file after creating the blf filter
    Reason: Otherwise without doing a preview, no dbc file is set and
    therefore no files get imported Files: ImportFileWidget.cpp
  *  ac164d6e7 - Description: BLF: add better error handling and handle
    also invalid blf file and invalid dbc file Reason: So the user can
    see why it was not possible to import Files: DBCParser.h,
    VectorBLFFilter.cpp, and VectorBLFFilterPrivate.h
  *  6a2c4352f - Try fixing STREAM_FORMAT_STATE in macros
  *  f5676879e - GIT_SILENT Sync po/docbooks with svn
  *  01fad7e13 - Merge branch 'master' into work/NumberSpinboxWidth
  *  c8e7027f6 - GIT_SILENT Sync po/docbooks with svn
  *  2b9147779 - GIT_SILENT Sync po/docbooks with svn
  *  7bf8131b0 - Description: Use NAN for the first value if not
    available Reason: Because 0 is already a valid value which is not
    correct, because no information of the state is known. The problem
    is that the 0 is also used in the autoscale which is undesired if
    the value is normaly far away from 0 Files: VectorBLFFilter.cpp and
    BLFFilterTest.cpp
  *  16040977e - GIT_SILENT Sync po/docbooks with svn
  *  8221ac0f0 - GIT_SILENT Sync po/docbooks with svn
  *  609225d37 - use values set in the header if no preconfigured value
    is found
  *  ae17cbdf7 - Description: set better default values. Those values
    are choosen so that the curves are visbile, but the background,
    grids and the axes are not visible anymore. Reason: To make the
    selection with segments much faster
  *  d8b23b5c2 - support also bigendian
  *  9d160a900 - add dialog to show parse errors
  *  1176ca94d - Fix warning
  *  c58a1eca8 - Fix compilation
  *  d371cb016 - FIx build
  *  81c86e981 - Fix data import
  *  7de3b6861 - Fix header import
  *  bb25ba05c - fix import preview
  *  b06a8179b - Fix preview
  *  bdfd663da - test: check ascii matrix import
  *  f91141d6c - refactor ascii filter
  *  b300051d4 - use date before 1970 to test also negative values of
    toMSecsSinceEpoch()
  *  3e06737d7 - fix image test
  *  b8d690bbe - add test to check changings in the dock
  *  be0a7e4ce - add test for mouse_move_datetime
  *  1c2039e22 - fix compilation
  *  44d08f2b4 - Single commit and removing all untouched code because
    of the formatting
  *  0136cf4db - set sizepolicy of the tablewidget to resize elements
    which have a benefit of being larger
  *  25d2d9b81 - Description: add expanding as sizepolicy to the
    numberspinbox widgets Reason: Because otherwise it might be that not
    the complete number is visible
  *  f9b2a5f45 - GIT_SILENT Sync po/docbooks with svn
  *  b598f3708 - GIT_SILENT Sync po/docbooks with svn
  *  4fd797e2e - Fix minor warning
  *  620a7c980 - Disable actions that shouldn't be active if there is no
    project.
  *  380fb1a52 - Merge branch 'master' into
    work/spreadsheet_memory_handling
  *  5b2fc2230 - GIT_SILENT Sync po/docbooks with svn
  *  9ab22cfa3 - version not printed correctly
  *  ddfd27dbb - [spreadsheet] don't allow to enter invalid numeric
    values for the termination ratio in the baseline subtraction.
  *  72bf1b0d5 - [worksheet] added missing initialization of line
    properties in Axis.
  *  85506cf49 - Don't hard-code the black color when highlighting an
    invalid interpolation point number and then going back to a correct
    number in XYInterpolationCurveDock.
  *  4cd8d8f0f - [spreadsheet] handle bad_alloc in
    EquidistantValuesDialog.
  *  8252c521e - format fix.
  *  28ca80310 - [spreadsheet] when initilizing the internal data vector
    in Column, allow not to resize the vector after creation. This is
    useful when the content of the vector is going to be replaced with
    another vector where the memory allocation and resize have happened
    already.
  *  aedde14c6 - GIT_SILENT Sync po/docbooks with svn
  *  6529963f2 - CI: Ubuntu zlib devel
  *  85a7f83c9 - CI: Ubuntu ca-certificates
  *  830bbeb5f - CI: Fedora zlib-devel
  *  3da1c18ba - CI: Fedora zlib
  *  bf17a4d81 - enable BLF
  *  d3128a812 - [spreadsheet] handle bad_alloc when initializing the
    internal data container in Column.
  *  815f9d376 - [spreadsheet] handle bad_alloc when allocating memory
    for new temporary vectors with random values.
  *  6e15549e0 - Use faster functions to replace the whole column
    content.
  *  c8649e94f - [spreadsheet] removed initialization and invalidation
    related function calls done in Column since they are already done in
    ColumnPrivate.
  *  a885b328f - [spreadsheet] removed unused function in
    SpreadsheetView.
  *  f0ce196ef - 1) do not autoscale when adding new curves during
    loading, because wheter it is already autoscaled when saving the
    project, or it should not be autoscaled 2) When adding a range and
    autoscale is on, dataRange shall get the same range, if not
    autorange it shall set it to dirty.
  *  8018c4754 - also for the x axis title height must be used
  *  91c8aaf34 - GIT_SILENT Sync po/docbooks with svn
  *  b8c8c4aa7 - code format
  *  3bb66880f - [spreadsheet] don't allow to paste data into a read-
    only spreadsheet (used for live data sources and data extractor).
  *  78acc49da - [spreadsheet] dedicated menu entry and enum value for
    the baseline subraction and minor refactoring in
    AddSubtractValueDialog.
  *  33b318bf8 - Fix warnings
  *  2e50a170d - random number dialog: support dark mode for formula
  *  c1c22a643 - fit dock: improve background of fit formula
  *  35a42e0f3 - GIT_SILENT Sync po/docbooks with svn
  *  a94128153 - fit dock: improve background of fit formula shown
  *  2ebb23466 - Revert Description: Enable BLF support Reason: Was
    forgotten to turn on
  *  a7baf8c3a - Description: Enable BLF support Reason: Was forgotten
    to turn on
  *  f47019b8f - GIT_SILENT Sync po/docbooks with svn
  *  a804c8549 - format fix
  *  162827b33 - do not store install artifacts. It was enabled for
    testing, but shall be disabled
  *  d69c8700a - use patched version of vector_blf, because otherwise
    the dll on windows will be installed to the wrong folder
  *  f6d0a83ed - [worksheet] ignore invisible plots when calculating the
    worksheet layout.
  *  06774124e - GIT_SILENT Sync po/docbooks with svn
  *  a975a018c - Update the scrollbar policy in WorksheetView when
    zooming with the mouse wheel and setting the fit mode to None.
  *  b5a231bcd - disable scrollbars when fitting
  *  9535b9baa - initialize actions if not yet done
  *  d7e46a0a6 - no undo needed for zoomFit
  *  052190e8b - store zoomfit in the worksheet, so it can be used to
    restore the state
  *  1b7388323 - rename to proper name
  *  ca64d279c - implement fit to whole
  *  55e0905b6 - triggered() does not change for some reason the
    checkstate so do it manually
  *  fcb0b7188 - make the usage of fitToHeight, fitToWidth,
    fitToSelection permanentely even when resizing the worksheetview
  *  49cc12a03 - Initialize the GUI observer after all dock widgets were
    created.
  *  a82bb55bf - remove scale() functionality because it is not needed
  *  a52ec1c90 - do not scale complete TextLabel, because for latex it
    is not needed
  *  8c30612d7 - width and heigth are interchanged. This was previously
    correct, because the item was not rotated by it self. Now it will
    and therefore those two values have to be changed
  *  cad586392 - rotation angle must be changed
  *  621cbe8e1 - use also the qgraphicsitem rotation instead of doing
    the rotation with matrices manually
  *  7fcb818bc - Update macros.h, WorksheetElement.cpp, and 3 more
    files...
  *  46ea1837c - the gluePoints must be transformed, otherwise they are
    not shown at the correct position when rotating the label
  *  19af73c79 - GIT_SILENT Sync po/docbooks with svn
  *  9c7558766 - CI: enable windows and format everywhere
  *  bebb1ac5b - CI: add missing dep
  *  07f5a4f11 - fix compiler warnings
  *  8dd7495d3 - forgotten to remove m_
  *  46e48802c - format fix.
  *  ee992198d - Synchronized the creation and deletion of the project
    with the creation and deletion of the GUI observer and properly
    clear the list of initialized dock widgets in the destructor.
  *  c69bf5fb6 - Moved the declaration of the dock widgets from MainWin
    to GuiObserver and delete the observer together with the crteated
    dock widgets on project close. This has two advandages: * when the
    project is closed, the memory consumption is reduced and only the
    dock widgets are created that are needed for the next project to be
    opened. * when the new project is opened, the dock widgets are
    initialized from scratch and there is no need to reset their state.
    This also solves the crash that was caused by the recent changes in
    3701c196.
  *  f31c56195 - Description: Disable vector blf temporarly Reason:
    Currently on windows the lib is installed to /lib but labplot is
    searching it in /bin. Therefore it is not possible to open labplot
    anymore. Workaround: Copying the vectorblf.dll from the lib folder
    into the bin folder solves the problem
  *  32d03e1d4 - GIT_SILENT Sync po/docbooks with svn
  *  f8edf3316 - Merge branch 'master' into work/blf
  *  6bac10016 - gitlab: enable linux build
  *  a8da32e49 - disable half of the widgets tewst to avoid timeout
  *  290acfc33 - use const auto&
  *  e6078f616 - use constFirst()
  *  d4a1db50f - cleanup
  *  655d2748d - set all worksheetelements visible not visible not only
    one
  *  f6486c127 - fix wrong viewsize showed
  *  cd4cdabee - initActions instead of using useViewSizeRequested()
    because it does not exist anymore
  *  76df64e03 - Fix MSVC issue with fp numbers part 4
  *  da707c533 - Fix MSVC issue with fp numbers part 3
  *  bc06391cb - Fix MSVC issue with fp numbers part 2
  *  0a0bc6c6d - Fix MSVC issue with fp numbers
  *  4db5a396c - Merge branch 'master' into work/blf
  *  2a7abce7e - [worksheet] fixed issues related to the view size mode:
    * properly update the dock widgets and the worksheet itself when
    switching to the view size mode (regression) * properly update the
    view size on undo/redo after the switch to the view size mode,
    react on the signal of the Cmd-setter.
  *  2bfc0e84f - GIT_SILENT Sync po/docbooks with svn
  *  166e08ef5 - add better comment
  *  b93bb1bce - do not draw clipped lines, because when it looks as the
    range is finished there
  *  799d2c452 - when position is changed, not necesarly a retransform
    is needed, because the shape is in item coordinates. Only if
    clipping or other changes to the shape are needed it is necessary to
    retransform. Therefore the objectPositionChanged() signal is
    introduced to make reacting possible
  *  7542e3924 - Test undo of the worksheetelement
  *  d3b13fccf - binding must be done explicitly, because bindingChanged
    has a lock and return before setting it
  *  953e96848 - check if binding checkbox is set correctly
  *  6eb41737b - add test also if coordbinding is disabled
  *  ac58cf2c4 - make more flexible to be able to use it for multiple
    types
  *  9cdef2c61 - [Image] implement logical coordbinding
  *  2f9d164a3 - doctype must be generic too
  *  226a10e60 - make keypress macro more generic, so it can be used for
    all directions
  *  3f524f961 - check also dock values if they match
  *  6dfd483d6 - accept only if not limited
  *  f839c791c - fix Numberspinbox test
  *  bbb78801a - QLatin1String must be used
  *  3a7c5af74 - Update WidgetsTest.cpp and WidgetsTest.h
  *  48ebb3925 - do not check the position, because it is not relevant
    and just limits the possibility to modify the code
  *  603104af5 - the rect in item coordinates is not important, only the
    position in logical position. So use a macro to map the coordinates
    and compare them
  *  559c0e76a - do not use the limited function, because when changing
    the position it should show with the highes precision which is
    possible
  *  2d81fd9da - set conditional_return correctly
  *  2f5c526bd - rangePositionLogicalStartChanged() and
    rangePositionLogicalEndChanged() are not executed correctly because
    of the lock, copy the content. - Use numberspinbox instead of
    lineedits
  *  8d32eaf9b - enable tests again
  *  cfd1ab848 - format
  *  4303d304c - fix tests
  *  afa1c7599 - Update ReferenceRange.cpp and WorksheetElementTest.cpp
  *  53aed7e56 - WIP
  *  8b035bdaa - Removed a couple of obsolete assignements in
    ReferenceRangeDock.
  *  5f30580d0 - AddImage WorksheetelementTests
  *  f9dfbc37f - Test TextLabel as Worksheetelement
  *  6f8b2aa10 - update position before changing the coordinateBinding.
    Problem: if a new TextLabel is created, the label is not able to
    calculate the logicalPos, because it does not have yet a parent.
    After a parent is added, but coordinateBinding will be enabled, the
    not calculated logicalPos is used which is wrong. This must not be
    done in the Undo command, because it can happen only the first time
  *  0eaad193e - create Macro which executes all tests
  *  777562ac4 - format
  *  d9a86aec0 - use more macros
  *  f81fea626 - Put more into macros
  *  b55bf22a0 - move to macro to be able to use it also for other
    worksheetelements
  *  43c8e2e61 - add tests for coordbinding
  *  14ad18c5a - use macro to setup project
  *  d20e19caa - add test for horizontal range
  *  f4f54e12d - Test for the referenceRange
  *  89e95b5a5 - try to get same structure as in other
    WorksheetElements. 1) Calculating logical pos 2) use
    updatePosition()
  *  f6905f1f2 - get rid of the updatePosition at the top, having only
    one setPos / updatePosition
  *  15f10942b - [reference range] work with scene coordinates directly
    in retransform() to calculate the new rect.
  *  00372f922 - Revert WIP: Alex check it out
  *  eee3708ff - WIP: Alex check it out
  *  51d54fa36 - add tests for all directions
  *  88544e06e - [reference range] removed some unneeded assignments in
    WorksheetElement.cpp and in ReferenceRange.cpp.
  *  1b6ae07fe - [reference range] calculate the start and end points of
    the range after an item change event without using an extra private
    variable and fixed the mapping to logical coordinates in
    WorksheetElementPrivate::itemChange().
  *  cac9ff77e - add another test
  *  bb8cb1459 - Set the position limits in init() in ReferenceLine and
    in ReferenceRange instead of calling the slots in order to avoid
    unneeded and more expensive retranransforms.
  *  74a97df35 - add WorksheetElement Tests
  *  e7f84b8ac - format fix.
  *  69c3ad26e - [reference range] minor i18n-issue in CartesianPlot and
    updated ChangeLog.
  *  8ac8ade23 - [reference range] minor fixes.
  *  7d140b99f - Update CartesianPlot.cpp, ReferenceRange.cpp, and 5
    more files...
  *  aa35486f4 - Update CartesianPlot.cpp
  *  227e7a278 - Minor fixes.
  *  45a580586 - Better algorithm to properly set the position limits in
    ReferenceLine and ReferenceRange after undo/redo.
  *  3de874982 - Apply theme's color for the background color and
    properly re-calculate the start and end values of the range when the
    user moves the item with the mouse.
  *  bcefc9431 - Added missing referencerangedock.ui file and some minor
    bug fixing.
  *  c2d491da6 - Update CMakeLists.txt, AbstractAspect.h, and 9 more
    files...
  *  1b42e2013 - GIT_SILENT Sync po/docbooks with svn
  *  065366944 - fixing MSVC number issues finally 3
  *  75cc7e0f6 - fixing MSVC number issues finally 2
  *  a8f936e4f - fixing MSVC number issues finally
  *  9e0459f12 - fixing MSVC number issues continued
  *  f998d47ed - fixing MSVC number issues continued
  *  1ea57b78f - finalize fixing MSVC number issues
  *  7310c23c7 - try fixing MSVC number issues
  *  039950661 - fix comments of alex
  *  19dbb757f - msvc has problems to convert to double
  *  35777dfe3 - add test also for previous value
  *  061f97aa2 - fix tests
  *  fb7923735 - fix tests
  *  37caaeffe - enable tests again
  *  53d0aab3a - store last used dbc file for further usage
  *  f5892e20b - Update CMakeLists.txt
  *  2c393f6dd - export artifacts
  *  e5d56f4cb - HACK!
  *  355dceeeb - thirdParty is not used anymore
  *  dc54d0245 - disable also building the documentation, because this
    fails currently
  *  6733cdf57 - disable tests for dbcparser. This requires increasing
    the minimum required from 3.16 to 3.17
  *  253cbcba9 - fix test
  *  2dc8eeaf8 - do not detach and create extra variable, because this
    makes the access slow
  *  561fd9933 - FastFloat was added as dependency to the dbc_parser
    itself, so not needed anymore here
  *  1197538dd - fix bug
  *  b2dd727aa - remove not needed code
  *  39055f119 - format
  *  e8beb653c - prefer using clang-format-13 over clang-format, show
    clang version
  *  513dc7ba1 - turn on local build of dbc parser and vector blf
  *  6ae9d415b - Update CMakeLists.txt
  *  5678330d9 - make project work without BLF filter
  *  922a614a4 - cleanup
  *  7bd556f5e - move enverything into 3rdparty to have everything at
    one place
  *  984db2860 - add comments
  *  e4627f984 - skip all unparsable messages
  *  9fbe2c145 - fix
  *  c0f956ea4 - add test to test native time system
  *  749c9c96b - check for correct column name
  *  e87dbb9ed - add unit to time column name
  *  dc2d37873 - do a refresh when adding a dbc file
  *  7cc5a22d4 - load and save settings, so the user has always the last
    used options as default
  *  2d0088bcd - write additional tests
  *  52bd67706 - fix test
  *  ae598ffcd - add tests
  *  6cf106ec8 - split tests
  *  9e13c4b55 - Fix test and implement CANMessage
  *  fa9998381 - Update BLFFilterTest.cpp
  *  732f46f37 - Update CANFilter.cpp, CANFilterPrivate.h, and 3 more
    files...
  *  0fbfb0894 - move everything which can be used by other CAN related
    files (mdf, blf, ...) into a CAN Filter, so a new Filter can more
    easily reimplemented
  *  dc611e488 - implement parsing blf and dbc files

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 11 Mar 2023 06:28:16 +0000

labplot (2.9.0+git10986-0400a4578-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 0400a457857b426e987a08bc74f8d4e4cf51bdf0
  * Date: 1674846328
  * git changelog:
  *  0400a4578 - Multiple UX improvement  for the baseline subtraction:
    * shown the name of the subtraction algorithm * show the result
    termination ration in the plot * provide the smoothness factor in
    the powers of 10
  *  65f62a4b7 - spreadsheet: only enable statistics if enough data (>1
    value)
  *  775d06b3e - fix comiler warnings
  *  783fc9f14 - fix for minorticks also the minorticks parameters must
    be used
  *  3aac4f8ad - set new value when automatic was turned on
  *  5c8d6e0fa - disconnect will now be done in the BaseDock, so no need
    to do it here again
  *  b77311f05 - add test
  *  7a800dc0e - forgotten to compare
  *  bbab46761 - use same disconnect approach as above, because the
    other one is not working properly
  *  85b5caaff - add test, but test does not solve the problem
  *  3701c1965 - disconnect before connecting again, because otherwise
    multiple connections are available and this leads to problems
  *  6e4372816 - Padding has nothing to do with the WorksheetElement.
    Everything else is in AbstractPlot so move it also in there
  *  7d9ca92d3 - add test to check the cursor position
  *  c0731f364 - enable feedback by default
  *  1c07b6a71 - GIT_SILENT Sync po/docbooks with svn
  *  239b05ca1 - Changelog
  *  bb1d2b85e - Support export to xlsx (when OXlsx is available)
  *  e012a8818 - Better wording for the new enum NameHandling.
  *  c592864f9 - instead of two bools use an enum class, because if not
    unique is required the autounique flag would be ignored (exlusive).
    This makes it more readable
  *  a013e6950 - [import] use a new filter in the test for the second
    file to be imported into the same spreadsheet so we go through the
    prepare logic in the filter from scratch again and properly parse
    the 2nd file.
  *  c5e5c6222 - [import] added two test files required for the new test
    in the previous commit.
  *  2766d5d58 - [import] don't try to make column names unique when
    calling setName() since the names were made unique already before.
  *  019f6e40a - set label policy to fixed so they do not expand when
    the widget changes its size, because only the spinboxes should
    change the size
  *  d20c48378 - GIT_SILENT Sync po/docbooks with svn
  *  8a8da2654 - Merge branch 'master' into
    work/preview_baseline_subtraction
  *  06cac063d - better fallthrough
  *  9f7ca772c - format fix
  *  8fa45ccf7 - nsl baseline: return tolerance from arpls
  *  d0c02df0e - format fix.
  *  9ea326b99 - [spreadsheet] improved the name of the entry on the
    undo stack in case the baseline subtraction is performed.
  *  04edeaf48 - GIT_SILENT Sync po/docbooks with svn
  *  a32675dc0 - [spreadsheet] added the x-axis in the preview plot in
    AddSubtractValueDialog and tooltip texts for the parameters of the
    baseline subtraction algorithm.
  *  a688fff2c - [spreadsheet] fixes and cleanup in the preview related
    login in AddSubtractValueDialog.
  *  ad2896525 - [spreadsheet] trigger the update of the preview in
    AddSubtractValueDialog _after_ the dialog was shown completely.
  *  530f5bcdc - GIT_SILENT Sync po/docbooks with svn
  *  4d604fbbb - Merge branch 'master' of https://github.com/KDE/labplot
  *  0e07af43e - GIT_SILENT Sync po/docbooks with svn
  *  bb3e11343 - nsl: extend peak find
  *  e963642a1 - GIT_SILENT Sync po/docbooks with svn
  *  3ca0f53bd - fit dock: support dark mode for fit formula
  *  cc43b4a00 - GIT_SILENT Sync po/docbooks with svn
  *  f96f3b315 - [worksheet] when showing the properties of box and bar
    plots having multiple data columns, always select the first column
    in the box/bar index combobox since the properties of the first
    column are shown initially.
  *  80e3eaa87 - Fixed some rounding issues in the dock widgets caused
    by the conversion of double to integers for percentage values in the
    docks.
  *  016aece48 - GIT_SILENT Sync po/docbooks with svn
  *  da580af23 - document memory issues found by valgrind
  *  a46c3a6f0 - Removed unwanted entries in the undo-history when
    loading a project a selecting some objects like box plots, etc.
  *  a3fae62ec - [worksheet] fixed regressions in BackgroundWidget with
    the update of widgets.
  *  14b2b0ac8 - NSL: fix memory issue
  *  dd9adf121 - GIT_SILENT Sync po/docbooks with svn
  *  eb68b50b5 - GIT_SILENT Sync po/docbooks with svn
  *  0a74d2353 - tests: prepare reactivate dataset tests
  *  d5e742c60 - fix XYCorrelationCurve Test
  *  c1a5be2ad - xyconvolutioncurve does not need tmpXDataColumn, only y
    is mandatory
  *  25625aabd - create common XYAnalysisCurveDock class which
    implements commonly used stuff so a lot of code can be removed
  *  406282506 - create common Result type which can be reused
  *  9d131c274 - [ForuierTransform and HilbertTransform]: use
    XYAnalysisCurvePrivate::prepareTmpDataColumn
  *  d0e8fd154 - implement prepareTmpDataColumn function in
    XYAnalysisCurvePrivate because it is used at the most curves, so it
    can be reused. Only a few reimplement this function
  *  f39438d72 - calling sourceDataChangedSinceLastRecalc is not needed,
    because it will be done in XYAnalysisCurve
  *  ec35fa8de - add more functions, which are needed in all analysis
    curves so the implementation of new ones gets even more simple
  *  ee14ffb34 - fix test
  *  59e009e17 - do not overwrite the values of xVector, because in
    XYAnalysisCurve the recalculation will be done and if this vector is
    used again here the plot is wrong
  *  3d05d155c - residualsColumn must be checked individually, because
    if the source is a column it might crash
  *  136d84e6f - xVector can be const
  *  6192266b8 - WIP
  *  480b7ea5f - before calculating new values the column must
    invalidate its properties so that they need to be recalculated when
    autoscale has to be done
  *  dd021a6c3 - add test
  *  3a926df4f - Fixed formatting.
  *  ff34a8fa3 - [spredsheet] ignore clang-format for the bigger html
    strings in StatisticsColumnWidget and don't call
    SpredsheetView::selectedColumns() twice when masking/unmasking the
    selected cells.
  *  2f3512130 - [spreadsheet] implemented basic statistic properties
    for DateTime columns (count, min and max values) which also allows
    to simplify the code at many places.
  *  c312e59e7 - GIT_SILENT Sync po/docbooks with svn
  *  1b330f8bd - [spreadsheet] preview for the baseline subtraction in
    AddSubtractValueDialog.
  *  f38aba255 - GIT_SILENT Sync po/docbooks with svn
  *  7b5221147 - code style: avoid braces for onliners
  *  318781e47 - line: fix default initialization
  *  eeeda5626 - if only one axis will be changed, show name, otherwise
    the number of axes changed
  *  f1b23e12d - write tests and fix the code
  *  bdb40a494 - use dedicated function instead of lambda, it makes it
    more readable
  *  ad0cfa404 - implement widgets -> axisColorButton: when a
    colorbutton of the axistitle or one of the lines changes it's color,
    the main axisColor should be updated too
  *  b57493005 - Add color button to .ui
  *  b99179932 - Update AxisDock.cpp, AxisDock.h, and 3 more files...
  *  75e22c531 - GIT_SILENT Sync po/docbooks with svn
  *  c2f98dc4c - enable test fully again
  *  d67a38ee0 - fix test
  *  9307e4d17 - do not allow setting same value for min/max
  *  6be02f417 - tests: enable peak on Windows again
  *  a06074ec0 - NSL: fix memory issue in peak_detect and cleaner code
  *  7441a1aba - fix warning of unused parameter

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 27 Jan 2023 22:00:15 +0000

labplot (2.9.0+git10899-06464b14c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 06464b14c3251d8cd5c646215740aa2af43c50fe
  * Date: 1673607001
  * git changelog:
  *  06464b14c - fix warnings. QVector3D uses float
  *  69997e968 - must be negated
  *  9e01a481c - GIT_SILENT Sync po/docbooks with svn
  *  b0217f69f - tests: disable peak test on Windows until fixed
  *  c927e0861 - NSL: add peak templates
  *  4ec8dc180 - NSL: improve peak detection code
  *  83fe391e8 - GIT_SILENT Sync po/docbooks with svn
  *  a1ce32607 - NSL: prepare peak detection methods
  *  b0f004424 - add compiler optimization flag.
  *  e7b45479c - GIT_SILENT Sync po/docbooks with svn
  *  4580bd843 - function dialog: fix separator in function list
  *  731719567 - GIT_SILENT Sync po/docbooks with svn
  *  b84671d87 - [spreadsheet] initial implementation of the preview in
    the Add/Subtract Values-dialog.
  *  31cfaebce - NSL: support baseline removal with arPLS including
    tests
  *  929855c4e - GIT_SILENT Sync po/docbooks with svn
  *  c41ce8f58 - Added the changes that were fogotten in the previous
    commit...
  *  43890621c - [box plot] when loading an older project where it was
    not possible yet to modify box' properties independently for each
    data set, use the same saved properties for all newly added internal
    objects for the background and border and median lines.
  *  d678e216d - GIT_SILENT Sync po/docbooks with svn
  *  c05e876d0 - NSL: add baseline end points and linear regression
  *  d54315eab - [spreadsheet] allow to subtract minimum, maximum,
    median and mean values directly in the Add/Subtract Values-Dialog.
  *  aee9da311 - Updated the year also in the README file.
  *  a5621ab8b - GIT_SILENT Sync po/docbooks with svn
  *  69121b884 - NSL: more baseline methods and tests
  *  4ebc28018 - NSL: add baseline functions and tests
  *  59f735c42 - fit dock: show algorithm for distributions only
  *  698df0634 - Happy New Year!
  *  7be981418 - Fit Dock: fix regression changing start values
  *  9baa01d9f - GIT_SILENT Sync po/docbooks with svn
  *  0be5ffe05 - Removed the obsolete signal in Histogram.h, the signal
    from the base class has to be used.
  *  f785b757c - GIT_SILENT Sync po/docbooks with svn
  *  afbbeedf1 - format fix.
  *  c04fb997f - [spreadsheet] show column statistics for selected cells
    only.
  *  dc836ebbf - fit: avoid locale problems in fit models by omitting .
  *  400aa9d84 - Minor fixes: * adjust the positioning of data and axis
    ticks points in the statistics widget to the recent changes in the
    positioning of bar plots * enable the context menu for column
    statistics also for text columns
  *  1aff006d5 - GIT_SILENT Sync po/docbooks with svn
  *  54ccfe459 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  9d442a1d9 - GIT_SILENT made messages (after extraction)
  *  3f010afdc - GIT_SILENT Sync po/docbooks with svn
  *  45a6f909a - GIT_SILENT Sync po/docbooks with svn
  *  9b3667d97 - GIT_SILENT Sync po/docbooks with svn
  *  742c9ecd2 - GIT_SILENT Sync po/docbooks with svn
  *  4b307082a - GIT_SILENT Sync po/docbooks with svn
  *  63644d1c4 - GIT_SILENT Sync po/docbooks with svn
  *  06139566b - GIT_SILENT Sync po/docbooks with svn
  *  5205e67f1 - Fixes for templates: * fixed the wrong handling of
    paths when saving and loading templates * apply the changes also in
    the base classes for Line, Symbol and Background, don't lock
    m_initializing (regression).
  *  237105324 - GIT_SILENT Sync po/docbooks with svn
  *  3bbeb59bd - [worksheet] initialize grid line properties for all
    axes, not only for the first one and just set the line style to
    NoPen for non-first axes otherwise we're showing uninitialized
    values in the dock widgets which looks broken.
  *  ee17a3c69 - column: prepare using time unit for datetime conversion
  *  34844acc8 - Merge branch 'master' of https://github.com/KDE/labplot
  *  05c42999f - [worksheet] minor fixes in AxisDock to properly update
    (enable, disable, show, hide) some of the dependent widgets.
  *  c4bcb2054 - Minor layout fixes.
  *  f95ba64c7 - [worksheet] added template handler for ReferenceLine.
  *  7134900fa - [worksheet] fixed the loading of saved images and
    better handling of the embedded option in the dock widget.
  *  df23411c3 - GIT_SILENT Sync po/docbooks with svn
  *  44083609d - Merge branch 'master' of https://github.com/KDE/labplot
  *  10eef4343 - GIT_SILENT Sync po/docbooks with svn
  *  1ccb54d65 - Merge branch 'master' of https://github.com/KDE/labplot

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 13 Jan 2023 21:02:51 +0000

labplot (2.9.0+git10839-4daba96ff-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 4daba96ff931086692b7f12cf5678c009de3faa7
  * Date: 1671796769
  * git changelog:
  *  4daba96ff - format fix.
  *  75297f59e - [worksheet] use Line and LineWidget also for Image.
  *  22be92559 - GIT_SILENT Sync po/docbooks with svn
  *  3fe31c9e9 - Merge branch 'master' into work/nico/installdirs
  *  9757c440c - datetime2int filter
  *  08789d3ef - simplify code
  *  e70cd2ec3 - clean up code
  *  6d74fa539 - column: fix datetime to bigInt filter
  *  29bf7bbd6 - cmake: bump Qt version
  *  6bf80bd58 - Port away from deprecated install dirs
  *  3741fd66b - Properly sort includes
  *  97b26828e - Add missing includes
  *  75c1429e5 - Use new method to load cantor plugin
  *  fb096ca54 - GIT_SILENT Sync po/docbooks with svn
  *  b8d24914c - Revert CI: enable all targets to fix them
  *  a5215a1b5 - CI: enable all targets to fix them
  *  3aceb01fe - i18n: minor fixes
  *  abf9a96f1 - code format problems again
  *  aa38875e8 - code format problems
  *  3b6782c16 - Refactor: avoid unnecessary wrapper
  *  ed233192f - code format
  *  91b76f9e1 - Refactor: use C++ instead of Qt's methods for basic
    math
  *  da057251f - Merge branch 'master' into work/distribution-fit
  *  d4d86b48e - tests: Fix Laplace ML fit
  *  2f7883976 - Changelog
  *  69a9efa18 - ML CI for exponential distribution
  *  a96aa3697 - GIT_SILENT Sync po/docbooks with svn
  *  6a8bb89d9 - Introduced the function Column::doubleAt() to reduce
    the number of casts and if's when accessing the elements in numeric
    columns.
  *  2b6cfc4ff - In the properties explorer for curves, don't show the
    line options that are relevant for xy-curve only and not for the
    analysis curves.
  *  3a9073d0b - ML binomial CI
  *  d5386b974 - Added parent widgets for new QMenu() calls to address
    issues on Wayland and delay the initialization of sub-menus in
    WorksheetElement until the point when the context menu is requested
    for the first time.
  *  87f20b362 - GIT_SILENT Sync po/docbooks with svn
  *  3cef24ac7 - ML error and CI for different distros
  *  c56a58637 - [spreadsheet] consistently use UTC when
    adding/subtracting values in the spreadsheet.
  *  aed31ce27 - Fix exponential display formula
  *  46d2bc367 - ML normalization for curves
  *  13390ab85 - GIT_SILENT Sync po/docbooks with svn
  *  09419cd95 - [axis] update the color of the arrow in the dock widget
    on line color changes.
  *  52f8f6e90 - Minor layout fixes.
  *  9ab374aea - GIT_SILENT Sync po/docbooks with svn
  *  f4493a308 - fix merge
  *  e9e56737d - Column: Fix bigint to datetime conversion
  *  76710a5fe - [spreadsheet] allow to subtract and add a value by
    providing a difference between two values.
  *  ab4eb6bce - ML normalization for exponential distribution
  *  ae6d44132 - replace SET_NUMBER_LOCALE macro by a single line call
  *  25bbb0323 - revert a lot
  *  5de7a0bf5 - Merge branch 'master' into work/plot-base-class
  *  7397f1c32 - do not lock, because it is done already in setImages()
    and otherwise the widgets are not initialized correctly
  *  7a03768b1 - call sliderSpanChanged, because otherwise min and max
    spinboxes are not updated
  *  9404a17c3 - use new lock macro instead of the legacy
  *  0b75cfe68 - CI: disable tumbleweed until fixed
  *  280548d42 - Minor comment fix
  *  8b86c4f1f - restore algorithm list when opening project with ML
  *  7e119ea9a - GIT_SILENT Sync po/docbooks with svn
  *  83d59575b - ML gaussian fit for non-histograms
  *  05310e27c - ML fit only for distributions
  *  5f389d59b - ML fit: consider histogram normalization
  *  e6d2782e1 - Merge branch 'master' into work/distribution-fit
  *  8cd12a2cd - GIT_SILENT Sync po/docbooks with svn
  *  3aecd37ad - GIT_SILENT Sync po/docbooks with svn
  *  317373646 - Fix compiler warnings
  *  9bd295952 - Column: fix conversion int to datetime
  *  8b84ab2b5 - [bar plot] better positionioning of bars in case the
    absolute width is modified by the user.
  *  16b7ffcd9 - Merge branch 'master' into work/plot-base-class
  *  4b19d38d5 - GIT_SILENT Sync po/docbooks with svn
  *  8fbad5aaf - ML fit: disable changing data range
  *  b958901e9 - Merge branch 'master' into work/distribution-fit
  *  a526ad622 - UI: consistent order of plot designation
  *  fc1421a55 - shift all corresponding ranges also for other plots if
    set in the worksheetelement ApplyToAllX/Y/All
  *  c628387db - Update Worksheet.cpp, Worksheet.h, and 7 more files...
  *  83c9eccad - [import] added missing checkOkButton()-call on data
    container changes in ImportFileDialog (regression introduced in
    696b77e5).
  *  795e4f726 - GIT_SILENT Sync po/docbooks with svn
  *  645ae8746 - Fit: Fix eval range for histogram
  *  3482fd000 - In CartesianPlot::childAdded() react on
    WorksheetElements only - use dynamic_cast and check instead of a
    static cast to make sure we deal with these children only.
  *  fc6e0c271 - Fix merge
  *  338a29185 - More format and build fixes.
  *  62f18a73f - Fixed build and formatting.
  *  bf6c6ce97 - format fixes.
  *  31c93855b - Moved more logic to the base class Plot (renamed the
    Curve to Plot)  and made all plot (xycurve, box plot, etc.)
    inheriting from it. This allows for more simplification and
    unification in the code now. First step is the simpler handling of
    newly added children in CartesianPlot::childAdded().
  *  3f744d0b0 - prevent using wrong indices
  *  35c8f0d87 - More UI string fixes
  *  46808eae8 - plot designation: don't break compatibility
  *  bf49a47da - Column: Fix order of plot designation
  *  62894d55d - [xy-curve] fixed the drop lines being not drawn after
    the project load or for new plots when calculateScenePoints() was
    not called yet.
  *  699b4a469 - GIT_SILENT Sync po/docbooks with svn
  *  2bbb05d6b - axis dock: code simplify to fix warnings
  *  ebee6ce69 - UI: use GUM strings when selected
  *  062763472 - format fix.
  *  bd628dfb2 - [box plot] draw a legend item for every dataset in the
    box plot.
  *  f73d95507 - Minor cleanup.
  *  e8d519c49 - [box plot] allow to modify box properties (color, etc.)
    for every data set independently of each other.
  *  19ca4d04c - UI: More string fixes
  *  8a7c3bacd - add changelog entry
  *  16ab29eb3 - add check if decimals is zero. In this case use the
    representation derived from v directly
  *  368d20830 - fix tests
  *  35554a2c7 - Revert fix tests
  *  ded9b7d5f - use insidePlot directly
  *  a389f7a9c - If the Infoelement is the selected element during load,
    not all markerpoints have yet a curve assigned and therefore the
    check of the checkbox is not done. To fix this, the curvePath in the
    markerPoints and the plot curves are used. Now after loading the
    checkboxes are set correctly
  *  1ee240454 - visible Variable in InfoElementPrivate is not needed,
    use infrastructure of the WorksheetElement wherever possible
  *  8624ef4cf - hide custompoint and infoelement if they are outside of
    the plot
  *  32be51266 - GIT_SILENT Sync po/docbooks with svn
  *  706f36b5f - fix tests
  *  47fa41f9b - Merge branch 'master' into work/FixFiltering
  *  aecedd4ef - UI: more dock fixes
  *  87a3dfcc2 - UI: fix axis dock and plot dock
  *  40440ea20 - set valid depending on status
  *  701a1e655 - comment out not working part, let this test in for
    future implementations to speed up creating unittests
  *  bc16633bb - cutindex must be divided, because xmax and xmin are
    datetimes in ms
  *  bc3fa1664 - add numberSpinboxTest
  *  6519b3f8d - use common function for both unitChanged() and
    unitChanged2()
  *  b18dfe99d - divide the range by 1000 is datetime is provided,
    because datetime is in milliseconds
  *  0d53a31f1 - do not use decimals() to format the number if the
    number is smaller than the minimum representation
  *  56523307c - the setMinimum() and setMaximum() of QDoubleSpinbox are
    rounding the value to the defined number of decimals, therefore
    entering really small numbers with high precision is not possible.
    Reimplement the function to get rid of this problem
  *  e35a74bd3 - implement handling datetimes
  *  490691099 - add test
  *  0df0321c2 - WIP
  *  6d3fa73ed - [box plot] use Line and LineWidget also for whiskers
    cap line.
  *  c0e40e96c - GIT_SILENT Sync po/docbooks with svn
  *  d299fb1a7 - fix test
  *  8968e507f - fix compiling
  *  fbbe2946d - add test
  *  fdf3fde29 - implement CartesianCoordinateSystem::isValid() instead
    of implementing a valid in mapSceneToLogical
  *  df2892a95 - setText must be done in locked conditions
  *  96887125d - no lock in load, because it is done in the caller
    function already
  *  01c3bd1b7 - do not lock in the load() function, because it will be
    already locked outside
  *  8bf24c825 - DatapickerCurveWidget: enabling/disabling and visible
    changes must be before LOCK mechanism
  *  08f127783 - SymbolWidget: enabling/disabling and visible changes
    must be before LOCK mechanism
  *  58213e16d - DatapickerImageWidget: enabling/disabling and visible
    changes must be before LOCK mechanism
  *  c5d863035 - LabelWidget: enabling/disabling and visible changes
    must be before LOCK mechanism
  *  a84a70200 - XYSmoothCurveDock: remove not needed semicolon
  *  97b722bca - XYCurveDock: enabling/disabling and visible changes
    must be before LOCK mechanism
  *  37d9f5f6f - XYCorrelationCurveDock: enabling/disabling and visible
    changes must be before LOCK mechanism
  *  55ed53dd2 - XYConvolutionCurveDock: enabling/disabling and visible
    changes must be before LOCK mechanism
  *  2d0db6bce - NoteDock: use macro instead of m_initializing directly
  *  92ffe399b - ImageDock: enabling/disabling and visible changes must
    be before LOCK mechanism
  *  a532387fb - HistogramDock: enabling/disabling and visible changes
    must be before LOCK mechanism
  *  1f0f0166e - CustomPointDock: enabling/disabling and visible changes
    must be before LOCK mechanism
  *  f8ff86466 - AxisDock: fix compiling
  *  1a6bdaabf - CursorDock: enabling/disabling and visible changes must
    be before LOCK mechanism
  *  a1d449fef - ColumnDock: enabling/disabling and visible changes must
    be before LOCK mechanism
  *  ae87d94a1 - CartesianPlotLegendDock: enabling/disabling and visible
    changes must be before LOCK mechanism
  *  13031425a - CartesianPlotDock: enabling/disabling and visible
    changes must be before LOCK mechanism
  *  ee961cdad - BoxPlotDock: enabling/disabling and visible changes
    must be before LOCK mechanism
  *  6c0f053b8 - AspectDock: use macro
  *  4616af651 - AxisDock: enabling/disabling must be before the lock
  *  2be19a0c4 - move cbLabelsFormat enabled() into slot function dock -
    > axis. It must be before lock, because it shall be also executed,
    when the value comes from the axis it self
  *  a133a71be - move into function
  *  999ed3c15 - use update, because it describes better
  *  cd8a802d7 - delete lineedits, because they where replaced by
    numberspinbox and just forgotten to delete
  *  f33ee1884 - CartesianPlotDock: use macro instead of directly
    accessing m_initializing
  *  629635b41 - use common setPositionText in load and in
    orientationChanged, because previously in load setting the correct
    labelsPosition was forgotten
  *  0ad0cfb46 - row is an integer and not a bool
  *  8e02f680e - GIT_SILENT Sync po/docbooks with svn
  *  90f348e3b - histogram: refactor
  *  531386a2f - Merge branch 'master' into work/distribution-fit
  *  124b9dc74 - ML residuals
  *  bfd0c5c7f - GIT_SILENT Sync po/docbooks with svn
  *  df3f8eed3 - Minor layout fixes.
  *  6f13ca185 - GIT_SILENT Sync po/docbooks with svn

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 23 Dec 2022 19:37:27 +0000

labplot (2.9.0+git10655-a3d72f0a0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: a3d72f0a04c3bc08ef8288950e3f4d64cdd6942a
  * Date: 1670156334
  * git changelog:
  *  a3d72f0a0 - fix test
  *  ef56676de - add test
  *  e0535a08e - suppress setting also setCurrentIndex, because
    otherwise if two curves are selected, the second curve with a
    different coordinatesystem receives the coordinatesystem of the
    other, which is not desired
  *  5f7cadb66 - fix test
  *  5f8931a80 - do not set changed value, but just give feedback that
    the applied value is not valid. So the user knows from the tooltip
    which value he can set
  *  93c612df8 - remove not needed emit
  *  9744b0a0f - NumberSpinBox: disable waitFeedback after signal was
    emitted. In this case it is expected that due to the signal/slot a
    feedback is received and if not we are turning it directly of again.
    So it cannot happen that it gets forgottn to send the feedback
  *  c571479cd - cut the connection dock -> element -> (this) -> dock.
    Because in the case of the qlineedit, the cursor would be set to a
    wrong position and so the next letter will not be in the middle of
    the text, but at the end
  *  46eeec7ab - before every lock there must be a condition which
    checks if m_initializing is not already done. And in this case the
    function should not be executed
  *  a97de7785 - use Lock class wherever possible
  *  151f255ff - use everywhere the feedback feature. - use Lock class
    for locking instead of doing it manually
  *  d63b49a55 - turn on spinbox feedback for zeroOffset, position,
    logicalPosition, titleOffsetX, titleOffsetY
  *  22e34b01e - turn feedback on
  *  9cf5911fa - move autoscaling and retransforming into the
    undocommand
  *  0b42c87cf - use dimension, so no differentiation between x and y
    has to be done
  *  cdb7cf238 - change start and end in current range, because
    otherwise scaling and format will be change too which is not desired
  *  00c386db1 - GIT_SILENT Sync po/docbooks with svn
  *  696b77e5c - [import] properly update header options in
    ImportFileWidget that are dependent on file type and on the
    currently selected data container.
  *  126fbec6a - GIT_SILENT Sync po/docbooks with svn
  *  10305836f - GIT_SILENT Sync po/docbooks with svn
  *  14965b947 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  8d03d20d9 - Remove qtmqtt from .kde-ci.yml
  *  0b2c74a54 - GIT_SILENT Sync po/docbooks with svn
  *  4288c034b - [bar plot] use the correct line and background
    properties in the legend.
  *  3e7964324 - Use UTC datetime consistently also in Info Element and
    Custom Points
  *  1bf8e92a8 - GIT_SILENT Sync po/docbooks with svn
  *  347e2aef8 - GIT_SILENT Sync po/docbooks with svn
  *  b1afcbaca - Fix typo in dependency name
  *  dddf417fe - [notebook] properly parse Octave's column vectors.
  *  4111ae443 - GIT_SILENT Sync po/docbooks with svn
  *  a20f53bc5 - GIT_SILENT Sync po/docbooks with svn
  *  6bf0dd854 - niceExtend is anymore called. No it shows the correct
    behaviour
  *  2074585dc - do not update y range when zoom x is done, because then
    niceExtend() will be applied to y which changes the range even if it
    is set to manual. Also for x range this problem might occur
  *  b02195816 - add also test for common y
  *  361730185 - add test
  *  c535d44ec - GIT_SILENT Sync po/docbooks with svn
  *  c7b49c59e - limit border numbers to positive values and turn on
    feedback
  *  fae51c31d - Fix running TeX Live on Windows
  *  2d25fe14e - replace deprecated QHash::unite()
  *  fddf83186 - GIT_SILENT Sync po/docbooks with svn
  *  396737923 - GIT_SILENT made messages (after extraction)
  *  c01f56d0f - do not translate debug messages
  *  edbc8a61c - show standardoutput and stderr if not success
  *  69b2a8bdc - process workdir is not set use the applications working
    directory
  *  eac07f5d9 - show engine fullpath
  *  138dc5077 - consider timeout of waitForFinished
  *  5a2f5b034 - show absoluate filepath of the logfile
  *  3feaac33d - do not translate warning
  *  20b859a96 - move also common code for finding the engine into
    executeLatexProcess
  *  3520967c8 - move common code of pdf and latex into reusable
    function
  *  c5f300917 - GIT_SILENT Sync po/docbooks with svn
  *  3f4d86756 - GIT_SILENT Sync po/docbooks with svn
  *  a28697409 - Revert GIT_SILENT disable tubmelweed CI until website
    fixed
  *  2b5172be7 - use findData instead of a dedicated loop
  *  f1e106cf2 - The order of the entries into the graph type combobox
    does not match the order of the enum entries. Therefore it is not
    possible to use the integer of the enum entry as index
  *  aac4428c3 - GIT_SILENT Sync po/docbooks with svn
  *  3f883778a - GIT_SILENT Sync po/docbooks with svn
  *  218d49587 - format
  *  e3b7370bd - format fix.
  *  d00c2f2c9 - Improved the namings in the curve macros in order to be
    more consistent with the other code.
  *  f0c88bc78 - Use macros that were initially introduced for XYCurve
    to properly handle column renamings, etc. also in Histogram.
  *  321ba4d4f - GIT_SILENT Sync po/docbooks with svn
  *  3ad86fd30 - [datapicker] no need to react on description changes in
    the dock widget for datapicker itself and its image object.
  *  28331a50c - fix taborder for datapickerimagewidget
  *  896ca08d5 - [datapicker] extended the test
    DatapickerTest::curvePointMoveUndoRedo() to also check the scene
    coordinates of the point after undo and redo.
  *  c2e141ecf - [datapicker] added one more test for undo/redo of the
    point move step and removed the direct usage of private members in
    Datapicker.
  *  bbeec9542 - [datapicker] fixed undo/redo for datapicker point
    positioning and activated the test curvePointMove().
  *  e88b9fc2a - [datapicker] fixes: * update the point position also in
    the spreadsheet every time the point is moved with the mouse on the
    image, i.e. retransform is called * made the x and y columns in the
    data spreadsheet undo-unaware - the is no need for this since the
    spredsheet is not modified manually, everithing is done by creating
    and moving points on the image.
  *  b24404a01 - simplify empty QStrings
  *  9caaf8b86 - [worksheet] reduced the number of entries on the undo-
    stack when loading theme config for Line and Background. This also
    fixes crashes when doing undo/redo after these properties were
    applied in Histogram, etc.
  *  4b4013da6 - format fix.
  *  578f29286 - Minor cleanup.
  *  97c197300 - [worksheet] use Line and LineWidget for legend's border
    line.
  *  709e0cfec - code format
  *  96079d523 - [worksheet] allow to modify pen's properties in Line
    independent of each other. This addresses multiple issues: * reduce
    the size of objects put onto the undo stack (double instead of QPen
    if the width is changed, etc.) * decouple the updates of different
    widgets in LineWidget for different properties which fixes the issue
    with wrong values being shown when multiple lines are modified at
    the same time * simplifies the handling in the code
  *  a5d1737a8 - GIT_SILENT Sync po/docbooks with svn
  *  74971feb4 - GIT_SILENT Sync po/docbooks with svn
  *  96af15fb7 - [barplot] improved the algorithm for the positioning of
    bars to better utilize the available space on the plot area.
  *  92645b4ba - Fix empty QStringLiterals
  *  54b47f343 - GIT_SILENT disable tubmelweed CI until website fixed
  *  8dee3f20c - GIT_SILENT Sync po/docbooks with svn
  *  696b1b696 - Reduced the number of Column::valueAt() and
    Column::rowCount() calls which have performance impact during the
    load of many big columns and which compiler doesn't seem to optimize
    out.
  *  ee6de37b5 - GIT_SILENT Sync po/docbooks with svn
  *  a5e9e9dae - GIT_SILENT Sync po/docbooks with svn
  *  3fd7701d8 - GIT_SILENT add tooltip
  *  6b6487721 - Use GUM compliant terms
  *  e54927821 - ui strings: use GUM terms option
  *  efb084429 - fix ui strings
  *  9099fc491 - settings: add GUM compliant terms
  *  185e7ebe9 - code format
  *  807a3ec23 - [histogram]  properly handle the case when a wrong bin
    range was specified (max value < min value).
  *  aff84fd46 - [worksheet] simplified the handling of theme colors and
    prefix in Line and Background classes.
  *  48c74e332 - [worksheet] use Line and LineWidget in InfoElement
    classes.
  *  a62b62da8 - GIT_SILENT Sync po/docbooks with svn
  *  495808661 - Merge branch 'master' into work/DataPicker
  *  6d7fc4b0d - Fix crash in Bar Plot
  *  1c5b97215 - Merge branch 'master' into work/DataPicker
  *  85b12e59c - Fixed formattting in DatapickerTest.
  *  57ef7b84f - Reduced the precision in the failing test
    DatapickerTest::mapPolarInRadiansToCartesian().
  *  2fd9eaced - Use the same width of the separator between the columns
    in all dock widgets.
  *  8f26a33a9 - [worksheet] use Line and LineWidget for axis ticks line
    properties.
  *  d539b0995 - GIT_SILENT Sync po/docbooks with svn
  *  1c66f127d - GIT_SILENT changelog
  *  1e4e6113b - tests: Fix compilation
  *  cbc9f5668 - [worksheet] use Line and LineWidget for line propertiex
    in XYCurve.
  *  1df31b0db - [worksheet] use Line and LineWidget for the border line
    of the plot area.
  *  102ce8f17 - format
  *  1828ea44e - add radiobuttons to indicate which reference point is
    selected
  *  2f0a3fb8d - fix tests, because numberspinbox does not send out a
    valueChanged() signal when setting the value
  *  752060440 - use for every functionality it's own test
  *  732fd8c91 - increase digits in debug output
  *  8ac4ba601 - fix wrong calculation
  *  85407b147 - fix build
  *  922fd02bd - revert using strings instead of the integer
    representation of GraphType
  *  e0c809d63 - Update Datapicker.cpp, DatapickerImage.cpp, and 8 more
    files...
  *  f452068fe - add additional tests
  *  c9cd29527 - add more tests
  *  f3feafb8a - tests
  *  1264c621f - implement log10 for datapicker
  *  b7ac1d352 - GIT_SILENT Sync po/docbooks with svn
  *  6d2c3228c - spreadsheet function: allow functions with columns
  *  9928417cf - spreadsheet function values: fix case sensitive
    completion
  *  cb7ec045a - spreadsheet function values: extend auto completion to
    show full description
  *  298b8d949 - Fix crash in function dialog (regression)
  *  973ebcca5 - tests: fix private access to axis dock
  *  ee1dda899 - minor code fixes
  *  ed42f3f01 - Fixed minor layout issues in the ui-files (non-first
    tab selected on default, etc.).
  *  ea10e8632 - fix tests and format
  *  13f0cee2f - replace QDoubleSpinBox by NumberSpinbox
  *  401e1e90c - turn on feedback for zeroscaling
  *  6b6c0d3f0 - fix build
  *  b0ce6228e - use qstringliteral
  *  a8cf928d7 - Fixed the usage of protected constructors in QString in
    the new class NumberSpinBox and fixed the ui files where not the
    first tab was selected.
  *  a3d76a045 - work on comments at gitlab
  *  3960c7efb - code format
  *  9e5e1086b - Fix warnings
  *  8ca0addd6 - Fix compilation
  *  ff545425f - fix control reaches end of non-void function
  *  fbe5f1415 - limit values for labelWidget and lineWidget
  *  0c5a29cd9 - limit the value during stepping for min/max
  *  a25c1b5a7 - feedback when linewidth is invalid
  *  5215ac97b - numberspinbox for lineWidget and axis
  *  a1e042853 - use feedback for padding
  *  85d062ee8 - Update XYCurve.h, XYCurvePrivate.h, and XYCurveTest.cpp
  *  ba54a3f8d - fix compile issues
  *  7fe27d037 - numberspinbox for cartesianPlotlegend
  *  22773a570 - Update ReferenceLineDock.cpp, ReferenceLineDock.h, and
    2 more files...
  *  e62c9612f - use numerspinbox in infoelement
  *  aaea19fe2 - Update CMakeLists.txt, AxisDock.cpp, and 7 more
    files...
  *  d30b91478 - use numberspinbox instead of qdoublespinbox
  *  0055eb85e - fix tests
  *  c8aabd5e5 - when switching from negative to positive value the
    position of the cursor should changed accordingly
  *  3d2f27aca - use NumberSpinBox in LabelWidget
  *  5452a75ce - Create QtDesigner Plugin for NumberSpinBox, so they can
    be added graphically to the *ui files.
  *  181774105 - implement using decimals for initial setValue().
  *  252afd5f5 - Update Axis.cpp, AxisDock.cpp, and 2 more files...
  *  407ffa6a4 - fix error when setValue gets called in the slot the
    valueChanged signal is connected
  *  914cc12e5 - use by default strong focus
  *  7cddd05a3 - add missing connections
  *  990632dd4 - Update AxisDock.cpp, AxisDock.h, and axisdock.ui
  *  649ab9042 - add another constructor to be more flexible
  *  6ffda0f53 - implement feedback feature
  *  67d863b24 - add test for entering numbers with the keyboard
  *  d667119ce - use different approach setting invalid. So the error
    strings are at a single place and are easily reusable
  *  cbdd5ed5d - fix test by providing the text to event, because this
    text is inserted to the lineEdit()
  *  9343cdac0 - comment one test out for now
  *  272edbb8b - fix tests
  *  ed352a017 - implement suffix/prefix and min/max
  *  097114c65 - emit valueChanged when value was changed
  *  46c6f990e - fix bugs and create more unittests
  *  c95ddd52d - missing calculation with exponential value
  *  34d294bcf - fix a few bugs
  *  90f5fa034 - initial commit for the NumberSpinBox
  *  99e23d310 - Update CartesianPlotTest.cpp
  *  0164cedbd - GIT_SILENT Sync po/docbooks with svn
  *  0473003e0 - bar plot: fix x axes settings
  *  6ae216e97 - GIT_SILENT: changelog update
  *  06d11098b - tests: add formula tests for cell(f(i), g(x,..))
  *  9fb24f15d - column formula: support general syntax cell(f(i),
    g(x,..))
  *  a0c1d79bf - code format
  *  00fa3ad3e - GIT_SILENT Sync po/docbooks with svn
  *  d2b2412cd - spreadsheet function: simplify code
  *  5dec0aee7 - packaging: disable FreeBSD
  *  218048083 - packaging: disable flatpak until fixed and enable
    FreeBSD
  *  63c386df6 - packaging: fix name?
  *  04043c54d - packaging: fix name?
  *  773a4ffc9 - packaging: fix flatpak by removing cantor dependency
    (fails with missing qtwebengine)
  *  f1fe02e27 - packaging: fix flatpak by including boost package
    manifestos
  *  7ef819e30 - packaging: fix flatpak by removing missing base
  *  4c07ac8d6 - packaging: fix flatpak by including package manifestos
  *  e7d9505fc - packaging: enable flatpaks in gitlab builds
  *  b5fa02d22 - tests: improve matrix values check
  *  879e7602b - tests: unambiguous name
  *  da53f5779 - tests: derive from common test
  *  f338a86db - GIT_SILENT Sync po/docbooks with svn
  *  4311be605 - tests: prepare Matrix tests
  *  f330734e5 - Matrix: Fix generating values from function
  *  906278975 - [matrix] use the black color for invalid values and
    reduced the number of static_casts when generating the image view.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 04 Dec 2022 15:44:11 +0000

labplot (2.9.0+git10456-f3a4abdb8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: f3a4abdb82e11aa4a954c8c5828aeeeb06fbf8b5
  * Date: 1667872528
  * git changelog:
  *  f3a4abdb8 - GIT_SILENT Sync po/docbooks with svn
  *  d425b0e99 - GIT_SILENT Sync po/docbooks with svn
  *  d9f499188 - code format
  *  9f36efbc2 - Fix another string issue on Windows
  *  1e6a41961 - Fixed the position of the customer column text values
    for the major ticks in AxisDock.
  *  d5df69a0d - Fix another string issue on Windows
  *  26f26ea15 - Fix another string issue on Windows
  *  8635fe459 - Fix another QString issue
  *  f736da70f - Fix compilation on Windows
  *  f888be7b9 - GIT_SILENT Sync po/docbooks with svn
  *  68760a5c1 - Fix QByteArray usage
  *  1e13136e6 - fix format
  *  84a472bdf - Fix another QString issue
  *  bfd08f38a - Fix another QString issue
  *  46e7dc428 - Fix compilation in debug mode
  *  098a8f28c - Finish fixing QString/QChar usage problems
  *  14c6dc09a - [notebook] properly handle data type changes of already
    existing variables and create columns when after the value change
    the already existing variable got an array-like data that we expose
    as Column. Similarly for the case when the variable value was
    changed to a non-array like value and we need to delete the already
    existing column.
  *  0ab7bf5c7 - format
  *  9dcaaff46 - Merge branch 'master' of https://github.com/KDE/labplot
  *  fe0af4c69 - Fix more QString/QChar usage problems
  *  4ec85ac9e - [worksheet] update the legend on data column and
    formatting changes in the bar plot.
  *  4f5346441 - [worksheet] refactored the legend to be able to draw
    multiple items per curve like it is need in the box and bar plots
    when multiple columns are plotted in the same plot and implemented
    the legend for the bar plot.
  *  ab96e8ba5 - GIT_SILENT Sync po/docbooks with svn
  *  62340f242 - Fix more QString/QChar usage problems
  *  14b9e1a53 - fix compiling (macro)
  *  023f563a8 - Fix more QString/QChar usage problems
  *  1ac89a9a6 - Fix more QString/QChar usage problems
  *  f4dcf39e3 - Fix more QString/QChar usage problems
  *  f2224e0e6 - GIT_SILENT Sync po/docbooks with svn
  *  d72c1d287 - Fix several QString casting problems
  *  7ea4cadbe - GIT_SILENT Sync po/docbooks with svn
  *  8804df1c2 - tests: add sma(n,x) and smr(n,x)
  *  7c0024fc1 - spreadsheet formula: support simple moving average
  *  537b82c9b - spreadsheet formula: support simple moving range
  *  23c432956 - spreadsheet formula: support simple moving min/max
  *  c51cf3e08 - GIT_SILENT Sync po/docbooks with svn
  *  d9f5b59e8 - tests: check moving statistics
  *  ae32db3b7 - spreadsheet formula: make moving statistics more
    prominent
  *  ac3a57b33 - spreadsheet formula: support simple moving average
  *  78b044b2e - spreadsheet formula: add mr(x) to support moving range
    MR(2)
  *  6c0be019c - tests: more spreadsheet formula tests
  *  d461a9d6f - tests: add spreadsheet formula test
  *  bb35064c7 - compile: use all cores
  *  07b4746c5 - GIT_SILENT Sync po/docbooks with svn
  *  0e8d6ff71 - parser: fix min(x) (duplicate min(ute) constant)
  *  b04b85919 - formula dialog: support cell(f(index), column)
  *  008ef78b5 - [matrix] zoom in the image view with the mouse wheel.
  *  f0d00791d - [matrix] use viridis color map for the image preview
    instead of grey colors.
  *  c99762e3e - GIT_SILENT Sync po/docbooks with svn
  *  a57b8fc0c - [matrix] fixed the layout in MatrixDock.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 08 Nov 2022 20:12:44 +0000

labplot (2.9.0+git10406-91ba4015a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 91ba4015a5e8e11a86ceb8e41aa343ce1617d45c
  * Date: 1667127943
  * git changelog:
  *  91ba4015a - [matrix] unified the entries in the main and in the
    context menus and implemented zooming in the image view.
  *  fca22d893 - GIT_SILENT Sync po/docbooks with svn
  *  70da44b8e - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  e4a0bc1a1 - GIT_SILENT made messages (after extraction)
  *  1823bb71b - function dialog: support cell(n, x) to access row n of
    named column x
  *  704a22bd9 - [matrix] improvements and bug fixes in Matrix: * fixed
    the starting points for x and y when calculating the matrix values
    via a function * react on text change and not on return pressed
    events in the Matrxi dock widget * switched to the new signal-slot
    syntax in MatrixDock
  *  2e611ec21 - Disable filling options for more symbol types where
    there is not filling possible.
  *  15b9f9557 - Moved some of the logic added during the recent
    refactoring from the cpp to ui files.
  *  471b29dea - update infoelement when curve data is changing
  *  609a17b6c - do not use the home folder as default custom, because
    recursive searching there might be really expensive and leads to
    freezing of labplot. Use as default custom folder the default
    standard path. So the loading gets really fast
  *  04ce6f9b4 - GIT_SILENT Sync po/docbooks with svn
  *  7dcbdaf11 - code format
  *  6cae9f107 - Initialize the internal XML version variable with the
    current build version so we properly serialize and deserialize the
    objects during copy&paste. When loading project file, set this
    version temporarily to 0 - the actual project version will be read
    in the file, if available, and used in load() functions.
  *  f45461abd - format fix.
  *  811fd374a - [worksheet] use Line and LineWidget for the reference
    line.
  *  7f672c670 - [worksheet] user Line and LineWidget for line, major
    grid and minor grid properties in Axis.
  *  23d2026e8 - GIT_SILENT Sync po/docbooks with svn
  *  a0a52d2c0 - GIT_SILENT changelog
  *  bba20d8a9 - fix warning
  *  c91bb7ab2 - GIT_SILENT Sync po/docbooks with svn
  *  4bdf6be61 - Merge branch 'master' into work/aacid/fix_parser_usage
  *  4f7a45a39 - fix code style
  *  1489bfec0 - Fix i18n usage
  *  5b193cb1a - Remove duplicated command line parser stuff
  *  6aada0579 - GIT_SILENT Sync po/docbooks with svn
  *  1a9b40da1 - GIT_SILENT Sync po/docbooks with svn
  *  9e02376b4 - code format fix
  *  60e17b8d1 - tests: Fix project import
  *  5bfd5a72d - code format fix
  *  f42b9be66 - Merge branch 'master' of https://github.com/KDE/labplot
  *  b2ca78349 - [worksheet] use Line and LineWidget for drop line
    properties in XYCurve.
  *  65c1517cc - simplify code (and fix warning)
  *  882addd5c - NSL: fix dummy functions
  *  355a29d3f - Qt6: replace deprecated QPrinter methods
  *  6342f2257 - GIT_SILENT Sync po/docbooks with svn
  *  4c2d54691 - tests: remove duplicate code
  *  4fcb14a0b - Merge branch 'master' into 383-import-csv-with-same-
    column-name
  *  09c3cc7bb - Merge branch 'master' into 383-import-csv-with-same-
    column-name
  *  aaf6c4655 - Merge branch 'master' into work/label-use-default-font
  *  0b2789b50 - Added a nullptr-check
    XYCurvePrivate::calculateScenePoints() so we don't crash when symbol
    properties of a curve are being modified before the curve is added
    to the plot.
  *  a5a2c46da - Merge branch 'master' into work/label-use-default-font
  *  3724ed2f2 - Added forgotten changes in Spreadsheet.cpp.
  *  2de1fedf7 - [ascii import] make sure the column names provided by
    the user (either manually or in the file header) are unique.
  *  2a7211b07 - GIT_SILENT Sync po/docbooks with svn
  *  38c88167f - [worksheet] don't allow any horizontal scrollbars in
    the range related tables  in CartesianPlotDock. This further reduces
    the number of elements in this heavy widget, scrolling should be
    done via the parent scroll area.
  *  e13c1ba59 - [worksheet] use system's default font in text labels
    insteads of hard-coded Arial 12pt.
  *  fa38f8687 - GIT_SILENT Sync po/docbooks with svn
  *  71a4bde7f - fix (unused) version test which would break on KF5
    5.100
  *  a0c00063f - [worksheet] use Line and LineWidget for cursor line
    properties in the plot.
  *  f71d4e0a0 - GIT_SILENT Sync po/docbooks with svn
  *  d858dca7f - GIT_SILENT Sync po/docbooks with svn
  *  78c0a33cc - GIT_SILENT Sync po/docbooks with svn
  *  7d744e61c - Qt6: QNetworkAccessManager -> QNetworkInformation
  *  7939cdfbc - GIT_SILENT Sync po/docbooks with svn
  *  978fab0e0 - Merge branch 'master' into work/PlotFormat
  *  9691d0185 - wrong dimension used
  *  09318d0d8 - try to avoid defaultCoordinatesystem function whenever
    possible, because they are error prone. Name function explicit with
    Default suffix to indicate that those functions are using the
    default coordinatesystem.
  *  4ba8759d3 - fix bugs
  *  99c1e7c58 - GIT_SILENT Sync po/docbooks with svn
  *  cd28305bf - cmake: fix Qt min version deprecation
  *  b58ecc41f - Add override
  *  39caeb0b4 - for checking the rangetype not always the xColumn
    should be used, but depending on the dimension
  *  005513e86 - move zoom menu behind the new menu
  *  20fe2f610 - move contextmenu creation of cartesianplot into
    worksheetview, so the zoomScaleActions of the Worksheetview can be
    reused instead of implementing own actions
  *  4e02848e7 - enable actions if a valid element is selected
  *  2302294e6 - use everywhere the navigation function to make it
    consistent and easier to maintain
  *  b81076ea2 - GIT_SILENT Sync po/docbooks with svn

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 30 Oct 2022 14:57:14 +0000

labplot (2.9.0+git10339-1cb47939b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 1cb47939b975fc6c0a99ad9ec1f197382909ec55
  * Date: 1665859741
  * git changelog:
  *  1cb47939b - code format fix.
  *  d7b778731 - [spreadsheet] multiple minor fixes in the handling of
    selected columns in SpreadsheetView: * removed the usage of default
    QModelIndex() parameters in some of the calls in
    QItemSelectionModel. * in case the context menu is called by
    clicking one of the spreadsheet cells and the column underneath is
    fully selected, show the column specific column and not the global
    spreadsheet column. * reduced the number of selectedColumns() calls
    in the event filter. * changed the default value of the parameter
    full in selectedColumns() to true - this function is mostly called
    without this parameter and the default value is applied and in most
    of the cases this function is called when columns are fully
    selected. In such cases we should benefit from the faster
    QItemSelectionModel::isColumnSelected() used internally.
  *  7c0c4962a - invalidate before emiting dataChanged, otherwise it
    will the autoscaled wrongly
  *  271d357ea - when shift is done, autoscale shall not be done on the
    complete range, but only the one set by the other range
  *  30b63ffe0 - Update CartesianPlotTest.cpp and CartesianPlotTest.h
  *  09f0333ba - wrong function name in doxygen comment
  *  2e42a0416 - [worksheet] moved the isLoading-check into
    CartesianPlot::checkAxisFormat() instead of doing this check in
    multiple places when checkAxisFormat() is being called.
  *  0eca587d4 - missing PROJECT_SAVE stuff
  *  5a12be831 - another missing isLoading() is needed
  *  0e9ee2ddd - do not checkAxisFormat while loading, because format
    should not be overwritten. Fixes #74
  *  af92e2906 - move restorePointers to the end, because state is in
    the ProjectExplorer. In the tests, it will not be created and
    therefore restorePointers will never called in the tests
  *  ed62a9e8c - GIT_SILENT Sync po/docbooks with svn
  *  ecddbdd20 - Qt6: QDirModel->QFileSystemModel
  *  b679fe9ea - - delete logical points, if x or y column gets deleted,
    because data cannot be valid anymore - if xColumn not available, do
    not calculate scenepoints because calculateScenePoints needs xColumn
    and it make no sense to calculate fixes #407
  *  bd7bdc5dd - do not calculate scenepoints if filling is disabled
  *  ba8b44b7a - dirty must be set to true
  *  60964756f - clear m_scenePoints, to release memory, because they
    have to be recalculated before using it
  *  be6cf239a - call calculateScenePoints whenever scenePoints are
    accessed
  *  69ee33efb - move calculating scene points into own function
  *  f60076d79 - Merge branch 'master' of https://github.com/KDE/labplot
  *  bcc4a5640 - More cppcheck issues fixed
  *  6f0d06309 - [spreadsheet] avoid duplicated looping over all columns
    in the spreadsheet to determin the selected columns and code style
    fixes in DropValuesDialog.
  *  61c089b84 - [spreadsheet] Dropping and masking of values also for
    datetime columns.
  *  50d1c346c - code format
  *  e64ed3c16 - GIT_SILENT Sync po/docbooks with svn
  *  42b7bd38a - Fix more cppcheck issues
  *  e92af1abc - GIT_SILENT Sync po/docbooks with svn
  *  97f3e0607 - Minor code format fix and adding Darek for the AUTHORS
    file.
  *  110be2673 - [box plot] use Line and LineWidget for box line, median
    line and whiskers line properties in BoxPlot.
  *  147c4e5b2 - GIT_SILENT Sync po/docbooks with svn
  *  578e47ff6 - GIT_SILENT Sync po/docbooks with svn
  *  392fc46bf - tests: fix couple of cppcheck issues
  *  ae6b24c53 - Merge branch 'master' into work/spreadsheet-memory-
    consumption
  *  9d822d412 - [xy-curve] use Line and LineWidget for error bars line
    properties.
  *  7bc2a58cc - GIT_SILENT Sync po/docbooks with svn
  *  a75cc35c5 - [histogram] use the central classes Line and LineWidget
    for the properties of the error bars line.
  *  073fd3358 - [histogram] use the new classes Line and LineWidget
    also in the Histogram and HistogramDock.
  *  3af39cc4a - GIT_SILENT Sync po/docbooks with svn
  *  c6257f8b7 - function dialog: support quantile(p, X) and
    percentile(p, X)
  *  1c7175194 - code format
  *  e8d4f5a01 - Merge branch 'master' into work/spreadsheet-memory-
    consumption
  *  bdfb9578d - [spreadsheet] fixed the subtraction of the number of
    rows to be deleted from the total number of rows in case the delayed
    initialzation of the data containt is done.
  *  2fd5c4750 - GIT_SILENT Sync po/docbooks with svn
  *  208ac6ea5 - [spreadsheet] when initializing the vector for doubles,
    fill it with NaNs.
  *  505ec530a - Merge branch 'master' into work/spreadsheet-memory-
    consumption
  *  de3578e27 - GIT_SILENT Sync po/docbooks with svn
  *  4fe55fc0c - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  611ca82a0 - [spreadsheet] no need to initalize the data container
    in ColumnPrivate::replaceData(), we directly replace the pointer to
    point to the new data.
  *  05ccb9f4f - [spreadsheet]  added more data container
    initializations in case the initialization was delayed.
  *  505e5a47f - function dialog: expose all statistical methods on
    column
  *  55c299f26 - GIT_SILENT Sync po/docbooks with svn
  *  fb2489ba2 - statistic methods: add more methods
  *  77965d78e - statistic methods: simplify value replace
  *  9ba273d8b - statistic methods: use lower case names for consistency
  *  431514daf - Port away from deprecated standard path
  *  4e6ac33cd - GIT_SILENT Sync po/docbooks with svn
  *  ef26e1ac6 - GIT_SILENT Sync po/docbooks with svn
  *  051f982b1 - [bar plot] when modifying the prorties of bars, ask the
    user to provide the column name and not ins index.
  *  8299a0c87 - GIT_SILENT Sync po/docbooks with svn
  *  b4e45bfe2 - function values: support basic statistic values
  *  1f19eda10 - [spreadsheet] disable sample values and flatten columns
    actions if the selected and columns don't have any values and
    disable the add new reference column button in the
    FlattenColumnDialogs if no reference columns are available.
  *  c844080bc - code format.
  *  1082452ea - [bar plot] allow to modify the properties of the border
    line for every bar separately.
  *  28ba228ed - code format
  *  ca0b510bc - [worksheet] introduced new central classes Line and
    LineWidget to hold and to modify properties of lines in worksheet
    elements.
  *  425ce83f1 - GIT_SILENT Sync po/docbooks with svn
  *  93f6ffea3 - tests: fix datetime import
  *  0fe9b4732 - code format
  *  576a193bd - column: fix datetime editing in spreadsheet
  *  cfd4b68fc - ascii filter: fix import datetime
  *  697623f33 - Cantor and Jupyter files, when openned via the command
    line or being dropped onto LabPlot, should be openned directly
    instead of in the import file dialog.
  *  76f6170e7 - [spreadsheet] use better action names Flatten Columns
    and Sample Values instead of Flatten and Sample.
  *  3ac6dd4db - [spreadsheet] allow to flatten values without any
    reference columns (flip).
  *  574f05ac2 - fixed clang format.
  *  a91aae895 - [spreadsheet] properly handle missing values in the
    reference columns and added unit tests for flattening.
  *  f780c4dc7 - [spreadsheet] allow to remove reference columns in
    FlattenColumnsDialog.
  *  9bc3391cb - [spreadsheet] ensure all selected columns for
    flattening have the same column mode and multiple other fixes in the
    actual flattening code.
  *  8c8c6ff84 - [spreadsheet] initial implementation for the flatten
    data feature.
  *  f01212074 - [ascii import] don't crash when trying to import a JSON
    file via the ASCII filter.
  *  83e1726b6 - GIT_SILENT Sync po/docbooks with svn
  *  ae6201b63 - unused code
  *  a26cbb7a9 - Fix build with Qt < 5.13
  *  9bf48a4c8 - code format
  *  9c33ac9b7 - [worksheet] improved the design in the plot dock widget
    according to the proposal in #394.
  *  b29ca966b - [worksheet] improved the wording in the layout tab of
    LegendDock to be more consistant to the wording in other areas - in
    the Margin-section use Top instead of Top margins, etc.
  *  cda8d4083 - Consistently use the new term Plot Area in
    PlotDataDialog.
  *  6d4abde15 - add missing include
  *  18ae05ebc - the dock function is private and might make problems on
    compiling on windows, so use the axis function directly
  *  8e0decb54 - Update Axis.cpp, Axis.h, and 6 more files...
  *  8ededff66 - Faster filtering in the project explorer in case the
    filter string is empty and all items in the tree model need to be
    made visible again.
  *  0e1a9981b - GIT_SILENT made messages (after extraction)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Oct 2022 21:18:16 +0000

labplot (2.9.0+git10247-a3e2be722-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: a3e2be722f63264d4ba84b21749f6fcd83d2db5a
  * Date: 1664223745
  * git changelog:
  *  a3e2be722 - Minor improvements: * when changing search options in
    the Project Explorer (enable fuzzy search, etc.), don't do any
    search when the current search string is empty - this can save
    performance with very many objects in the project * don't show any
    frame for the range related ComboBoxes in plot's properties widget.
  *  fd655bd96 - Renamed Plot, xy-Plot and Cartesian Plot to Plot Area,
    s.a. the discussion in #380.
  *  639d304cf - [spreadsheet] disable add/subtract value-actions in the
    context menu for text columns.
  *  4f0895f36 - More stable sorting of frequency values against
    duplicates in the data set in the bar and Pareto plots and properly
    clear the vector of frequencies on data changes in the column.
  *  2357e5411 - code format
  *  dffc1b1ae - hdf5: switch to binary filter when parsing fails and
    show error message
  *  ab7629fcd - hdf5: don't accept hdf4 files (non Windows only)
  *  99fbfa48d - Show the frequency values in the bar plot and
    cumulative percentage values in the Pareto plot in the column
    statistics widget and use system's font size for values.
  *  7332e7bd4 - [bar plot] allow to show frequency values on top of the
    bars (or below, etc.).
  *  335f5ed38 - [worksheet] moved the drawing method for values out of
    Histogram to the central class Value so this logic can also be re-
    used in other classes.
  *  86cca75d7 - [worksheet] use theme specific color also for the
    background color in Histogram and in BoxPlot.
  *  00712b8d9 - fix code format
  *  3a48bfac5 - pareto plot: fix number of ticks for first y axis
  *  5fe043045 - axis: improve decimal tick label for log scales
  *  0f65adf43 - Range: add helper function
  *  281eaa107 - axis: avoid detaching Qt container
  *  58e78ddeb - qAsConst() requires Qt 5.7
  *  438c816be - instead of checking for nullptr, move addChild to the
    beginning, so the plot is also set then
  *  e3e7e72df - when adding a new axis and the coordinatesystem will be
    set, retransformRange() will be called. Due to the missing plot and
    csystem the application crashes. This is because the axis gets child
    of the plot after all properties are set correctly
  *  afd15ba16 - fixed clang format.
  *  30c90d7e6 - [spreadsheet] improvements in the handling of values
    labels: * when adding value labels for text columns, show all
    available unique values in the combobox so the user can select them
    faster * set the project to 'modified' when the value labels were
    changed in the column
  *  65799ec4c - fix tests
  *  9bdffe8e6 - add Test
  *  a759f89fe - retransform changed scales, otherwise the ranges are
    not adapted.
  *  be4577646 - plotRangeChanged() is already defined in the BaseDock,
    so no need to reimplement again
  *  cad413938 - [worksheet] improvements in the worksheet view: * don't
    allow to zoom with the mouse wheel if the view was set to
    'interactive' * don't crash when using view shortcuts in the
    interactive mode like in the column statistics widget * remove
    handling of shortcuts 'x' and 'y' in the worksheet view that collide
    with the shortcuts in the plot
  *  3a609b8f1 - [spreadsheet] in the statistics dialog for text columns
    sort the values in the bar plot and properly resize the first y-axis
    in the Paretto plot.
  *  03c70a3ca - [spreadsheet] ensure all actions and menus are
    initialized when calling the context menu for the headers.
  *  75f406fea - [spreadsheet] better axis and label properties in the
    Paretto plot in the statistics widget.
  *  deb27d834 - Merge branch 'master' into work/CI/fixClangformat
  *  e7b68bca2 - code format
  *  a96af94ee - Merge branch 'master' into work/CI/fixClangformat
  *  c38ad808c - Merge branch 'master' into work/cleanup
  *  3b988a0e8 - code format
  *  5c8d25866 - add const
  *  0d61d5d66 - move initializations directly to the variables
  *  b8ea9c5f0 - fix formating.
  *  2fdb834cf - [spreadsheet] Data sampling (random and periodic
    methods).
  *  bae31ae19 - column statistics: fix cummulative curve of Pareto plot
  *  24e228df7 - code format
  *  eae3234f1 - column statistics: add second axis of pareto plot
  *  cbccc2088 - [spreadsheet]  dropping and masking of values for text
    columns.
  *  21e5c3e96 - use already existing script to format. Otherwise the
    behaviour might be different
  *  10d0a7470 - add missing include
  *  18daccc5b - retransforscale must be done also if no autoscale is
    done, otherwise the axes lines are not drawn at the correct
    position, because the cSystem scales are not recaculated
  *  301b35c19 - Column: add IndexForValue test

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 26 Sep 2022 21:26:05 +0000

labplot (2.8.2+git10201-5257eaf8f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 5257eaf8fcc95ae1a547b74d6deaf3ca233e73a2
  * Date: 1662917144
  * git changelog:
  *  5257eaf8f - fix formatting.
  *  d29a62823 - [spreadsheet] implemente Pareto Plot in the column
    statistics widget for text columns.
  *  8da0c1d54 - [worksheet] moved the properties of values (value
    strings shown besides the data points in XYCurve, Histogram,
    BarPlot, etc.) to dedicated classes for better code re-use.
  *  d974bdf7d - [worksheet] for latex labels, use a somewhat bigger
    value for fboxset to avoid too strong/errorneous trimming of some of
    characters like '7', '9', etc.
  *  65d70e4f5 - Fix compile error
  *  31e8c1a49 - code format
  *  86732799e - [spreadsheet] show column statistics also for text
    columns.
  *  091b327d8 - cmake: desktop files do not need to have the executable
    bit set
  *  f51c06fe8 - cmake: try another fix installing .desktop
  *  e80e5b681 - cmake: fix installing .desktop
  *  06aaf0342 - GIT_SILENT made messages (after extraction)
  *  6b62d9a99 - Merge branch 'master' into work/kossebau/kdemoduledir
  *  f5d9cc0ba - format fix
  *  713c356be - minor code fixes
  *  9062009c6 - Remove explicit use of ECM_KDE_MODULE_DIR, is part of
    ECM_MODULE_PATH
  *  531c4e8cc - [bar plot] new tests.
  *  dff33531f - Fix setting Axis range
  *  b5aabb5a8 - fix issue
  *  1053e9084 - histogramm shall track retransform
  *  b9f1ff4a9 - use QVERIFY2 to automatically showing description if
    the test fails. Add string vector comparsion macro
  *  4a73a67fd - Update RetransformTest.cpp
  *  604a5ae04 - Update RetransformTest.h
  *  caf6d4eb1 - add initial test
  *  1f5a3d579 - [worksheet] when drawing the rotated latex image, use
    the untransformed rectangle since it gets rotated in the painter
    again.
  *  55d6b5012 - Removed some dead code.
  *  007c9cdf8 - [worksheet] when drawing the selection box for
    TextLabel and Image, properly take the width of the pen into account
    when calculating the rectangle.
  *  d09c6a69b - [worksheet] improved the quality and the size of latex
    labels when they are being created when the worksheet was already
    zoomed.
  *  a342460ed - When determining the error message in the latex output
    that is forwarded to the end-user, use the first non-empty line of
    the error output instead of the first line.
  *  a9cbeda52 - cmake: fix linking iconv
  *  53555e129 - cmake: link system readline with iconv on all platforms
  *  bd278ac5a - Call explicitely the proper function of the base class
    to avoid infinite recursion in AspectDock::setAspects() when adding
    new folders and workbooks.
  *  c6d932d19 - Restored the code that was removed by an error during
    the refactoring done for Background.
  *  98c4bf321 - Multiple fixes for copy&paste in the project explorer
    via keyboard shortcuts: * properly determine the name and the type
    of the copied object * fixed wrong string placeholders * when
    creating or openning a new project, remove all error messages from
    the previous project, if any are still visible * when pasting some
    external data (for example the data copied from a text editor),
    allow to paste into spreadsheet columns only
  *  aeb934813 - unify checkRange and use Dimension instead of two exact
    functions
  *  834f9ee31 - retransformRange if the coordinatesystemindex changes,
    because the range used to draw the axis is stored in the Axis object
    and must be updated.
  *  916acb5f6 - format
  *  fe35e4681 - [spreadsheet] when generating random numbers,  allow to
    specify the seed number.
  *  69b466f67 - retransformscale and retransform must be called after
    the scale changes so that the axis and curves are updated
  *  16d533972 - the index is related to dim and not dim_other
  *  02c50ce4f - Minor fixes: * reduced padding in
    CartesianPlotSetRangeIndexCmd * switched to Symbol::draw() in
    XYCurve and Histogram to reduce the code duplication * removed some
    dead code in NoteDock * improved the layout in SymbolWidget
  *  6f2211065 - [box plot] symbols for whisker end points and some code
    refactoring to reduce code duplication around the handling of
    symbols in BoxPlot.
  *  26ddde193 - format
  *  7f2c88824 - retransform if updated indipended if sender is provided
    or not
  *  2843d4856 - show index and value of the compared vectors
  *  a44f1eeb8 - revert
  *  953f6122b - if index is -1 execute retransformScale on all ranges
  *  3828d3fba - fix crash
  *  9e89c7653 - fix crash
  *  f2c5b9635 - format
  *  b4a34583f - rename signals and move them to the beginning and the
    end.
  *  cc08f9110 - static_cast missing
  *  219887515 - typo
  *  1f31e82eb - aspect is a pointer
  *  2e6f45b06 - use signals instead of calling project() so the
    dependency to the project is reduced
  *  a6cbfabc2 - format
  *  f8653e7f0 - m_suppressRetransform is not needed because
    suppressRetransform exists
  *  dbcda6ebb - format
  *  8e5d152bc - RetransformTest: also the curve shall be called only
    once. Instead of required, use suppress, because it is a better
    wording
  *  da6af4de9 - move setSuppressRetransform into WorksheetElement so it
    can be used also by the curve and there must not be a second
    suppress variable
  *  8f53b332b - format
  *  fe110316a - initial fix
  *  e03df9261 - no need to retransform when printing changes, because
    linepath is already calculated. Linepath is needed for the curve
    shape and the bounding rect
  *  998f241ca - for export use painter->drawPath()
  *  8b7f666ff - if we have a solid line, use a faster approach to draw
    the lines
  *  b700b871c - Revert draw lines directly because it is more than 60
    times faster than drawing the path
  *  aa462d924 - Revert Test use drawPolyline which is faster
  *  35956a58e - Test use drawPolyline which is faster
  *  d813795f3 - draw lines directly because it is more than 60 times
    faster than drawing the path
  *  ecad1d782 - Remove qwindowtitle from desktop file
  *  81c2c59bd - Remove ServiceTypes from desktop file
  *  12a9699fd - Update LabelWidget.cpp
  *  7b5be0bad - Apply 1 suggestion(s) to 1 file(s)
  *  024a2bc64 - format
  *  f9f7255a6 - fix build
  *  942ae9ea7 - prevent using directly m_aspect
  *  b513d4b61 - format
  *  b604886b4 - use template
  *  b57bfdde4 - 1) update the coordinatesystemIndex for all aspects not
    only the first one 2)use function to set aspects to the basedock.
  *  c8a3904b1 - instead of using an external project, reimplement the
    project in code
  *  634482aa7 - no need to retransform the other dimension, because it
    will be retransformed already in the autoscale if needed
  *  4c250f1c8 - reuse functions
  *  7a75c48bf - format
  *  8e963bf60 - [histogram] error bars with custom values.
  *  c448852c8 - [histogram] caps for error bars in Histogram.
  *  258e16876 - [histogram] initial implementation of error bars for
    histograms,  only the Possion error bars are supported right now.
  *  fb0f22bdb - fixed formatting.
  *  8bde3e764 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  3ba7edef2 - GIT_SILENT made messages (after extraction)
  *  3f137491e - [box plot] enable the rug plot also for box plots.
  *  7fbcf139e - [histogram] rug plots for histograms.
  *  cc4ae7221 - fixing the build.
  *  9575c1f56 - [histogram] when creating the data spreadsheet,  use
    the proper bin values and not always the probability dencity
    normalized values.
  *  3fbe9cd05 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  9ecba0282 - GIT_SILENT made messages (after extraction)
  *  608c4cac5 - fixed formatting.
  *  7fe88f29d - [worksheet] data spreadsheet for histograms with the
    positions and values of the bins and for box plots with its metrics
    (quartiles, median, etc.).
  *  32650f4b8 - [analysis] allow to create a spreadsheet with the data
    steming from the result of the computation.
  *  6eed1afc8 - [histogram] use the selected range and not the default
    one.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 13 Sep 2022 19:59:12 +0000

labplot (2.8.2+git10103-3c88c367f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 3c88c367f04417e2ebc5e9c742240bf0939c560e
  * Date: 1660385518
  * git changelog:
  *  3c88c367f - [histogram] minor fixes and improvements: 1.  don't use
    any pen when drawing the shape of the histogram otherwise we're left
    with unwanted line if no line is actually selected.  Fixed the same
    issue also for the box and bar plots. 2.  rename the properties Line
    to Shape to make more clear what we're dealing with here. 3.
    disable filling properties if they don't make any sense,  i.e.  if
    the shape type other than bars or envelope was selected.
  *  8eec39e9d - fix Tests: normaly there shall be 6 ticks!
  *  09f688a51 - remove comments
  *  37c2b549a - call updateMajorTicksStartType() when the type was
    changed in the dock and not in the Axis object.
  *  32a25a6e9 - Adjusted the text for the major ticks start value to
    the changes in the dock widget that were done in the previous commit
    and disable the checks for isVisible() for a moment.
  *  17d255bb3 - Fixes: * use ComboBox instead of CheckBox for the
    selection of the first major tick type * show the auto option for
    major ticks only if numbering is selected * properly show and hide
    the required/unwanted widgets when changing the first major tick
    type * adjusted enum and function names to the used convention in
    the Axis classes
  *  9859e44b0 - format
  *  a836b0bb5 - format
  *  4d220b4a9 - fix build
  *  760022008 - fix compilation issues
  *  f4efdd66d - fix compile issues
  *  4a70d5995 - Update Axis.h
  *  69464845d - add unittest
  *  72d6e8ea8 - implement tickstart value because in some cases
    startOffset might not be sufficient
  *  7ab427ded - fix formatting
  *  36815df62 - Fixed formatting and a minor fix in OzDASL dataset
    collection file.
  *  f6e033098 - [bar plot] implemented the stacked 100% variation of
    the bar plot.
  *  6a8e0f84a - [widget] show the text fields for name and comment in
    the properties explorer for the text label if the label is not
    hidden (i.e. not a plot title, etc.) and use a text mode (plain
    text, LaTeX, markdown) specific icon in the project explorer for the
    text label.
  *  8b9d48f1c - spreadsheet: Fix translation of statistics
  *  0dadf2a0c - [datasets] set the default value for the ASCI filter
    parameter skip empty parts to false.
  *  1a7ebb607 - format
  *  dbbc0260d - Merge branch
    'work/retransformMissingOrientationBarPlotTest'
  *  daf9c0325 - emit signal only if scale rely changed
  *  28de2848d - fix test
  *  a8e6f5b2f - add test
  *  97880841b - retransform always if not suppressRetransformScale,
    because retransformScale does not handle index = -1
  *  c210d0a32 - cleanup
  *  8864a3f8a - introduce new function and emit dataChanged only for
    the relevant ranges are retransformed
  *  b9d90a4e0 - Remove arcconfig
  *  19c748f88 - tests: readstat only when found or build
  *  5ea35133a - cmake: disable building readstat for gcc version 11 for
    the moment
  *  a39f050a8 - GIT_SILENT made messages (after extraction)
  *  ecd738791 - Fix several warnings introduced in recent commits
  *  5861aaa7c - Avoid duplicate widget name
  *  abf21e160 - 3rdparty: Fix more QXlsx warnings
  *  86584a32c - [spreadsheet] ignore the second numeric value in the
    Drop/Mask values dialog if it's not relevant for the selected
    comparison operator and renamed the action from Delete to Drop.
  *  53e9fe16d - [spreadsheet] better initial names for new columns
    inserted via toolbar actions to avoid name collisions and don't
    allow to insert new columns to the left of the currently selected
    column if it's frozen.
  *  3128f106b - Fixes: * don't crash on start-up when nothing needs to
    be created on default (regression introduced in 2acef450) * use
    smaller default font for LaTeX * removed error label in LabelWidget -
    we don't show this label in other places, by using KMessageWidget
    it's clear it's about errors * use Latin Modern Roman as the default
    font in case lualatex is used since Computer Modern is not supported
    by this compiler * for xelatex und lualatex, use the fontspec-
    package instead of xltxtra since the latter is outdated and is
    available for xelatex only

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Aug 2022 23:09:29 +0000

labplot (2.8.2+git10065-1f2c31d40-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 1f2c31d40e9eaebd97f2b2e4ef585e70a2fbd112
  * Date: 1658830008
  * git changelog:
  *  8b7dc3adc - rename functions to match better
  *  a62a367d6 - use QLatin1String
  *  a1ac47391 - forgotten to indent correctly
  *  6499f91cf - remove include suppressed because it is not used
  *  270aaa448 - Init retransformCalled counter
  *  49e7cf8bd - readRetransformCalled integer
  *  f89ab3eb0 - format
  *  10b5debeb - rename direction to dimension
  *  4585dcc10 - format
  *  06432ea1e - fix build
  *  3eef1d169 - implement removeXRange and removeYRange, because they
    are used by the toolbuttons in the .ui file
  *  6cddaba92 - remove all defaults in the switch(dir)
  *  178b2cbf6 - use temporary variable so the condition must not be
    evaluated twice
  *  e67037985 - rename Direction to Dimension
  *  858c1c53b - fix build
  *  209ea92c9 - format
  *  4f64b1a5c - bug fixed
  *  5ca456839 - cleanup
  *  54ab45570 - use Direction instead of bool in shift and zoom
  *  8ea8f26a0 - forgotten to distinguish
  *  f032bd164 - fix bug
  *  0d3a59997 - cleanup
  *  ada67ec6d - must be called also for other directions
  *  20abcd0eb - cleanup
  *  b8260e77c - make x/y datachanged direction indipendend
  *  af08808e5 - make range scale direction indipendend
  *  92deb68c9 - forgotten to replace
  *  ccb7ddcb7 - fix crashes
  *  7260b427f - disable for now
  *  0dfba2646 - fix issue
  *  23215b9e4 - fix compiling tests
  *  bfaca399b - Update InfoElement.cpp, Worksheet.cpp, and 3 more
    files...
  *  1cce176cd - update setRange
  *  255b90283 - replace  direction depended function by function with
    direction parameter
  *  a22e32030 - replace xRange and yRange by an axis indipendent
    range()
  *  e06f3b918 - replace xRangeCount and yRangeCount by an axis
    indipendent rangeCount()
  *  521f108dd - Update RetransformTest.cpp
  *  db0764d9f - initial commit to get rid of all of these dublicate
    functions. Use an argument instead of an unique function name. So
    Exspecially in the CartesianPlot a lot can be removed because it is
    redundant
  *  cbdd9147a - fix comment
  *  40307e51b - fix gitlab threads
  *  a9a2268f2 - Move call counting to own class so the reset is done
    automatically
  *  1cd312933 - fix tests
  *  b46e5b083 - Update RetransformTest.cpp
  *  6fa2cd1f9 - add comment
  *  59a7e7734 - do not use conditional emits and remove the
    m_lines_test function because it is not needed anymore, because in
    the tests it will be checked whenever updateLines() was called
  *  32299a239 - use CMAKE_ENABLE_TESTING
  *  2776e49ed - set public and check if it is working
  *  693aa9443 - Update CartesianPlot.cpp
  *  c1a6a8e8d - fix compile issues
  *  7efaa6f19 - set other range only dirty when using full range
    otherwise the other range is used to find the indices between and
    then it makes no sense
  *  5c583dc06 - add test to evaluate if curve was added to the plot
  *  44e9bc041 - add comments
  *  54dd6f9dd - Update CMakeLists.txt and CMakeLists.txt
  *  d6927968d - add copy paste test
  *  128e32671 - forgotten to remove suppress retransform flag.
  *  c92d5b2a1 - fix typo
  *  b403a52e1 - fix test resize window
  *  f6ff00bb4 - in some scenarios the retransform scale must be
    suppressed to not called multiple times
  *  76ab880b4 - add second plot to test also for multirange szenarios
  *  1ff222857 - Check also in second test that retransformScale is
    called correctly
  *  56c6b6b59 - must be ifdef instead of only if
  *  fc5f0c540 - set autoscale in test project. Check
    retransformX/YScale how ofter they are called
  *  462cfee1d - use WorksheetElementContainer in the internal functions
    so from outside it stays retransform()
  *  4a1e22956 - setHorizontalPadding calls afterwards the private
    retransform of CartesianPlot and therefore here the childs must also
    be updated. So move everything from the private retransform in it's
    own function and call this function in finalizeLoad() so the childs
    are not updated two times
  *  4f8a05cfb - add images and textlabel to project
  *  c2900e3aa - no need to call d->retransform() which is included in
    retransform() again, just retransform the childs
  *  e613c8237 - do not call recursive, because cartesian plot is
    already doing
  *  bac35d965 - use finalizeLoad() function instead of calling all
    three functions by it self
  *  70d79ced2 - must be ifdef not only if
  *  1c6bc1859 - use hash instead of list and add expected call count
    there
  *  f884a162f - remove default values, because not needed and it is
    just dangerous
  *  45829f054 - remove suppressRetransform flag, because it will be
    suppressed everywhere
  *  b3afff308 - format
  *  c4aa47bde - the datarect must be updated, because the rect changes.
    Therefore also the scales change and the childs must be
    retransformed
  *  4dedc7337 - finalize load must be used, otherwise the axis are not
    visible, because retransformScales() is never called
  *  f7b774421 - use finalize load
  *  4d79e31c0 - retransforming only private is enough, because only
    datarect should be updated
  *  5343ff1c8 - put a few functions into one function so in the project
    it looks cleaner
  *  c427af7da - do recalculation of the equation curve, otherwise
    xColumn and yColumn are not updated and so autoscale in the
    cartesian plot will be wrong.
  *  0503e246f - fix compile issue
  *  c1c1f58c0 - fix
  *  6341d60ab - no need to call
  *  f0ad330b1 - only the defaultCoordinateSystem changes
  *  c0506759c - trying to get a clean structure how to retransform the
    cartesianplot and its children - do not retransform title and legend
    multiple times per retransform - do not retransformScales() every
    time, because it is done when changing the scales it self
  *  c99c7f153 - add comment
  *  a67370e5d - not needed, because this is already in
    retransformX/YScale it self
  *  8559f1de4 - add retransformTest
  *  13ff014b2 - [spreadsheet] when clearing the content of a column,
    also remove the definition of the formula, if available.
  *  5e77c1681 - 3rdparty: Fix couple of QXlsx warnings
  *  abdd0aaf4 - code format
  *  665695304 - fixed formatting issues introduced in the previous
    commit.
  *  fc0808734 - [spreadsheet] disable plot data, anylze data,
    formatting and clear content actions in the column context menu if
    no values area available in the selected columns.
  *  ba4dbafe3 - [spreadsheet] imrovements for the row statistics item
    in the context menu: 1. don't show any row statistics item if no
    numeric values are available in the current selection 2. faster
    iteration over the selected rows, utilize the selection model in the
    view for this 3. fixed i18n for strings in the title of the
    statistics dialog
  *  4aeb51ba4 - [spreadsheet] better logic for the names of new columns
    added to the spreadsheet via the project explorer, ensure continious
    numbering.
  *  2acef4504 - Don't set the project to modified if it was created
    during the application start-up since nothing has changed from
    user's perspective.
  *  6ae0ac897 - Fix adding Cantor to CI deps
  *  05b9a8a07 - [spreadsheet] added a nulltpr check to fix the crashes
    introduced with the previous commit.
  *  62b27e68f - [spreadsheet] faster creation of a big number of
    columns in the Properties Explorer *  suppress handling of child sff
    and remove signals when adding/removing multiple columns * use a
    better initial column name to avoig expensive renaming to ensure the
    uniquness of the name * remove some debug output that becomes
    expensive when handling with many columns
  *  8dd0f844b - [ascii import ] added missing test file
    quoted_strings_with_separator_inside.csv and function declaration.
  *  60f32fb0a - fix build
  *  4bf763f92 - [ascii import] properly read quoted text columns having
    separator characters between the quotes.
  *  69031017b - Don't attempt to remove hidden aspects from the model
  *  6a50940ac - Minor fixes: * properly save and load the auto number
    setting for axis ticks * properly save and load the port number in
    LiveDataSource * new test python script sending mulitple values via
    TCP
  *  0be417a71 - Fix preview of multi value live data (using separating
    character)
  *  a1be3b10a - [spreadsheet] don't create two curves via the plot data
    dialog if only one column was selected in the spreadsheet.
  *  19f702055 - GIT_SILENT changelog
  *  0d2494a92 - Consistently use date time in UTC to avoid confusion
    with locale date time settings
  *  55af701e5 - code format
  *  6fab5669d - plot dock: fix displayed date time range
  *  ccaf546ca - [worksheet]  don't crash when deleting a text label
    that was added after worksheet objects (plots and curves) were
    created via the plot data dialog.
  *  2fa204af9 - cmake: only link QXlsx when found or building
  *  24507c4db - cmake: fix 3rdparty QXlsx
  *  e0d0e1d70 - cmake: fix build (at least for cmake builds)
  *  44dc146dd - cmake: another try fixing finding problem with ninja
  *  35079573a - cmake: another try fixing finding problem with ninja
  *  de0e1aa08 - cmake: try fixing finding problem with ninja
  *  9288edc79 - QXlsx: add license file
  *  2f8977c68 - cmake: include 3rdparty QXlsx
  *  acb6168d4 - live data: fix data column names (also in preview)
  *  14652a7a3 - code format
  *  29ba97120 - live data: fix TCP column names

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 28 Jul 2022 20:02:36 +0000

labplot (2.8.2+git9943-6349a8b6a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 6349a8b6a9820876b13d59937dbc0a865bc44d6e
  * Date: 1657142534
  * git changelog:
  *  6349a8b6a - code format
  *  8ee65d850 - live data: improve TCP values column names
  *  bb48537e8 - live data: rename symbols and fix TCP header names
  *  e18f14e1f - live data: support multiple values for TCP stream
  *  da77b31e4 - [import] speed-up the resize of the spreadsheet columns
    after the import. The current logic is very expensive for very high
    number of columns. In such situations we use a different logic where
    we fit to the header sections only,  no parsing of the cell values
    is done.
  *  ce2defaeb - Merge branch 'master' into work/fit_start-parameter
  *  938decc8b - fit: simplify calculating fit results
  *  78d8fc840 - fit: simplify different column modes
  *  c11a409d6 - fit: narrow scope of code
  *  91f4e7229 - CI: disable building QXlsx to avoid download
  *  5ed753e3a - CI: update package list for Ubuntu
  *  9c714b6bb - Merge branch 'master' into work/fit_start-parameter
  *  4fb59196f - fit: use available data correctly for getting parameter
    start values with linear regression
  *  7e51defd4 - fit: use weights in linear regression to get start
    value of parameter
  *  8f916c277 - Fix the build.
  *  8dea399a4 - [import] faster import of files with a big number of
    columns: 1.  disconnect from the handleAspectAdded slot in
    SpreasheetView when when adding new columns during the import,  no
    need for it 2.  refactored the creation of the column context menu
    to avoid signal-slot connections - call createContextMenu via the
    spreadsheet when needed and not via signals where the connection
    needs to be maintained for a big number of columns potentially.
  *  c681431ef - fit: show results of regression
  *  0e4fb954b - Merge branch 'master' into work/fit_start-parameter
  *  65061c1bd - code format
  *  c1eed6d7e - [spreadsheet] heatmap formatting for categorical data
    in text columns.
  *  03ae965ca - GIT_SILENT changelog
  *  f7092e018 - Merge branch 'master' into work/217-bar-plot
  *  0674f725b - CI: disable FreeBSD until fixed
  *  f31775732 - code format
  *  f46e4bb41 - Merge branch 'master' into work/217-bar-plot
  *  f8f9a76bb - Changed the aspect type for BarPlot,  set the axis tick
    offset to 1 so we don't show any ticks at 0 and added some basic
    tests.
  *  f4fc56ebb - Better axis properties after the bar plot was created
    via the plot data dialog and minor bug fixes.
  *  781d59ea8 - tests: disable bigint statistics test on Windows until
    fixed
  *  6d1d29110 - tests: try fixing column statistics bigint test on
    Windows
  *  98aa88102 - tests: another try debug column statistics bigint test
  *  988165c8e - tests: another try debug column statistics bigint test
  *  4a4ee6e0d - tests: another try debug column statistics bigint test
  *  09211cc36 - tests: another try debug column statistics bigint test
  *  d67563c81 - tests: second try fixing column statistics bigint test
  *  059fd073b - tests: try fixing column statistics bigint test
  *  a3c51b5d8 - tests: debug BigInt column statistics test fail on
    Windows
  *  25d886272 - tests: enable even more statistics tests to debug fail
    on Windows
  *  ca3abdea2 - tests: enable even more statistics tests to debug fail
    on Windows
  *  6d1ac5b40 - tests: enable more statistics tests to debug fail on
    Windows
  *  71e72a5b2 - tests: disable all but one column statistics test to
    debug fail on Windows
  *  5a4e465c1 - test: remove warnings from column test which probably
    make test fail on Windows
  *  60f675ddb - Allow to modify the filling properties for every bar
    independently of each other.
  *  f028d01fe - code format
  *  4b883212a - fit: use multifit also for linear regression to get
    start values of parameter
  *  a7197c39f - fit: show parameter uncertainties of regression
  *  5180d1724 - fit: show results of regression to get start values for
    parameter of polynomial models
  *  184ddfeb9 - tests: column integer statistics
  *  7eeeda3fa - column: simplify statistics calculation
  *  dda906699 - tests: column stats improvements
  *  96bfdf825 - column: correct geometric mean for negative or zero
    values
  *  f423305bc - tests: add column statistics
  *  fb9d659ae - column: minor statistics improvements
  *  9c977842b - fit: get start parameter for polynomial models by
    multilinear regression
  *  6f67342be - Merge branch 'master' into work/fit_start-parameter
  *  f9ae80859 - 3rdparty: fix QXlsx tag
  *  1680dddb3 - 3rdparty: use fixed version of QXlsx on Windows
  *  949024c7a - 3rdparty: try latest QXlsx
  *  bb3465366 - code format
  *  77c5e27ca - fit: avoid problems with localization of ranges
  *  478dc1657 - typo
  *  16620bc89 - fit: linear regression for start parameter of linear
    fit of any numeric type
  *  806d24469 - format
  *  2a154b31c - styleSheet().isEmpty() is only related to
    SET_WARNING_STYLE. Because if the error text changes, the message
    must be updated
  *  fa0831993 - regex might be slower than directly checking the first
    character
  *  c3bffeb87 - only first error message is enough, it is not needed to
    show all error messages
  *  37bf42f0d - implement error handling also for latex engine
  *  32f82ac3c - parse log file to show good error message
  *  c144b0bc1 - remove also pdf file
  *  bb08f7396 - close after reading, otherwise the remove will not work
  *  2d47243a2 - Update TeXRenderer.cpp
  *  7e8553172 - fix error message box location
  *  d92c42f1f - format
  *  046865d9e - Update TeXRenderer.cpp
  *  1ac8ce23d - format
  *  d100dbd92 - add ability to show errors during rendering in tooltip
    of the textlabel
  *  a07bb4621 - GIT_SILENT made messages (after extraction)
  *  27ae1052e - fit parameter: POC lin. regression
  *  9421a6356 - Use the new class Background also in BarPlot.
  *  bc045cf76 - GIT_SILENT code format
  *  701e99945 - Revert GIT_SILENT disable tests on Windows CI
  *  f6faa6bf7 - Merge branch 'master' into work/217-bar-plot
  *  6eea6ac90 - Allow to zoom the worksheet view via shortcuts also in
    the dynamic presenter mode and updated the ChangeLog file.
  *  3beedf5d9 - [export] use the current working project directory, if
    available, as the default export path.
  *  0e8e5d051 - code format
  *  9c25eb465 - Switched to the new signal-slot connection syntax in
    HistogramDock and in XYCurveDock.
  *  ccb762b01 - [fit] correctly invalidate fit result when model
    changes
  *  14459a5ef - Bug fixes: * don't crash when changing the error bar
    types in the curve with no x-column selected yet * don't show any
    context menu in the presenter widget * use the full screen size in
    the dynamic presenter widget for worksheets with use view size
    property set to true
  *  0b371bdb9 - Merge branch 'master' into work/background
  *  66d9ff99c - GIT_SILENT disable tests on Windows CI
  *  856d714b5 - code format
  *  89eb81ed9 - Merge branch 'master' into work/background
  *  88b9e464d - GIT_SILENT reduce load on CI for merge requests
  *  5a5ac1fcb - conflicts resolved
  *  528225ff7 - layout workaround and minor fixes
  *  fef562db6 - Removed background related enums in WorksheetElement,
    the new enums in Background are used now.
  *  1625b1674 - Improved the layout in BackgroundWidget.
  *  c1e072830 - Less technical error messages and added the clear
    button to the custom folder text field.
  *  9475fbebc - Save the last used location setting (default of custom)
    and a couple of other minor layout, icons and wording improvements.
  *  8fb13dba7 - Minor bug fixes in BackgroundWidget and attemp to align
    the layout to the layout of the parent widget where BackgroundWidget
    is being embedded into.
  *  03c80cccd - fix interactive
  *  f64656b72 - format
  *  2de506c25 - use relative path to the search path if the item is
    located in a subfolder
  *  2ed98dc59 - use also a custom search path to reuse the listview
    also there. So the user selects a custom path and in the listview
    all elements are visible
  *  0da776c85 - New proposal to handle custom folders in the
    PlotTemplaDialog and use Worksheet::setInteractive() to disable
    zooming and navigation in the preview plot.
  *  9c8b79ab1 - restore pointers after loading the plot. So it is
    possible to have curves and infoelements in the template and they
    receive then the data assigned
  *  a53e4caba - due to the lock(mLoading) changePreviewSource will not
    be called. leave the lock to trigger updating the plot. react on
    stateChanged, because it is also triggered if the checkBox is set
    programatically
  *  eb7a86bd9 - prevent opening a context menu. It should not be
    possible to add elements to the plot because they are not applied
  *  84cb1f0aa - rename TemplateChooserDialog to PlotTemplateDialog
  *  dde133eaa - add xmlVersion to xml, because otherwise the loading of
    xmlVersion dependend parts will be read incorrectly
  *  1873be148 - Minor improvement: * moved the button for the export of
    plot templates to the place where other theme and templates related
    buttons are already shown * better icons and wording * save and
    restore the size of the plot template dialog
  *  0ed8eec28 - recalculate equation curves, otherwise they are not
    visible
  *  0339de49f - Add tooltip to show where the templates are stored
  *  753dd23f1 - format
  *  7e950bd39 - check checkbox if path changes
  *  c9b696ed5 - use home folder if no config is found
  *  d056e1889 - when not setting isLoading, a theme will be applied to
    the plot childs, which is wrong
  *  d74ee5a28 - WIP
  *  4ce54f44a - old files
  *  e715a9d44 - initial approach for loading a plot template
  *  2eeff35e7 - Revert [3rdparty] use latest QXlsx
  *  b46928bb9 - [3rdparty] use latest QXlsx
  *  68ae48530 - Element specific default values for the background
    opacity in Background, we need smaller opacity values for the inital
    box filling in the box plot, etc.
  *  e76809b02 - Use the new class Background in BoxPlot.
  *  0113ba07c - Use the new class Background in Histogram.
  *  28f3d0fe4 - [debug]
  *  07fc88f65 - [fit] fix locale usage in evaluation range
  *  1b6e04428 - Use the new class Background in XYCurve.
  *  2279b3ff6 - Use the new class Background in CartesianPlotLegend.
  *  59fc3543f - Use the new class Background in PlotArea.
  *  34d4afa67 - Added an option to control whether to show the enabled
    option for the background properties or not. This option is not
    needed everywhere and will be activated in specific cases only.
  *  0baddff29 - Use the new class Background in Worksheet.
  *  20af31a68 - Initial implementation of the classes Background and
    BackgroundWidget.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 06 Jul 2022 21:26:28 +0000

labplot (2.8.2+git9797-3a7c946c9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 3a7c946c95e1f6f8e556fd50bc126878088399bd
  * Date: 1655556731
  * git changelog:
  *  3a7c946c9 - code format
  *  a20424dfb - Merge branch 'master' of https://github.com/KDE/labplot
  *  d060cc06c - Fix sparse custom value label in zoomed plot
  *  ce1408b8a - [spreadsheet] use a different icon for calculated
    columns and extend the tooltip text for them in the project explorer
    to also show the definition of the formula and of the used
    parameters.
  *  4b4065ace - format
  *  ab14cc89b - Fix custom value label with invalid data points
  *  44a8f4dbe - format
  *  fe0951cd2 - use public function of the axis to access tickLabels
  *  3e80f349c - format
  *  93fd102e2 - call base class undo/redo to undo/redo all childs
  *  f9541b44b - rename functions to a more appropriate name
  *  dbde64506 - no need to increase the buildXmlVersion, because if the
    parameter is not available, it will be already ignored in the
    READ_INT_VALUE macro
  *  91b8075cf - do not automatically change the tick number if not
    desired. Implement a auto checkbox to choose if automatic tick
    numbering is desired or not.
  *  8cc1ade50 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  45db4f364 - GIT_SILENT made messages (after extraction)
  *  451fc1cfa - [box plot] added the missing implementatin for changing
    the orientation via the context menu and better icons for this
    action.
  *  46d83d234 - GIT_SILENT made messages (after extraction)
  *  9e1c059a4 - QXlsx: fix build with MSVC by using latest tag
  *  edc1c0627 - QXlsx: try fixing build with MSVC
  *  62078a638 - GIT_SILENT made messages (after extraction)
  *  482c51351 - cmake: don't update 3rdparty QXlsx every time
  *  c3eea9c4a - Minor fixes.
  *  d6b9f0065 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  ae6440692 - GIT_SILENT made messages (after extraction)
  *  6e830a76c - format
  *  defec319e - fixing nonlinear update lines. The number of pixels
    must be divided, because due to the usage of the factor in the
    formulas below, the numberOfPixelX will be multiplied which is
    correct
  *  5f1293f71 - can be moved outside
  *  a0f4c4e24 - - move condition out of the loop to speedup - remove
    abs, because it matters only if the value is unequal to zero -
    qround64 must not be calculated every time
  *  efbcd62c2 - Edit textlabels correctly. Due to the usage of html
    code it is not easily possible to change the properties of the text
    without changing the content. Therefore a QTextEdit will be used.
    The text will be stored into the textedit, the changes are applied
    and then the text will be written back into the textlabel. So
    properties can be applied to multiple labels at the same time
    without changing any other property or content. fixes #188
  *  2f3d16f48 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  89af6fbc8 - GIT_SILENT made messages (after extraction)
  *  e540a5b84 - GIT_SILENT String fixes
  *  632e4cdbb - CI: Fix Ubuntu min build
  *  36ced3dde - CI: optimize Ubuntu builds
  *  c39634854 - CI: add Ubuntu 22.04 full build and remove Fedora 35
  *  5b02dfd45 - code format
  *  ab85eb75d - Merge branch 'master' into work/224-reduce-the-memory-
    consumption-in-the-sql-export-and-impor
  *  02499f16d - CI: disable tests for Ubuntu 22.04 min
  *  2a8ce5a5c - Merge branch 'master' into work/224-reduce-the-memory-
    consumption-in-the-sql-export-and-impor
  *  c11fe12d6 - CI: fix Ubuntu 22.04 min
  *  8d0caff08 - CI: add Ubuntu 22.04 min
  *  bcb5f26c7 - [sql import] more const references in
    ImportSqlDatabaseWidget.cpp
  *  892374c96 - [sql import] reduce the memory consumption when
    importing from a table.
  *  567b3f0af - [spreadsheet] reduce the memory consumption during the
    spreadsheet export to Sqlite by inserting the data into the table in
    multiple chunks.
  *  806986692 - When adding a custom point to the plot, addChild()
    needs to be called prior to setting the coordinates of the point
    which generates additional entries on the undo stack after child was
    added. Use macro around these calls to have one single entry.
  *  962c675aa - Fix missing std:: for isnan
  *  9bfa96f88 - Fix typo (txt files detected as excel)
  *  eb21763f9 - GIT_SILENT changelog
  *  942c04bc1 - Merge branch 'master' into work/215-wrong-result-when-
    pasting-datetime-values-in-the-yyyy-mm-dd-hh-mm-ss-format
  *  7727be37d - Fixing the stack-use-after-scope problem in the string
    concatination with references.
  *  18bfc6b80 - Merge branch 'master' into work/excel
  *  9b011412a - GIT_SILENT typo
  *  c2d1202a6 - GIT_SILENT changelog
  *  eee8c6394 - excel: code format
  *  9c06ac772 - excel: fix preview
  *  2f41d3153 - excel: fix license text
  *  b8226ea98 - excel: select first data range per default
  *  790781eb6 - Fixed formatting in SpreadsheetView.cpp.
  *  846c96cea - Merge branch 'work/excel' of
    https://anongit.kde.org/labplot into work/excel
  *  cf0e97b69 - excel: code format
  *  a2293a853 - Merge branch 'master' into work/excel
  *  69a68480a - excel: fix selecting file type by ending
  *  82fa040fd - excel: Fix license header
  *  51556c9b4 - tests: add another excel import test
  *  72d74841d - tests: add xlsx import test
  *  773b42e4b - [spreadsheet] properly paste the data in the format
    'yyyy-MM-dd hh:mm:ss' and similar.
  *  40962d75d - Fixed formatting in CartesianPlotTest.cpp.
  *  14e1b524f - [worksheet] don't crash when undoing the step add info
    element.
  *  01e805894 - GIT_SILENT made messages (after extraction)
  *  2b90e5184 - GIT_SILENT: changelog
  *  c8483334a - code format
  *  3e2857557 - tests: add hdf5 import portion of VLEN data
  *  b730c883b - hdf5: fix compiler warnings
  *  76207c0ea - hdf5: use start/end column for VLEN data
  *  af17cb41c - hdf5: Fix using end row for VLEN data
  *  8f5e1d070 - Merge branch 'master' into work/excel

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Jun 2022 17:11:36 +0000

labplot (2.8.2+git9701-4ee3e0c14-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 4ee3e0c148fc71d1d93db8b85daae52471ec90b9
  * Date: 1653033667
  * git changelog:
  *  4ee3e0c14 - code format
  *  93916b767 - GIT_SILENT made messages (after extraction)
  *  c23a8bcb6 - tests: add hdf5 VLEN data
  *  1b23795a3 - tests: add hdf5 VLEN test
  *  e645b022c - hdf5: set column names when importing VLEN data
  *  b61ce1e8c - hdf5: Fix startRow for VLEN data
  *  950901495 - hdf5: minor simplification
  *  9bdf25803 - hdf5: support VLEN rank 1 data
  *  374093ca7 - CI: disable failing tests on custom builds
  *  2efd05867 - CI: Add F35 custom build for checking failing tests on
    F36
  *  7809bfe2b - CI: try fixing tests in custom builds
  *  22a8b9b90 - CI: debug F36 tests
  *  e1ef76371 - CI: typo
  *  b7e033b84 - CI: add F36 full build
  *  1e534c5e7 - CI: typo
  *  75e2fee69 - CI: try fixing tests on F36
  *  87fdfe8f9 - CI: run tests on custom build
  *  e1875afc0 - typo
  *  a6ef3c6e2 - CI: hint for cmake to find own readstat lib
  *  5fb546e2e - CI: Fedora 36 missing package
  *  71ae5528f - CI: minimal Fedora 36 build
  *  177000559 - CI: try custom builds on master
  *  b142965f0 - CI: try custom builds
  *  317cd5064 - 3rdParty: readstat 1.1.8 fix gcc12 build problems
  *  c16d8f353 - 3rdparty: readline 1.1.7
  *  ba11b8d69 - CI: Another try fixing gitlab package path
  *  d78144245 - CI: Another try fixing gitlab package path
  *  712bbf76f - CI: Another try fixing gitlab package path
  *  e69c5d3cb - CI: Another try fixing gitlab package path
  *  f11c265e7 - CI: Second try finxing gitlab package path
  *  eba01f551 - CI: Fix gitlab path to cantor
  *  685e6ae72 - CI: Fix gitlab path to cantor and QtMQTT
  *  d689f00d8 - tests: only enable ROOT when requirements are
    fullfilled
  *  780a3fbb2 - tests: disable ROOT on Windows
  *  8f7728c5a - code format
  *  ba8d87499 - tests: another ROOT import
  *  3ea69f9c5 - tests: add ROOT import
  *  9ab35743d - code format requires clang-format 13
  *  0d63b232c - code format
  *  0794cc8d7 - ROOT filter clean up and prepare tests
  *  aecaa990b - tests: add FITS tests
  *  33079b388 - code format final
  *  55ceab229 - code format
  *  f33347cf1 - tests: fix header include
  *  3ccf5fa09 - tests: add FITS benchmark
  *  b510dd3a1 - format
  *  f01a99a6c - ignore getRSS.h file, because otherwise windows.h will
    be included after psapi.h and this will lead to compile issues on
    windows
  *  609f55bc1 - add clang format to ci
  *  30dfb855c - tests: add FITS import
  *  488d84a76 - fits filter: better default start row and column
  *  694946cf5 - tests: disable FITS test until fixed
  *  05d0135f2 - tests: prepare FITS tests
  *  02690b020 - tests: add ASCII benchmark

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 20 May 2022 19:52:09 +0000

labplot (2.8.2+git9648-58d265023-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 58d265023e47c62d63362710d1582209a416afbc
  * Date: 1651801349
  * git changelog:
  *  58d265023 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  4c22aca93 - GIT_SILENT made messages (after extraction)
  *  488ea7b4a - tests: add hdf5 benchmark
  *  2263eac54 - tests: improve compiling by using a lib for shared code
  *  0b0923d71 - tests: add netcdf file imports
  *  cabdb400b - GIT_SILENT: more release docu
  *  6bb37c605 - GIT_SILENT: update release docu (MS App Store)
  *  19c84d6ce - tests: clean up
  *  8ec357e62 - tests: use same test as netcdf for binary data
  *  5ce4e243f - tests: add netcdf import benchmark
  *  0c5a5d9f2 - GIT_SILENT: update release docu
  *  742deeac8 - Update splash screen (and fix release docu)
  *  900bed979 - Bumping the version to 2.9.0.
  *  35c77ae4e - typo
  *  d5624962d - prepare appdata for release
  *  dd006d259 - [ascii import] removed some of the debug output in hot
    for-loops in AsciiFilter.
  *  f69a8f3be - binary test: add import performance benchmarks
  *  a70f0c46e - liborigin: d0e04663 (Support building shared library on
    Windows)
  *  d4c44ad14 - liborigin: 42a38c11 (Silent warnings from clang about
    deprecated allocate form in c++17)
  *  43ea6a97d - liborigin: bf29c8a8 (Remove 'using namespace std' from
    header files)
  *  57c3e9e0f - minor code style and one bug
  *  7bb35dc1e - Use QOverload instead of static_cast
  *  73975abef - liborigin: format header
  *  b072ae1be - liborigin: add format files
  *  c07380a32 - liborigin: downstream format with clang-format
  *  ae1380b68 - CI: require tests @all
  *  68fe903e7 - CI: gitlab supports Windows
  *  890dfc51c - [data extractor] resize the data spreadsheet if more
    points are added then the initial size of the spreadsheet.
  *  51618c6d2 - [data extractor] minor fixes and improvements: * avoid
    multiple updatePoint() calls * the default spreadsheet can have
    arbitrary number of colums as per user's default template, make sure
    we have the columns for x and y only for the data sheet * set the
    comment text widgets to reasonable sizes in the dock widgets for
    curve and image
  *  9a03d4cd1 - When rendering PDF to QImage, no need to scale
    additionally, work with the current dpi number only.
  *  e0b6ff2ce - ASCII import: use comma as fallback separator in
    automatic mode  since spaces are detected automatically

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 May 2022 22:54:41 +0000

labplot (2.8.2+git9617-65dbe5373-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 65dbe53734173459037e823f96256ce52ee2877a
  * Date: 1650591698
  * git changelog:
  *  65dbe5373 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  f38429794 - GIT_SILENT made messages (after extraction)
  *  cde3c4001 - ascii filter: faster preview of big files by only
    scanning lines to preview
  *  2c9ce4e4f - liborigin: Fix memory access problem (failing project
    import test)
  *  30c04bd26 - Fix uninitialized members
  *  f4f7f5692 - Fix wrong continue
  *  cda8116e0 - Fix residual endif
  *  0d193a57e - merge fix
  *  f1d3d4e70 - matio: Fix UTF8 import found by failing test
  *  d97524e55 - Try fixing FreeBSD build (moc problem)
  *  9e77b5930 - Fix KSyntaxHighlighting include (mandatory with KF
    5.94)
  *  87b4be917 - ascii filter: Fix last issue from tests
  *  20ef60af8 - ascii filter: Fix another issue
  *  82c0c0d87 - ascii filter: Fix two issues in the new code reducing
    the number of failing tests
  *  c0dad5f80 - Minor fixes for some of the issues mentioned in the
    quality report in the CI pipeline.
  *  ef29411b2 - [worksheet] allow to re-apply a theme even though it
    was already set in the worksheet or in the plot. This is useful when
    the user has performed some other changes after the theme was set
    initially and wants to override the changes by applying the same
    theme again.
  *  b97a2037d - Mention Maxima explicitely in example projects using
    Maxima so it's directly clear in the example projects dialog.
  *  759c0f99b - Renamed the toolbar to Data Extractor.
  *  38ba57022 - BinaryFilter: comment rowNumber()
  *  35b9feb69 - binary filter: make import much faster by tuning
    rowNumber() and reading bigger chunks at once
  *  7a0d6f072 - GIT_SILENT made messages (after extraction)
  *  26ba1c566 - binary filter: separate index column filling
  *  d7749b7c2 - Update SpreadsheetModel.cpp
  *  21593b986 - Removed some debug output in spreadsheet.cpp.
  *  0de10aac8 - Merge branch 'work/optimize-the-memory-consumption' of
    invent.kde.org:education/labplot into work/optimize-the-memory-
    consumption
  *  ec685dc0a - [spreadsheet] removed obsolete QVector::resize() calls
    in prepareImport.
  *  28f5fc83d - Fixes: * use endInsertRows() when inserting new rows in
    the model and not endRemoveRows() * make the new columns created in
    finalizeImport() undo aware after their sizes were changed
  *  8379b1d63 - [spreadsheet] removed obsolete QVector::resize() calls
    in prepareImport.
  *  d1b1efc4a - [spreadsheet] no need to have two functions
    handleRowsInterted and handleRowsRemoved in SpreadsheetModel doing
    the same. One function is enough.
  *  96b5cd2bd - Replaced QVector<bool> by std::vector<bool> in XYCurve
    and in BoxPlot. This will reduce the memory consumption for the
    containers holding the information about the visible points by a
    factor of 8.
  *  ffb7aba76 - [spreadsheet] no need to hold QVector<int> for the
    vertical header in the spreadsheet model. The text shown in the
    vertical header can be directly mapped to the row/section of the
    spreadsheet and we don't need any additional container.
  *  86db98051 - GIT_SILENT: changelog
  *  117008d7b - binary filter: use integer and bigInt type for
    corresponding data
  *  b3bef33c9 - [spreadsheet] removed obsolete QVector::resize() calls
    in prepareImport.
  *  af4c4d2c3 - binary filter: make preview fast
  *  dd9fd8fde - get spicefilter working
  *  307065afa - don't differentiate between SpiceAscii and SpiceBinary
  *  5cd17f672 - data import: detect nc4 files as hdf5
  *  152f023dd - tests: make ascii test a common test
  *  b54b0957e - Use std::fabs() instead of std::abs() for double values
    in SpiceReader.cpp. The privous commit has fixed the build on macos
    but was semantically wrong, this commit corrects the behavior now.
  *  e9181b9ac - Fixed the build on macos that was failing because of an
    ambigous call when passing an double to abs() that is expecting
    either an int or a long.
  *  cb2f1f870 - add missing header
  *  fe505c4c3 - BinaryFilter: improve progress bar
  *  13f25e86f - tests: more binary import tests
  *  d9ceddf40 - cmake: remove unnecessary include
  *  4f93132e8 - tests: Fix build on Windows
  *  1f3d996bc - tests: add more binary tests
  *  8dcdac0f8 - Avoid integer overflow when updating the status bar
    with the current percentage of the import progress during the import
    of big ASCII and JSON files.
  *  e38247fd0 - [ascii] removed some debug output in the function that
    is very hot during the improt. This give ca. 1s performance for a
    2.9GB file.
  *  1f13a2b00 - tests: add binary import test
  *  4cee6fa6e - Added c++ code to generate ASCII and binary test data
    based on Brownian motion example. This is similar to the already
    existing python script but significantly faster) and can be used to
    generate big data sets (multiple millions of rows).
  *  0f5025866 - binary filter: make preview fast
  *  e0b62ca5d - binary filter: make preview fast
  *  fb9c54dff - One more version check for the include of
    qstringtokenizer.h.
  *  434c8232a - QStringTokenizer depends on Qt 5.14. Put the new
    optimization behind a version check.
  *  908d7d1ea - [ascii] faster reading in AsciiFilter.
  *  24b0c57f3 - Fixes: * use endInsertRows() when inserting new rows in
    the model and not endRemoveRows() * make the new columns created in
    finalizeImport() undo aware after their sizes were changed
  *  1c7b16dc9 - get spicefilter working
  *  d86496257 - don't differentiate between SpiceAscii and SpiceBinary
  *  77fd9d4ff - data import: detect nc4 files as hdf5
  *  687b8ee6d - tests: make ascii test a common test
  *  d44074f13 - Use std::fabs() instead of std::abs() for double values
    in SpiceReader.cpp. The privous commit has fixed the build on macos
    but was semantically wrong, this commit corrects the behavior now.
  *  050c353ab - Fixed the build on macos that was failing because of an
    ambigous call when passing an double to abs() that is expecting
    either an int or a long.
  *  f3f34e61a - add missing header
  *  0fe866021 - BinaryFilter: improve progress bar
  *  213d6432b - tests: more binary import tests
  *  70256ee7c - cmake: remove unnecessary include
  *  cb816fc99 - tests: Fix build on Windows
  *  b4e7303b7 - tests: add more binary tests
  *  2a21e651f - Avoid integer overflow when updating the status bar
    with the current percentage of the import progress during the import
    of big ASCII and JSON files.
  *  0941fdab0 - [ascii] removed some debug output in the function that
    is very hot during the improt. This give ca. 1s performance for a
    2.9GB file.
  *  ae0b024f2 - tests: add binary import test
  *  340f7bd4f - [spreadsheet] removed obsolete QVector::resize() calls
    in prepareImport.
  *  6da9df45c - Added c++ code to generate ASCII and binary test data
    based on Brownian motion example. This is similar to the already
    existing python script but significantly faster) and can be used to
    generate big data sets (multiple millions of rows).
  *  6ff2a2b28 - [spreadsheet] no need to have two functions
    handleRowsInterted and handleRowsRemoved in SpreadsheetModel doing
    the same. One function is enough.
  *  bd4cfd4d1 - Replaced QVector<bool> by std::vector<bool> in XYCurve
    and in BoxPlot. This will reduce the memory consumption for the
    containers holding the information about the visible points by a
    factor of 8.
  *  f491af70f - [spreadsheet] no need to hold QVector<int> for the
    vertical header in the spreadsheet model. The text shown in the
    vertical header can be directly mapped to the row/section of the
    spreadsheet and we don't need any additional container.
  *  0a0f815a2 - GIT_SILENT made messages (after extraction)
  *  1ec9d931d - add more qlatin
  *  2831aa001 - add QLatin1String
  *  33f28936d - use reference
  *  9022bf7cb - fix ltspice bug
  *  712a58cd6 - Update tests because the reference data where wrong
  *  1c5c7dc06 - [spreadsheet] the fix done in
    d4c61765d657b6ad4dfc4db3c082a16e7cdb954d has caused test failures on
    windows and freebsd which are not clear and which don't happen on
    linux. Reworking the fix trying to adress the test failures.
  *  b458e9aa8 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  249ccd6b7 - GIT_SILENT made messages (after extraction)
  *  d4c61765d - [spreadsheet] changed the ownership of SpreadsheetModel
    -  make Spreadsheet owning it and not SpreadsheetView,  to make sure
    spreadsheet's children columns are not deleted when the view is
    closed and the model is deleted.
  *  2d995cf1c - CI: make failing tests fatal
  *  0e1e909b1 - Removed the usage of the depricated function
    QWheelEvent::delta(), use QWheelEvent::angleDelta() instead.
  *  1df05e4c8 - GIT_SILENT made messages (after extraction)
  *  6e4cf23ff - cmake: Fix linking zlib with 3rdparty readstat

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 22 Apr 2022 22:28:53 +0000

labplot (2.8.2+git9526-eb2060ac5-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: eb2060ac57dc6d4a6fd9be31f5b71173d5a4392e
  * Date: 1648341656
  * git changelog:
  *  eb2060ac5 - GIT_SILENT made messages (after extraction)
  *  df5a92053 - [ascii import] minor fixes in the ASCII options widget:
    * properly show the last used column separator also when a custom
    character was used * update the status of the SpinBox for the header
    line (enable/disable the spinbox) when loading the options widget
  *  c9f2b0c6a - tests: add datetime import test (Datetime before
    BigInt)
  *  2794b1f47 - tests: revert spreadsheet temporary changes
  *  5a4ae51f7 - ASCII import: detect datetime before big int
  *  400d27df7 - GIT_SILENT made messages (after extraction)
  *  b8d20ad0b - Manually revert remove path from file
  *  c13bdc701 - add missing license
  *  f864cb775 - SpiceFilter: Read all options of ltspice and store them
    in a hash
  *  aece06942 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  5b5f71691 - GIT_SILENT made messages (after extraction)
  *  c2ac0e0d1 - GIT_SILENT made messages (after extraction)
  *  770216cde - Appdata: fix caption (cannot end with '.')
  *  61918ef74 - Appdata: fix caption length (max. 100 chars allowed)
  *  ac42d8ff8 - Add retransform check to all MultiRangeTests
  *  0d28e915a - macOS package: add missing color maps and examples
  *  fd20c4d7a - macOS: improve packaging
  *  569052ff1 - final fixing build with MSVC
  *  de61275bf - another try fixing build with MSVC
  *  ddfa4a186 - second try fixing build with MSVC
  *  11230c609 - try fixing build with MSVC
  *  4bb0e0008 - when enableAutoScaleX, retransform must be done
  *  3723c0f3a - text label: remove unnecessary adjustSize() to avoid
    unwanted line wraps
  *  ebc65c78c - gitlab CI: ... and disable it
  *  263f6915b - gitlab CI: try Linux Qt6 template
  *  4d0626b38 - gitlab CI: enable FreeBSD for checking
  *  514747025 - text label dock: fix color and bg color for latex
  *  588858080 - Add spinboxes next to the sliders, so it can be seen
    which value is set and if the maximum already reached. fixes #172
  *  b3f6f117f - Spice tests: Attempt to fix test on Windows
  *  311fbd188 - [worksheet] removed the wait cursor when updating/re-
    calculating curves.
  *  6878fa960 - [live data] when switching between the differen source
    types in the ImportFileWidget (e.g. from FileOrPipe to TCPSocket),
    select Periodically in the combo box in case New Data was selected
    before since New Data is not possible for this source.
  *  eef0b5ea3 - [ascii] set the plot designation for additionally
    created columns Index, Timestamp and Values, if available.
  *  f93282ba3 - Minor fixes: * use a boolean member variable in
    AsciiOptionsWidget to decide whether a timestamp column needs to be
    created for LiveDataSource or not, reading the visibility status of
    the CheckBox doesn't seem to work * deleted the file
    labelwidget_marker.ui that was added to the repository by an error
    most probably
  *  582cc765c - [worksheet] allow to use DateTime for the y-coordinate
    also for the custom point and for the reference line.
  *  140f47cb9 - fix #171
  *  1f07ebc1b - spice filter: add missing copyright and minor fixes
  *  2d52dec39 - tests: fix spice test on Windows
  *  049447c3b - do not include the reference data directly, but read
    them from a file. So the compilation time is lower
  *  4c0597f72 - 2.9.0beta splash screen
  *  4a76f1ef8 - fix compilation
  *  e79c95b12 - Added the support for LTspice files to ChangeLog and
    version bump to 2.9.0.beta
  *  f96f70df1 - Fixes in LiveDataSource: * fixed the issue with the
    timer being not started after the LiveDataSource was creted (pause
    reading was unecessily called when creating new columns and changing
    their column modes). * postpone the creation of the action for the
    context menu to the point when it's really required
  *  5c317e44a - splash screen for beta release
  *  8c97254e4 - Minor changes: * migrated socket related test scripts
    to python3 * don't show the newly introduced option for the start
    line of the header when dealing with LiveDataSource * removed the
    wrong dependency on Matrix.h in LiveDataSource.h * minor code
    cleanup
  *  b949eca95 - fixes #165
  *  fabe869b2 - spice filter: fix compilation
  *  216b359e6 - LTSpice file support
  *  1635852cb - CI: disable FreeBSD until fixed upstream
  *  1720ee0a2 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  42f74fcba - GIT_SILENT made messages (after extraction)
  *  aad97322c - ascii import: count start row from beginning of file
  *  e6289f991 - ASCII import: add option to select header line (used to
    name data columns)
  *  37d98845e - changelog
  *  047bc42d2 - hdf5 filter: handle fixed size attribute strings
  *  8bdcb89bb - [worksheet] when exporting the worksheet to the
    clipboard, don't ask if the previously used file should be
    orverwritten. This is only relevant when exporting to the file.
  *  2b70096ff - hdf5 filter: Fix crash importing compound data with
    unsupported member type (string)
  *  0afa32235 - hdf5 filter: better debugging
  *  fb0e7b84e - hdf5 filter: fix reading attribute strings
  *  a4b16d1ef - niceExtend changes ranges
  *  73b13a717 - fix #164
  *  f4d0550b3 - create unittests
  *  198be28ab - second scaleautoy might not do anything, because
    enableAutoscaleY does already the scaling.
  *  5783e56ef - scale auto if curve is removed and autoscale is enabled
  *  919ff57de - do not enable autoscale here!
  *  6fe338d9d - retransformX/YScale is already done in scaleAutoX/Y so
    no need to do it here again
  *  0c57d5d36 - move initialization to variable declaration
  *  a01d26df7 - forgotten semicolon
  *  8e0d10107 - move the retransformScales into the function where the
    ranges are changed
  *  68c1fe1cf - after translation a retransform must be done
  *  971b8dac9 - scale auto over full range Conflicts:
    src/kdefrontend/dockwidgets/CartesianPlotDock.cpp
  *  93edfa7ad - fixes #111
  *  3fbdb3ff0 - fix scaleAutoX
  *  22a709e82 - fix cartesianPlot autoscale Conflicts:
    src/backend/worksheet/plots/cartesian/CartesianPlot.cpp
  *  f8ecf3091 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  0197e5e94 - GIT_SILENT made messages (after extraction)
  *  1797a5e1a - Do not store data double in column setter
  *  1c5629751 - [examples] added two new example projects - Anatomy of
    a Box Plot and Multicopter.
  *  05aa794ea - text label: better bounding box for multiline markdown
    text
  *  e9f8d6405 - label widget: fix background color when changing mode
  *  7802bc802 - text label: fix color buttons for markdown
  *  a22a2c102 - label widget: don't set background color on markdown
    mode
  *  70d125e51 - [worksheet] font size and colors in TextLabel also in
    the Markdown-mode.
  *  76468cf3f - [worksheet] use logical coordinates when reading the
    properties of the reference line in load().
  *  cac58bff9 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  521d583ef - GIT_SILENT made messages (after extraction)
  *  297908f8a - Merge branch 'master' of https://github.com/KDE/labplot
  *  a6ceaa862 - code simplifications final part
  *  63e2c7663 - [spreadsheet] save and restore the last settings and a
    more faster generation of values in  EquidistantValuesDialog.
  *  9a6187b86 - Minor fixes for issues reported by cppcheck.
  *  16df16fff - code simplifications part 2
  *  8d43bb2cf - code simplifications part 1
  *  aee24adb1 - liborigin: fix unused variables
  *  76c7b921b - Fix more deprecated code for latest Qt 5
  *  ce0f13350 - tests: avoid compiler warnings in XYCurveTest
  *  f6062d9a8 - Origin parser: add default initializer
  *  3dc366746 - Fix some deprecated warnings with lastest Qt
  *  f5698beaf - cmake: use minimum cmake 3.16.0 for newer KF5
  *  7a7e22421 - text label: set default font for all platforms
  *  005efe9d4 - plot dock: update plot range list on locale changes
  *  82c457faf - range: use number locale correctly
  *  9c3e6606d - plot: fix zoom for non-linear scales by fixing
    niceExtend() for non-linear scales
  *  6aa2e9818 - [coverity] CID: 250264, 250267
  *  2f9c4b5e8 - minor debugging fix
  *  cc2bfec35 - [box plot] work with polygons instead of rectangulars
    when drawing the fillig of box plot in order to take the notches
    into account.
  *  e72f08b07 - More robust implementation of Project::setVersion()
    that can also handle corrupted version strings and is not crashing
    with older and new projects which had or will had a 'beta' sub-
    string in the version string, like in '2.0.0.beta2', etc.
  *  f79c898ce - when using datatimes, an integer overflow can occur and
    then the pixelDiff might be always zero. fixes #123
  *  2e76ee21b - force const, so the original cannot be changed
  *  1937eaea9 - fix datapicker processed image
  *  8c15d94bd - [coverity] CID: 250264, 250220, 250217, 250256, 250231.
  *  503ff010b - tests: fix tests with auto scale
  *  a8a7224e4 - auto scale: only auto scale if enabled
  *  7110dce36 - more code clean up
  *  aebac9ae7 - code clean up
  *  571ff5f3e - text label: work around too big bounding box
  *  480353f4d - minor code style changes
  *  e90876f1c - minor code style fixes
  *  ef719c16c - fixXYCurveWrongConnectionLine
  *  19481d15f - Fix some issues for drawing and create unit tests
  *  2058b14bb - text label: fix setting empty string (used for unused
    axes)
  *  55b36d682 - tests: add differentation with duplicate x values
  *  87618e020 - Differentation: Handle data with duplicate x values
  *  34bab6187 - nullptr check when selecting the current object in the
    properties explorer during project load for the case no selection
    was saved.
  *  d67ba1017 - [worksheet] properly read the private page rect member
    in Worksheet when loading projects.
  *  70589ec64 - tests: fix OPJ import check
  *  8e5198956 - tests: fix multirange test
  *  ea65c1084 - [box plot] when setting the number of axis ticks in
    PlotDataDialog, properly take the actual number of box plots per
    plot into account.
  *  bbe6c6772 - Minor fixes: * auto scale the plot when the user
    clicked on the scale actions in the toolbar also if the auto-range
    in the plot is not active * remove a test menu entry in the
    hamburger menu * commited changes in Image that were forgotten in
    one of the previous commits fixing the initialization of the image
  *  1cb0bd763 - fit test: increase tolerance to fix failing finish
  *  39eebce6d - timestamp
  *  b16da2c56 - fit test: increase tolerance to fix failing tests part
    3
  *  5da5b6301 - fit test: increase tolerance to fix failing tests part
    2
  *  e6c1aa135 - fit test: increase tolerance to fix failing tests
  *  6efb3a4c6 - [notebook] properly handle the locale specific output
    from backend systems (e.g. R) when parsing the numerical values.
  *  6878caad6 - [box plot] no need to recalculate the filling
    rectangular every time we need to draw it. Do it only if the box
    lines where changed.
  *  5d019ec5e - plot: use range based loops for cSystems
  *  d2d9ace70 - [column] extended the Used In sub-menu in column's
    context menu to also show the usage in error columns in XYCurve and
    in ticks positions and labels in Axis.
  *  6884834bb - [column] fixed a wrong access to the formula data when
    creating the context menu and only add new secions in the Used In
    sub-menu for curves, histograms and calculations only if the column
    is really used in curves, etc.
  *  9285d060c - [worksheet] fixed the initialization of Image (initial
    position and bounding rect).
  *  63f92f985 - [worksheet] don't use any brush when drawing the border
    of the image otherwise the border rect is over-painting the image.
    This also solves  the problem with the image being not printed.
  *  fdcb2c96c - GIT_SILENT made messages (after extraction)
  *  51b94cef7 - [box plot] better plot size and positions of axis ticks
    when multiple box plot are created via the plot data-dialog in the
    spreadsheet.
  *  5cfe1b702 - tests: fix multi range test with new nice range
  *  ede195fd5 - range: optimize nice range and adapt tests
  *  f72a415f3 - [worksheet] work with the logical positioning in
    ReferenceLineDock since this is what is semantically the case for
    the reference line.
  *  cf5f786f9 - tests: add text label test
  *  96a3475e3 - [import] in the Import File dialog shown the correct
    file info message for the Ngspice binary format.
  *  83596748d - text label: don't set background if not defined text
    (breaks default)
  *  b7e0e307c - [worksheet] when adding new childred to the plot, no
    need to retransform/rescale the plot and it's children when for
    example TextLabel or Image or CustomPoint or ReferenceLine is being
    added. These objects are always inside of the current data rect and
    cannot change the ranges. Ranges can only be changed when new
    curves, historgrams, etc. are added and only in these cases we need
    to check and change the ranges.
  *  53581374b - Fixing the build, adding the file changes that were
    forgotten in the previous commit.
  *  55e61bff4 - [import] improved the auto-detection of the DateTime
    format: * added more DateTime format strings to the list of the
    known formats * in case an empty format string was provided, auto-
    detect the format - this was already implemented to the detection of
    the column type but was not used for the data preview and for the
    actual import.
  *  ad17a624a - legend: fix empty title
  *  1af93945a - less debugging
  *  c19e76784 - fix compiler warning
  *  2b0d6968e - use colors when not in html label text (old projects or
    new text)
  *  bfbcc5bbc - Add expand/collapse items to the context menu in the
    Project Explorer only if the selected indices have children.
  *  d0b242ded - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  b65e8e8af - GIT_SILENT made messages (after extraction)
  *  cec1c2cc2 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  a5793676b - GIT_SILENT made messages (after extraction)
  *  931f76675 - Minor improvements: * initial values in
    WorksheetElement::PositionWrapper * more usage of
    AbstractColumn::isNumeric() in XYCurve * avoid detaching from the
    container in a for-loop in AspectTreeModel * improved padding in
    CartesianPlotPrivate
  *  e2da0613a - Don't show the Configure CAS menu entry if there are no
    CAS backends installed or found.
  *  fe6789f0f - [histogram] re-wrote the algorithm to calculate the
    filling polygon and made the logic similar to what we have for the
    box plot now. This solves many issues for the filling being not
    correctly drawn when zooming in and out and when switching the
    orientation.
  *  31dc0ecac - box plot: fix duplicate crash (wrong aspect type)
  *  80b68172e - When restoring the state of the selected object during
    the project load, call aspect->setSelected(true); to also properly
    select it in the view.
  *  4b2eeea4e - Show the modified DateTime in the project explorer in
    short and user's locale specific format.
  *  13533b085 - axis dock: fix showing/hiding offset buttons
  *  b1593db39 - [spreadsheet] use the new box plot icon also in for the
    plot data dialog in the spreadsheet.
  *  fb199b811 - minor code improvements
  *  2be19d2ba - plot: fix calculating ranges with empty histograms or
    box plots
  *  3e46674a3 - [box plot] draw the icon directly in the code until we
    have a breeze version of it.
  *  9075386f6 - tests: fix column tests (indizes)
  *  afc5bda4e - column: fix index calculations
  *  855db3773 - tests: disable hanging MQTT test
  *  22105b6b9 - Minor changes in the import related code: * properly
    hide the text field for vector/column names if use first row for
    name the vectors option is used in AsciiOptionsWidget * don't
    simplify the SQL query string in ImportSQLDatabaseWidget when saving
    the last used query, we want to keep the line breaks provided by the
    user * added tooltip text for the Refresh button in
    ImportSQLDatabaseWidget * removed Ankit from the license header in
    ImportSQLDatabaseWidget, he never contributed to it
  *  27ef7efd5 - worksheet element: fix positionwrapper initialization
  *  777122b43 - must be connected to positionLogicalChanged, otherwise
    the scene Coordinates are used
  *  786e512e7 - add Position limit option
  *  d733cd8d4 - fix positioning of the reference line
  *  8c0bb565c - allow also negative position values, otherwise it is
    not possible to align to the center and then moving to the left and
    down-
  *  dac2cfea0 - do not set scene coordinate points with logical
    coordinates. UpdatePosition() will do the recalculation
  *  49eea1686 - Use the menu to create a new notebook that is created
    via KXMLGUI, no need to have an additional private menu.
  *  12a755e4b - icons: add ico for app icons
  *  c15b34a18 - When starting the application for the first time, use
    IconOnly mode for all toolbars and maximize the full window.
  *  fcf337cb9 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  cb4437d7c - GIT_SILENT made messages (after extraction)
  *  2426304b6 - reference line: partly fix coordinates
  *  25312ca40 - [box plot] improved the algorithm to determine which
    area of the box needs to be filled out when filling is activated.
  *  c9b9ed6a7 - label: fix color initialization
  *  f9d311f52 - label: check height > 0 before resizing
  *  a0b0a94d6 - label: minor fixes
  *  4dd177dab - tests: more OPJ checks
  *  aed42eecb - [worksheet] treat the x and y values independently of
    each other in ReferenceLine. The user should be able to modify them
    separately depending on the current orientation of the line (horiz
    vs. vert)
  *  56d7db91f - Fix using helper apps. See
    https://kde.org/info/security/advisory-20220131-1.txt

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 27 Mar 2022 20:32:12 +0000

labplot (2.8.2+git9333-b100ff258-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: b100ff2581820abd3690bed7896c01d447f954f1
  * Date: 1643645425
  * git changelog:
  *  b100ff258 - unused code
  *  206d493ed - fix #94 Duplicate of a worksheet with a plot doesn't
    work
  *  e2d52fda2 - when coordinateBinding was changed in the label or the
    custompoint, notify the dock, otherwise it will not be updated
  *  ce0a66c4d - update position to update the logical position variable
  *  7f2016b7f - missing retransform, otherwise the image will not be
    placed correctly
  *  d86a128a5 - fix wrong initial positioning of the custompoint. A
    logical position was set to the relativePosition variable, which is
    wrong
  *  2de6ce810 - set Position after adding as child, otherwise the
    position will not be set correctly, because parent datarect is not
    available and therefore alignment does not work correctly
  *  0641a13ec - - move setting the graphicsItem position to
    WorksheetElement, so it can be used for every element. # Conflicts:
    # src/backend/worksheet/WorksheetElement.cpp #
    src/backend/worksheet/plots/cartesian/CustomPoint.cpp
  *  ad3975a23 - update application icons
  *  52a935459 - [worksheet] when mapping logical to scene coordinates,
    properly set the elements for visible points vector to true or false
    instead of just negating their current value.
  *  e0464dcf9 - changelog
  *  5dc145a0e - label: fix restoring selection for color changes
  *  a32b93bac - label: fix updating label when background color changes
  *  b4168f8fc - Merge branch 'master' into labelBackgroundColor
  *  5e00399df - plot: Fix enabling auto scaling and clean up (fixing
    multi range test)
  *  365400fd5 - tests: fix OPJ import range checks
  *  e981e27d1 - [plot] correctly set auto scale on ranges and save/load
    them properly
  *  af35b0ba4 - code style fixes
  *  dd48e112a - when setting a custompoint logical position,
    coordinatebinding must also be enabled, otherwise it will fail
  *  12c86db0a - boundingRect() is already in WorksheetElement
  *  9e46eae91 - the boundinRectangle variable is not used and is
    already in the worksheetElement. Remove transformedBoundingRectangle
    because it is not needed. boundingRectangle can be used
  *  6c6fc8dd6 - use boundingrect() function, because custompoints
    reimplements this function and does not use the boundingRectVariable
  *  8b8da12be - must be positionLogical, when logical Position is
    passed
  *  f0b6e55e4 - [worksheet] don't show any context menu if the label is
    hidden which is the case for example for axis and plot title labels.
    For such objects the context menu of their parents, i.e. of axis and
    plot, is used.
  *  2fdba0417 - improve label background and better debugging
  *  ad1ce006c - [worksheet] set the minimum size of the text edit
    widget to one row of a QLineEdit and some other minor layout fixes
    in LabelWidget.
  *  7c65e1df0 - GIT_SILENT made messages (after extraction)
  *  e5fd415c4 - Merge branch 'master' into labelBackgroundColor
  *  9e21388f3 - more background and font color debugging
  *  178184d34 - Fixed the calculation of legend's bounding box, the
    horizontal spacing was not properly taken into account.
  *  37a282ab5 - fix merge
  *  1eebe0e4a - axes label: fix color used for empty text and load
    color
  *  178c6961a - minor code style
  *  d0c57b533 - [notebook] delay the initialization of plugins to a
    point when they are really requests and show the documentation panel
    if it's requested in the notebook.
  *  9ac93da66 - make negative sign when cursor2 is smaller than cursor1
    so it is as when the value is not a datetime
  *  95cdda883 - implement visibilityChanged() in WorksheetElement, so
    only one signal for emiting that visibility changed. Not like in the
    case of the XYCurve visibilityChanged() and visibleChanged()
    existed. So the cursor dock was not updated, because the signal was
    not called
  *  b25008d0f - Fix compiler warnings
  *  73dca0ceb - Merge branch 'master' of https://github.com/KDE/labplot
  *  95c01a603 - axis label: remove debugging and minor code
    improvements
  *  6adc6359a - disable textlabel if placeholder is enabled and normal
    text is visible, otherwise when changing it has no effect and the
    user may be wondered why it does not have an effect
  *  cdaef2a71 - ignore wheel on hovering combobox in the treeview
    otherwise the values are changed instead of scrolling in the
    tablewidget. When focusing a combobox by clicking it is possible to
    scroll through the values
  *  82570d33e - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  7e067ac22 - GIT_SILENT made messages (after extraction)
  *  d2ea42560 - cmake: better readability
  *  01e6c1385 - cmake: link MacTouchBar to lib for tests
  *  0758b1a1e - [build] fixed the ifdef's for HAVE_TOUCHBAR in MainWin.
  *  f8e0ce25e - cmake: add path to find cerf.h
  *  155852f65 - [build] made the support for touch bar on mac os
    optional in the build.
  *  d81cc877a - text label: Fix using theme for axis label
  *  80f361ef2 - [worksheet] allow to position the vertical reference
    line also for DateTime x-ranges.
  *  45eb172e7 - differentiate between datetime and numeric, otherwise
    keypress for the infoelement will not work if the x axis is a
    datetime
  *  f70cc04a8 - fix also for underline, strikeout, superscript and
    subscript
  *  dc3c400f9 - fixes #80
  *  61424b175 - tests: import OPJ import test
  *  df305c4f3 - [data extractor] when entering curve points, ignore the
    reference points under the cursor - it should be possible to place
    curve points close to or over the reference points.
  *  cb368b015 - [notebook] better logic to determine the position of
    the help panel tab that is needed when the internal help is
    requested and shown in Maxima and in R.
  *  174f1003d - implement multirange support for the InfoElement
  *  8a5cdebdb - Revert tests: enable previously failing parser test on
    FreeBSD
  *  6d3fab976 - fix retransforming of plot
  *  23c7c9b52 - GIT_SILENT made messages (after extraction)
  *  cb8176c6a - Merge branch 'master' of https://github.com/KDE/labplot
  *  b0136ff88 - tests: enable previously failing parser test on FreeBSD
  *  526f37479 - Fixed the normalization of the variance in the column
    statistics and refactored the code a bit to make it more readable.
  *  6422f1cf9 - text label: enable background color
  *  33567ab52 - merge
  *  db3ac2c24 - Adjusted the names of the default xy-plot types to
    avoid collision with box plot.
  *  dbf0c2f5e - text label: fix restoring color when switching back to
    text mode
  *  69d49e1b0 - fix #70
  *  27155dcbf - tests: clean up building part 2
  *  21ec69170 - tests: clean up building
  *  35d1a7ca8 - tests: simplify building analysis tests
  *  e9231a88a - tests: simplify building project import test
  *  f96c6397f - tests: extend OPJ importing plots
  *  eb86fee62 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  57afa3f70 - GIT_SILENT made messages (after extraction)
  *  31f0f1a2c - do not compare both strings, because of the local time
    this will fail. Compare DateTimes directly
  *  a2ff37e2b - text label: fix restoring color when switching mode
  *  0b11da978 - interchange old and new, because in the Constructor the
    order is different
  *  4b705c80c - fix crash when creating an InfoElement
  *  2396150ab - if isloading() then no undocommand should be created
  *  7261567d4 - Removed some temp local vectors in Column::load() that
    are not needed anymore.
  *  8861afa5a - set different text if m_first is smaller than 0 which
    means the complete column will be replaced
  *  86bb6a9ec - old functions from scidavis. Seems that they are not
    needed
  *  24519608b - - use template for setter and replace command - use
    different method for reading in columns. This method is much faster,
    because no undocommand will be created every time and the vector
    will be replaced at the end of the load operation.
  *  5b5e19ac2 - add column tests
  *  3a38f6e26 - fix issue in the minimum and maximum functions
  *  cf8949da6 - GIT_SILENT made messages (after extraction)
  *  106eabb3c - text label: fix setText() to simplify usage
  *  48f360ca7 - statistics widget: fix using theme color for axes label
  *  375786ca1 - Removed the KF5/ prefix for KSyntaxHighlighting's
    includes since they are obsolete.
  *  777c2fb97 - [worksheet] minor clean-up in the context menu - added
    icons and separators and shortened some texts.
  *  83ababd55 - [worksheet] resize the label widget after everything
    was initialized to have the minimal height. this will fix the
    problem with the dock widgets (plot and axis) being to big
    initially. Also, fixed some other minor layout related issues.
  *  9e7a6d79d - enable label background
  *  85d2b1ce8 - minor code style fixes
  *  e01c96890 - plot data dialog: also fix axis label format for
    histogram and box plots
  *  59a660181 - GIT_SILENT made messages (after extraction)
  *  20edb84a6 - plot data dialog: fix axis label format
  *  c765126d0 - tests: start adding OPJ import tests with graphs
  *  5b685fdb0 - [worksheet] when converting the font size from pixels
    to points, round the result to show the expected value correctly in
    KFontRequestor in CartesianPlotLegendDock. This is already done in
    all other places in the code except this one.
  *  93b7b3aee - GIT_SILENT made messages (after extraction)
  *  a7d9822ee - plot: fix updating plot when curve is deleted
    (including test)
  *  4cf55ce04 - tests: add curve deletion including rescale bug

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 31 Jan 2022 18:02:42 +0000

labplot (2.8.2+git9231-1fb3dd080-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 1fb3dd080d56a1ec25eae77cd7a5f851e5021870
  * Date: 1642172486
  * git changelog:
  *  1fb3dd080 - retransform must be done at least once, because the
    ranges change anyway even if no autscale is selected.
  *  8cfd45a0e - Fix minor typos
  *  0a41a9287 - Fix out of range error in x/y data changed
  *  64044a21a - Fix desktop file removing %i
  *  0d51fc4e4 - Reduced the scope of some temp variables in Column and
    simplified the logic to determine the bounding rectangle surrounding
    all visible sub-windows in MainWin for the project preview
    thumbnail.
  *  cb6407703 - cache the availability of min/max in own variable
  *  807f726ba - GIT_SILENT Updated README to use the last version of
    the description of features that we want to promote.
  *  5a5c79426 - reading must be done as in the Variableparser, because
    some dates are only valid in the UTC timezone
  *  bddbd7160 - Added the note about how to reference and cite LabPlot
    in literature to the README file.
  *  9c57457bf - Added new screenshots to AppData and added the note
    about how to reference and cite LabPlot in literature to the README
    file
  *  6e5376d41 - macOS: try fixing resolution
  *  75f3f5e67 - If previously the text was empty, the bounding rect is
    zero  therefore the alignment did not work properly.  If thext is
    added, the bounding rectangle is updated and then the position must
    be changed to consider alignment
  *  aba77ffa6 - add missing ampersands
  *  34a4ed70e - retransform plot after changing type
  *  64471d13b - rename variables. So TODOs can be removed
  *  28555f8f9 - removing not needed comments and general cleanup
  *  810115fd5 - - extend function to work also correctly for nonlinear
    axes - use last point always as reference point. If a point on the
    same pixel occured, don't use it as last point, otherwise it is not
    possible to draw a vertical line and a connection line to the next
    point
  *  32a0acd88 - do not draw first point, because there last Point is
    still NAN
  *  a251897a0 - add last line
  *  a2d5dcc75 - do the calculation only once
  *  2326ac999 - optimize to make function much faster
  *  eb898d9c9 - WIP
  *  1d81579a0 - make addUniqueLine() static so a unit test can be
    written for it
  *  993e5f59e - fix increase curve drawing again
  *  74a24b3a1 - move addLinearLine content into addLine function to
    reduce code size and because addLinearLine is not a big function
  *  70f47a0e9 - revert improvement
  *  9e1f3c0bc - auto scale: use default fullRange and add missing fix
  *  aa04bd525 - remove retransform from all scaleAuto functions,
    because of the multirange it makes no sense to suppress every time.
    So do a retransform only when needed. It is a big performance
    improvement
  *  375700289 - GIT_SILENT made messages (after extraction)
  *  0e54a024e - tests: more data change tests
  *  afc78c059 - tests: add cartesian plot test for data changes
  *  c6e48efc0 - tests: multi range comment fixes
  *  cd79f4132 - when setting the cSystems in the dock, do not
    retransform every time an item was added.
  *  c61a62fb7 - do not forward QGraphicsItem::MousePressEvent when zoom
    selection is used. So the selection does not change.
  *  1c095ecb1 - m_data in the init() function will overwrite the data
    pointer from the constructor.
  *  71e714f7b - Updated the README file:
  *  bd1b8fbe9 - GIT_SILENT made messages (after extraction)
  *  c25b3a652 - plot: Fix updating ranges on data change
  *  68dcce078 - code style fixes
  *  f8504b287 - Fix compilation for older Qt versions
  *  8726543de - minor code style
  *  2d167b61a - Fix unnecessary typedef and variable order
  *  6c43ecceb - rename formulaDatas into formulaData
  *  bb447a70b - Remove assert, because it might happen that column is
    nullptr
  *  118ebdce5 - columncommands: cleanup
  *  76bd2fdf8 - cleanup
  *  ce020b849 - add const
  *  37a25ee80 - remove brackets in one liner
  *  10a55d09a - - rename formulaDatas to formulaData, because it is
    already plural - remove access to private member m_formulaData,
    because it makes no sense to access it.
  *  c3187b38e - remove argument, because it is already the default
  *  0c4b9dd69 - instead of using three Vectors (formulaVariableNames,
    formulaVariableColumns and formulaVariableColumnPaths) Which have to
    be synched, use a struct and store the data in there. So it is much
    easier to sync
  *  37623e449 - remove template so there is no need to include
    ColumnPrivate header into Column
  *  3062cc392 - add init function to avoid writing duplicate code
  *  41a8032d5 - do not include ColumnPrivate but only AbstractColumn
  *  8ead70c54 - GIT_SILENT made messages (after extraction)
  *  43fae62a2 - [worksheet] similarly to drawValues() in XYCurve, use
    QPainter::drawText() instead of QPainter::drawPath() also in
    Histogram. drawText() is faster. This committhis also solves the
    problem with the wrong brush used to draw the values.
  *  916145974 - GIT_SILENT made messages (after extraction)
  *  150cae19a - [worksheet] removed the border and reduced the margins
    of the LaTeX preview image in TextLabel.
  *  9debd5f89 - Minor fixes.
  *  3a97d9529 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  a8bd1f781 - GIT_SILENT made messages (after extraction)
  *  55adefaa9 - About: Fix author email address
  *  94e84fc4c - column: improve availableRowCount() by adding option
    'max' to make it faster when only max values are needed
  *  fdd8c705e - GIT_SILENT minor fixes
  *  38fb7519b - Added Dariusz Laska to the list of authors/contributors
    to be shown in the About-dialog.
  *  ff2f796df - Extended the tooltip text for columns in the project
    explorer and removed the some debug output in MainWin that was added
    in the previous commit by an error.
  *  9131dab09 - Added a new option to create a new spreadsheet on
    startup.
  *  b5f30f199 - GIT_SILENT typo
  *  f5560a933 - column: add wrapper for columnModeString() and
    plotDesignationString()
  *  743517b61 - cleanup
  *  27e6a96b1 - position.point returns the position in scene
    coordinated and not the logical position which is stored in
    positionLogical()
  *  04de97127 - - remove xPos, because positionLogical exists -
    supressChildPositionChanged if the position of the custom point will
    be changed by the infoelement - move connects to the end, otherwise
    position changed of the custompoint will be called
  *  48fc6a7bd - - do not retransform, because it is done already in the
    Cartesian Plot. Retransform will crash labplot, because in
    retransform the plot datarect is used. - Check that setText does not
    call texlabelTextChanged of the infoelement, because this leads also
    to a call of retransform and the application will crash
  *  95933998e - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  a4c0155bb - GIT_SILENT made messages (after extraction)
  *  ebf684c4c - column: simplify plot designation string usage
  *  de4425ddd - column: Add convenient method to get plot designation
    string
  *  422c8ac90 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  1fb71a281 - GIT_SILENT made messages (after extraction)
  *  d77dd3e0c - Fixes a crash when moving over an item which is not a
    WorksheetElementPrivate
  *  8bd3bce43 - tests: better handle fails (don't crash) in Notebook
    tests
  *  659e130f9 - [examples] added new project Mathematical Functions.
  *  4074e7158 - Fixing regressions introduced in
    eb21f0067273fd03ad70d476220fcf2e8da173f2: * recursively retransform
    all children when loading the project. This fixes projects like
    SameStats having folder structures that were not read. * when
    copying/duplicating an object, retransform only this object and its
    children and not all children in the project.
  *  5f1464b0e - scale axes on data changes in curves and better debug
    output
  *  0a0c4452c - [examples] added new example Data = Smooth + Rough and
    some minor improvements in the already available projects.
  *  c1f76fa7e - GIT_SILENT Discount in INSTALL
  *  8325131b2 - [worksheet] avoid adding an entry to the undo stack
    when selecting a box plot in the project explorer and added a couple
    of missing updates of GUI elements when the line color, etc. is
    being changed in the boxplot and in the histogram properties.
  *  25718a926 - minor improvement
  *  9afb38df7 - QDate::startOfDay is available from Qt5.15 on. For
    older version use the old method
  *  cfa7353cc - plot: Fix calculating inde range of curves
  *  4c3c33985 - [examples] new project SLOC History.
  *  181c3f342 - fix datetime lighttime issue
  *  663e274b5 - Fix regression
  *  e6dadae76 - fit curve: do not change plot range to custom eval
    range automatically
  *  53bb5739b - [examples] minor fixes in the already available
    examples and two new projects - Maxima Tutorial for Beginners and
    Basic Plots.
  *  b1b75e897 - Renamed Datapicker to Data Extractor.
  *  6b533c215 - Fixes and improvements: 1. don't try to initialize the
    variable model in the notebook if the backend session is not
    available (backend is not installed for example). 2. renamed
    Datapicker to Data Extractor 3. allow to paste the column data via
    the context menu of the column similar to copy data 4. allow to
    paste the column data into a column via CTRL+V in the project
    explorer 5. delay the initialization of actions in Column until
    there are required
  *  160e123d9 - Retransform all elements after they were copied or
    duplicated.
  *  1fdb54a5d - [notebook] only execute the unit-tests for Notebook if
    cantor libraries were found.
  *  77e3a1b14 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  cb065a340 - GIT_SILENT made messages (after extraction)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Jan 2022 19:54:12 +0000

labplot (2.8.2+git9130-54aef72ae-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 54aef72ae6cb5d060cd72440858f41ed9a3fcd8c
  * Date: 1641040589
  * git changelog:
  *  54aef72ae - [notebook] apply default settings for new notebooks.
  *  ce27d235b - [notebook] added a new page in the setttings dialog for
    the notebook.
  *  a9e63696f - [notebook] don't try to parse numpy's arrays of arrays.
  *  5b68a6c16 - [notebook] parse string lists in Maxima and double and
    string lists, tuples and sets in Python and added first unit tests
    for the variable parser.
  *  486b925ba - [notebook] switched to the new parse values function
    that can handle different data types for all backends and moved the
    for-loop into the case statements for performance reasons.
  *  108ebf617 - [notebook] fixes: * when replacing the values in the
    column, always resize to the size of the new array otherwise we end
    up having more elements in the column vector than the number of new
    values that were set. Relevant for the case when the count of the
    new values is smaller than the count of the old values. * added
    missing cases for all data types in dataChanged() slot * don't use
    any NAN for invalid integer values. It's not a correct int, we use 0
    right now for invalid integers until we have a proper solution for
    invalid/missing integers * fixed indentation
  *  369b7eb6d - Fixed the info element in the Helium example project
    and new actions for the notebook and more cleanup in this area.
  *  f839cbe41 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  6ce2004e5 - GIT_SILENT made messages (after extraction)
  *  d3feba332 - append is wrong, because it was already preallocated,
    so assigning is enough
  *  f8f62952a - an array with only two elements do not have two commas
    in it. So assume if one comma exists, it is the separator
  *  b4282a72f - fix numpy array datatype extraction regular expression.
    There can be whitespaces in it.
  *  e8baf13f1 - implement parsing numpy arrays of different datatypes
  *  e67b85318 - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  cd35a2bc4 - GIT_SILENT made messages (after extraction)
  *  20df3cd4d - Fix setting range (\!43)
  *  a1acc25e5 - fit: allow equation curve as data source
  *  523666e0a - xy curve: fix off-by-one bug
  *  ab163e0ce - [notebook] more cleanup in the actions.
  *  d53c5b6ea - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  728c577fb - GIT_SILENT made messages (after extraction)
  *  3b461d08a - [notebook] further small improvements: * more renaming
    Worksheet -> Notebook * don't show any name and comment in the
    properties explorer when multiple notebooks were selected * cleanup
    in actions shown in the notebook menu
  *  00ee4573d - OPJ import: use text font size and color
  *  2f61e6c3a - reduce debugging output
  *  55c7fb17d - CI: fix cantor dep
  *  bd0089dd9 - CI: fix cantor dep
  *  520246fd5 - CI: fix cantor dep
  *  2d37bab09 - CI: try cantor dep
  *  d0b13c827 - [notebook] multiple minor improvement: * renamed CAS
    Worksheet to Notebook * don't show the export, copy and duplicate
    actions in the context menu * restructured the context menu a bit *
    removed the dependecy on KParts/ReadWritePart in
    CantorWorskheetDock.
  *  6be5ef332 - gitlab CI: mode deps
  *  c4c9d619c - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  b1573fa6c - GIT_SILENT made messages (after extraction)
  *  d7f69ef24 - gitlab CI: update
  *  7ff60d3f2 - gitlab CI: all frameworks dependencies
  *  94bc9d17e - gitlab CI: add kde dependencies
  *  794d726d7 - Add CI files for gitlab
  *  9201ef1a9 - Update desktop file and About info
  *  51b407ae2 - Minor updates in INSTALL
  *  406eeeac0 - Update AUTHORS (see About LabPlot)
  *  99d5b36c6 - Update README
  *  b352a5eea - Update appdata file
  *  7823f7da9 - Fixes: * retransform all worksheet elements after the
    project was imported (Origin or LabPlot project import) * don't try
    to adjust the plot area padding for newly added curves during the
    project load
  *  d475e7ddb - minor improvement
  *  a0e93c9fd - Fixes&iprovements: * avoid flickering in the worksheet
    and plot toolbars, don't re-populate them when the worksheet was not
    changed when switching between its different children. Same for the
    spreadsheet. * show loading ... message in the status bar when
    openning a project which is helpful for heavy projects taking long
    to load. * change the current aspect in the project explorer when
    doing undo/redo. This was done differently in the past to avoid
    unwanted changes but it causes more problems, e.g. add Workbook,
    undo this step, add new Spreadsheet -> the spreadsheet is created as
    a child of the workbook... * use capital letters for the
    descriptions of the different sections in the overview tab in the
    column statistics dialog.
  *  7b6ba8559 - Minor fixes: * resize the datapicker window to fit the
    view size when initially created * copy&paste bug in BoxPlot *
    layout fixes in CartesianPlotDock
  *  799787bea - Performance improvements: * don't call
    Column::dataChanged() twice when changing a value in a spreadsheet
    cell, this triggers the expensive retransforms in the curves also
    twice. * no need to raise warnings during the XML-parse and when
    empty strings were encountered. String parameters can be modified by
    the user and an empty string is a valid input parameter. * skip the
    initialization of objects (and especially reading the themes from
    the hard disk, etc.) when doing the preview of the structure of
    Origin projects.
  *  9b2f08c06 - simplify function
  *  1137a1a34 - remove not needed includes
  *  15d4883cf - simplify
  *  243ab1ac0 - item can be casted to WorksheetElement and then
    directly the type can be used.
  *  86346d1ec - handle also reference line
  *  236c67da5 - count also analysis curves, because the AspectType is
    not part of XYCurve
  *  febeffca8 - fix data type of QGraphicsItem: set it in a common
    place instead in every class which leads to errors
  *  4c7ede93d - [worksheet] delay the initialization of ThemeWidget in
    the context menus of plot and worksheet until it's really required.
  *  93644f56e - Avoid too many updatePixmap() calls in the curves when
    openning a project that are caused by the initalization of symbol
    properties.
  *  9ceaed97f - [worksheet] when adding a new curve to the plot and
    changing the ranges and the axis tick labels, adjust the plot area
    padding if the axis title label is outside of the plot area.
  *  644c18633 - Fix previous commit
  *  e404d4f14 - Make it proper json
  *  516d9e5db - Fixes: * don't crash when the user is setting the focus
    in the spreadsheet by calling the context menu * removed a couple of
    unneeded retransforms in the plot when creating it via the plot data
    dialog or in the column statistics dialog
  *  6c1c98460 - issue warning when parser evaluates NaN in
    XYEquationCurve
  *  b82c36ea3 - minor macOS fixes
  *  4cd239546 - the numpy array can contain also the type of the array
    elements
  *  fff2e7a46 - attributes must be read, because otherwise the previous
    are stored
  *  990702c0b - Improve string problems
  *  3221c6c8b - Fix a couple of raw strings
  *  b28b87b54 - Fix signal/slot handling of check boxes
  *  918940608 - use macros Q_SIGNALS, Q_SLOTS and Q_EMIT to avoid
    future conflicts with Qt libraries and applications using LabPlot
    headers
  *  cf0ba78fc - code style: pedantic fixes
  *  89e741455 - Update CMakeLists.txt, TODO: enable Qt definitions and
    compiler flags to fix problems
  *  ee8a75251 - parser: add fallback with default locale to be more
    tolerant
  *  0ca1949b1 - omit default value
  *  2cd85f9be - Ranges: better rounding when showing values
  *  0d0476e85 - Merge branch 'master' into EnableNiceExtend
  *  5e70782ba - enable by default, update plot range list and minor
    corrections
  *  38491bf71 - [worksheet] call retransform() in Image every time the
    image is rescaled so the proper bounding rect is calculated.
  *  80c118990 - Add ability to turn off niceExtend fix #17
  *  7a28d534a - [worksheet] reduced the number of
    QPainterPath::moveTo() calls when calculating the line path in
    XYCurve. They are obsolete and seem to break the vectorization of
    the line path.
  *  71f688a32 - fix mimetype for projects
  *  0cba2a426 - [worksheet] keep the original image in Image.cpp so we
    can use it when rescaling the image later on size changes.
  *  0ac4add0e - axis label: fix rounding in log scales
  *  4bc3d9b40 - improve log scale example
  *  41dc83fab - changelog
  *  e3b873f6f - [examples] added three new example project: * log-
    scales * non-linear regression * Duffing oscillator calculated in
    Maxima and visualized in LabPlot
  *  e1cb0691d - tests: add test for histogram fit
  *  4d169750a - settings: add option to save projects in a pre 2.9
    compatible format
  *  82c5e230a - don't overwrite imported OPJ projects when saving
  *  b79cef39f - [box plot] allow to specify the parameter 'k' also for
    the whisker types SD and MAD.
  *  81995382a - use new default colors
  *  a20bacb6b - another override
  *  725552845 - do not shift if an object different to the plot is
    used, because for example the infoelement catches also the key press
    events
  *  4685fea92 - Added missing override keywords in the new code.
  *  ed6d95f8a - set text should not automatically convert to html if
    the Textwrapper argument is string
  *  142a35155 - if the text is html coded, it makes no sense to set the
    FontColor, because it will not have an effect, but instead change
    the QLineEdit Text and then store this text in the Textlabel
  *  a0834b0a4 - clear selection after color is set
  *  53ba2a899 - Not necessary to set position every time. Only once is
    fine enough
  *  8fd106b0e - use the plot rect instead of the datarect as bounding
    rect. So the area of the textlabel is bigger. But for the vertical
    line still the datarect must be used
  *  d3230b76f - fix position issue of the infoelement
  *  088ed09df - after everything was loaded call dataChanged to scale
    all plots correctly
  *  9f87f576a - fix wrong index is scaled this might lead to a crash
  *  1f1c9e549 - OPJ import: correctly import symbol interiors
  *  7a8066cda - symbols: are more types
  *  9c1f57965 - fix compiler warning
  *  17ad64835 - symbol rotation: fix direction
  *  dcf0e7e3d - remove assert, it is better to just return than
    crashing
  *  2b8861cf1 - CartesianPlot: No assert
  *  80ac69358 - - remove retransform from CartesianPlot::load() - add
    child after text is set, otherwise retransform of the infoelement
    will be called, because text was changed and the signal slot
    connection is already there
  *  c221d8c9c - ReferenceLine: remove retransform()
  *  f1429d8ec - Custompoint: remove retransform()
  *  a475e3cfb - Image: remove retransform from scaleimage. So it will
    not be called during load
  *  d4dd440f7 - loading is already done a few lines above. No need to
    retransform again
  *  eb21f0067 - do a retransform also on elements directly in the
    worksheet not only the plots
  *  4604ad551 - set isLoading for all childs to false, otherwise no
    retransform is executed
  *  e0918a245 - no isloading check in
    CartesianPlotPrivate::retransform()
  *  b3f9abcb5 - Do not give a chance to retransform. Retransform after
    everything is loaded
  *  60da5a8f2 - remove D_OBJ macro, because it is unintuitiv
  *  d77d6f941 - remove dead code
  *  d773aba75 - before xmlVersion 6 the custompoint position was always
    a logical position
  *  74ebd4346 - fix filebrowse problem. Fixes #15
  *  28085b0dc - emit positionChanged signal, otherwise the dock will
    not be notified
  *  8cc207297 - ItemChange is already implemented in worksheetelement
  *  e22d97f3c - limit infoElement exceeding the limits of the curve. -
    The info element stays at that position, but the logical value
    changes accross the limits of the x axis of the curve
  *  7b5689728 - Fix custom point wrong position shown in the dock
  *  601c2ebdc - if the keypress is used, do not pass it to the parent,
    otherwise two actions will be executed at the same time. - So when
    having an infoelement and the label should be move with the mouse
    cursors, the infoelement moves too, because it handles also the
    keypress event
  *  78ede95be - draw bounding rect if desired. For debugging purpose
    only
  *  7dd94d1ac - use plot rect only if the direct parent is a cartesian
    Plot. If not (for example the Custompoint or the label of the
    infoelement) use the parents bounding rect
  *  6620290e9 - set visible correct
  *  cf198b473 - retransform when rotated which calls
    recalcShapeAndBoundingRect()
  *  887e81f4a - boundingRect() instead of boundingRectangle must be
    used, because the Legend does not use the boundingRectangle variable
    and then the align is always zero
  *  7b167105d - Legend: Set correct initial values
  *  34326c046 - Align custompoint, legend and textlabel dock to look
    like the same and implement alignment for custompoint and legend
  *  a867804dc - Fix position issue of the InfoElement Custom point.
  *  93918f96e - Use WorksheetElementPrivate class in every Element
  *  3c09e9212 - Create WorksheetElementPrivate as Base class for all
    Worksheet Items.
  *  b57665af3 - [worksheet] when loading TextLabel we need to call
    updateBoundingRect() instead of retransform() to properly calculate
    the bounding rect for stored PDF content, adding the actual change
    in the cpp file now.
  *  7dc242a93 - [worksheet] when loading TextLabel we need to call
    updateBoundingRect() instead of retransform() to properly calculate
    the bounding rect for stored PDF content.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 01 Jan 2022 20:21:50 +0000

labplot (2.8.2+git8995-8d1b569c2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 8d1b569c2882b5db594fa488082ff6b7c9328172
  * Date: 1639566899
  * git changelog:
  *  8d1b569c2 - OJ import: update symbols
  *  cc07d2e0a - Fixes: * restore the pointers during the project load
    before selecting the current object in the project explorer so the
    proper information is shown in the properties widget * work with a
    reference and not with a copy in InfoElement to properly assign the
    selected curve during the project load.
  *  58ca29300 - [box plot] when determining the max and min adjacent
    values, check both edges (min and max) for every value in the data
    set.
  *  b0425055d - OPJ project import: Fix curves with data in workbooks
  *  aa5907b00 - [box plot] allow to modify the parameter 'k' controling
    the whisker range and update the box plot example project.
  *  6ece48f31 - fix clang++ problem
  *  d4d3e138e - [worksheet] added the missing action for box plot in
    the worksheet view.
  *  fc446efc2 - [worksheet] introduce new shortcuts in the plot to
    navigate to the next/prev curve.
  *  77c0c8b4c - copy/paste: better handle numbers when group separator
    is a space
  *  b0b5d7712 - [worksheet] properly undo/redo the resize of the plot
    when it was done manually with the mouse.
  *  31530b0a7 - fit: better wording (uncertainties instead of errors)
  *  7926825fb - cantor: improve on macOS
  *  1bedcf7f8 - [worksheet] generate one single entry on the undo-stack
    when manually resizing the plot with the mouse.
  *  95b6866c4 - Fix reading older projects with custom fit models
  *  e30e73e1b - code style fixes suggest by clang-tidy
  *  069b2df1a - Merge branch 'master' of https://github.com/KDE/labplot
  *  40de11c6e - [examples] fixed the positions of the images in the
    Space Debris example.
  *  3d10a3d04 - [worksheet] removed some a couple of coordinate
    mappings in TextLabel that are obsolete now.
  *  c8a4ca4e6 - example: fix a few settings
  *  6d878faef - plot dock: avoid updating locale and plot range list
    twice
  *  155c130c8 - remove doubled defaults
  *  07c6dc061 - plot dock: minor ui fixes
  *  0f9f849c0 - [worksheet] adjusted the positioning of Image on the
    new logic in 2.9.
  *  9c5877220 - [examples] add a new example Space Debris showing the
    usage of reference lines and image elements on the worksheet.
  *  ab631fc07 - axis dock: fix combobox for label text type
  *  38c4f9c1a - [worksheet] simplified the usage of
    WorksheetElement::relativePosToParentPos().
  *  e4c56e90f - [worksheet] simplified the usage of
    WorksheetElement::parentPosToRelativePos().
  *  48ea7e679 - [worksheet] moved parentRect() function from TextLabel
    to WorksheetElement so we use the same code also in other objects
    like Image.
  *  c11497d45 - macos: build script simplification
  *  ae189b7ee - enable debugging infos on macos
  *  b9aa43a66 - Bug fixing: * fixed the separator for a data set in the
    JSEDataArchive collection * don't show the statistics dialog if
    there are not columns with numerical values available * read the
    'embedded' property in Image * don't save the placeholder text if
    there is any in TextLabel
  *  39f44cc6e - avoid macro and delete pointer directly

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 16 Dec 2021 20:17:07 +0000

labplot (2.8.2+git8963-c3344a3bf-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: c3344a3bf4be1f0f9734b00445cef73831bbc435
  * Date: 1638618538
  * git changelog:
  *  c3344a3bf - [worksheet] ImageElement - allow to embed the image
    data and save it in the project file.
  *  c137563f1 - use macros
  *  92476cbe7 - readme: Cantor details
  *  695b80088 - When an axis is selected and the mouse wheel event is
    triggered, the corresponding ranges should be used to zoom
  *  6c0f94c82 - [spreadsheet] when hitting Return in the search field,
    navigate to the first cell matching the current search string.
  *  df0484bf0 - [spreadsheet] don't draw any border line in the plots
    in Column Statistics Dialog and react on 'find' and 'cut' shortcuts
    in the spreadsheet.
  *  b55f21624 - windows: enable certain debug messages per default
  *  c872ccf91 - Even more symbols added
  *  3b9bc37b5 - More symbol styles
  *  586dd885f - Resize the height of the comment field to fit the
    content and minor layout fixes in ProjectDock and updated Tufte's
    example project.
  *  e406c3100 - Reduced the number of cast in the analysis curve dock
    widgets and fixed a copy&paste bug in ExamplesWidget.
  *  d31737bb7 - Merge branch 'master' of https://github.com/KDE/labplot
  *  1a9c3aacc - symbol: add symbol order to freely sort symbols in UI
  *  c3f57ac7f - Explicitly use C++11
  *  75a7c60ef - Further fixes for coverity issues.
  *  480de3384 - Fix more coverity issues
  *  a7c22c6b5 - [examples] add a new example - Same Data, Different
    Boxplots.
  *  b782c8784 - Fix several coverity issues
  *  a87385824 - Bug fixing: * reverse y-coordinate of the text label
    when reading from the older (<2.9 format) to properly position the
    labels in the old projects * potential memory leak in
    Project::load()
  *  575a695c0 - [examples] two new example project files demoing the
    info element and Hilbert transform.
  *  d8ab85463 - [worksheet] bug fixing in TextLabel: * properly set the
    text color in LaTeX mode * reduced the number of retransform() call
    which is doing more than needed in many cases and where LabelWidget
    is reacting in slots. This also solves the problem with the jumpting
    cursor when entering some text in Markdown mode.
  *  267980521 - Properly read the example project files that are in the
    old format compressed with Gzip.
  *  6d7680c60 - Merge branch 'master' of https://github.com/KDE/labplot
  *  d7a787aa7 - Symbol: rename and prepare adding more styles
  *  e3be033dc - Minor fixes and improvements: 1. use an empty string as
    a value label if the value in the custom column for value labels in
    XYCurve is masked, don't skip it. 2. don't recalculate the logical
    points in XYCurve when the data in the custom column for value
    labels was changed, it's only changing the labels and not the
    positions of the points. 3. renamed Apply Theme to Theme everywhere
    since it's consuming a lot of space in some languages. 4. added an
    icon for the select theme button in the ThemeHandler.
  *  50b8a5763 - Improve debugging
  *  580c75546 - symbols: Fix count of symbols
  *  23e65c68f - random values dialog: Consistent handling of
    distributions
  *  69ca6e1d4 - [worksheet] position plot' title label relativ to the
    plot bounding rectangle and not to its data rectangle.
  *  da8df2014 - cantor worksheet: Improve debugging plugins
  *  cf8a79fa7 - Prevent crash on Windows in Debug mode
  *  4562c9000 - Improve Debug build on Windows
  *  de653f164 - Rename macro due to name clash
  *  83331b578 - More debug portability
  *  81d541c59 - Improve debugging on Windows
  *  22a915763 - minor fixes
  *  b32128056 - cantor: try ixing problems with new paths
  *  947359958 - [worksheet] re-render latex images from PDF according
    to the current zoom factor in the worksheet view.
  *  a10205751 - histogram fit: fit various distributions via context
    menu
  *  3d65f5049 - histogram fit: make fit via context menu work
  *  7171d1675 - [worksheet] used a dedicated aspect tree model in the
    combobox for value labes in XYCurveDock to allow also the selection
    of text columns.
  *  cd5c7a39e - [worksheet] when LaTeX mode is used, work with the
    produced PDF file in TextLabel and produce the image out of it. The
    PDF-data will be used later to generate a scaled version of the
    image when the user is zooming in or out in the worksheet view.
  *  2bf77020c - [cas] in case we fail to initialize Cantor, show a more
    specific error message in the CAS worksheet.
  *  fc044eb72 - [spreadsheet] properly show the overview in the column
    statistics widget.
  *  ee073dd0f - [box plot] properly read the save settings for the
    median symbol.
  *  826d17554 - axis tick label: fix crash without tick label
  *  9f88ae044 - [histogram] improvements for the new distribution fit
    feature: * don't always create the columns required for a
    distributin fit, only create them when there are requested for the
    first time, i.e. when a distribution fit is performed * added
    Analysis/Distribution Fit action to histogram's context menu
  *  d8386779c - Fixed the resizeTo() function in Column and better
    handling of the switcht between the different source types
    (spreadsheet, curve or histogram) in the fit-curve properties
    widget.
  *  604cc46fc - [worksheet] restore the saved data source histogram in
    XYFitCurve and added missing slot in the dock widget.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 04 Dec 2021 13:05:27 +0000

labplot (2.8.2+git8914-40e3844b5-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 40e3844b58274e55ec19311bbc900e2eb57f6254
  * Date: 1637337740
  * git changelog:
  *  40e3844b5 - histogram fit: fix function evaluation
  *  daeb5fb72 - [histogram] initial implementation for fitting to the
    histogram values, still a couple of issues needs to be addressed and
    finalized.
  *  da24b2042 - axis label: minor fix for multiple of pi format
  *  0b2b7c4f9 - axis label: Fix minor problem with Scientific format
  *  796ea1a8a - axis label: Fix multiple of pi format
  *  1f4ea348f - Another try to be portable
  *  286f05716 - define and use exp10
  *  aa5af61ce - Fix compilation on non-GNU systems
  *  f50113e57 - axis label: improve power-of formats
  *  c392bb17f - use better warning colors in all places
  *  3fea472d9 - [workhseet] adding the changes on CartesianPlot.cpp
    that were forgotten in 7e0fb88.
  *  708217eff - Improve background color for syntax errors. Also
    consider light/dark theme
  *  7e0fb889a - [worksheet] don't apply the current theme if the
    objects are being moved (change drawing order), otherwise user's
    settings are overwritten.
  *  db7b07736 - [worksheet] save the alignment in TextLabel.
  *  d95f0f877 - [box plot] allow to modify the appearance of the
    whisker cap separately from the whisker line.
  *  363e3e72e - [spreadsheet] when navigating between the different
    columns in StatisticsDialog, don't change the current tab  in the
    statistics widget, the user should continue with the same
    visualization  for the different column.
  *  7670959a0 - Don't notify the curves about the column removal when
    the parent spreadsheet is just being moved (move up/down in the
    project explorer).
  *  c37de9c13 - axis range: Fix multirange tests by improving previous
    commit
  *  da6e1077c - auto scale: fix changing drawing order
  *  125ba1406 - [examples] added a new example project Hertzsprung-
    Russel Diagram.
  *  110d346b3 - Minor fixes: * when notifying about columns being
    remove, no need to do this for hidden columns like result columns in
    XYEquationCurve, etc. * more usage of fixed-property in
    LiveDataSource and InfoElement.
  *  793211447 - [worksheet] fixed the regression with plot objects
    being not updated when the underlying data or some of their
    properties were changed.
  *  4bf0c6053 - Show the used in sub-menu in the context menu of a
    column only if the columns is really used somewhere and react on
    rename requested events also for the project node in the project
    explorer.
  *  454509efb - Introduced a new property fixed in AbstractAspect that
    allows to determine whether the objects can be moved, renamed and
    deleted more easily. Thic commit also fixes the problem with
    residual values in the fit curve and with rough values in smooth
    curve where it was possible to delete the columns for them which we
    don't want to allow.
  *  7093b5d9c - resizable text edit: show fallback grab bar also on
    Windows
  *  7cc1e18ad - axis: fix drawing axis line when zoomed
  *  3d9a49cc6 - fitting: pseudovoigt model fixed
  *  e28f632b9 - [worksheet] always sort the list of available themes in
    the themes preview widget.
  *  6e873e363 - Properly copy&paste/duplicate equation curves.
  *  243965427 - grab bar: use fallback only on Linux
  *  78836d484 - axis: fix drawing with invisible curves
  *  1c144073a - code cleanup
  *  51e0d0805 - fix typo
  *  1e4fa21ae - axis dock: improve auto scaling
  *  5d814c73a - cartesian plot: better naming for data range
  *  a2e43f019 - Fix compilation
  *  558675904 - axis dock: enable clear button for first tick offset
  *  b99beffcb - cartesian plot dock: Fix truncation of range values
  *  13ca31be4 - axis tick label: use gsl_pow_int and better debugging
  *  db94ab842 - axis tick label: keep any format when changed or loaded
  *  9b57a3239 - [worksheet] hide the move behind and move in front of
    sub-menus in the context menu of a worksheet element if they don't
    have any entries.
  *  1fdc478d3 - Delay the initialization of actions in the project
    explorer to the point where they are really required.
  *  14ab47625 - Add file name in the Save As file dialog.
  *  1af3b1f70 - axis tick label: Fix crash in power of formats
  *  4fd36f50c - axis tick label: Improve scientific format
  *  c2dd8f50d - CAS settings: add warning when no backends are
    installed
  *  8188bb532 - Added a version check around KFuzzyMatcher, it's
    available startign with KF 5.79 only.
  *  d3edfdb87 - Fuzzy matching when doing search/filter in the Project
    Explorer
  *  ebf127af1 - [spreadsheet] proper icon for the search action and end
    the search upon Escape key press.
  *  1d6fe2fd4 - [spreadsheet] allow to search in the spreadsheet.
  *  1eb716283 - axis dock: improve tool tip for tick offset button
  *  2aa6b30e7 - axis dock: add auto first tick offset tool button
  *  d4bb2146a - typo
  *  09ed9a2c2 - axis dock: add tool button for first tick offset
  *  cef92e691 - cartesian plot: improve API
  *  1eec8a5ac - cartesian plot: simplify API
  *  bc1ae9554 - [examples] added new example projects for multi-ranges
    and for Tufte's minimal ink design.
  *  a9838c60b - [worksheet] added a new symbol character X.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 19 Nov 2021 17:17:37 +0000

labplot (2.8.2+git8855-1dba2f68e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 1dba2f68ea4466561e19f0e6c29f9ab0529c6823
  * Date: 1636118157
  * git changelog:
  *  1dba2f68e - parser: Add functions to generate non-uniform random
    numbers of several distributions
  *  cc606768d - Fix previous commit
  *  f615aa72e - liborigin: d942dc63
  *  40a148ecd - liborigin: 904fcc37
  *  73c85a526 - l10n: Add @title:window helpers, capitalization and
    punctuation fixes
  *  f59b64599 - liborigin: ccefb3a5
  *  69cb3dbc5 - changelog
  *  04881574f - [boxplot] hide the symbol for the median.
  *  94231553c - Origin import: fix curve data column import
  *  361d9d121 - disable break point
  *  3fe0006f7 - Origin import: fix column import and debugging
  *  81bd76251 - Minor code style fixes in aspectcommands.h and two more
    examples for the usage of boxplot and histrogram in the SDK.
  *  bd33ec34f - [worksheet] switch off the rug for curves and the auto
    data range type for axes when switching to a non-Tufte theme.
  *  0ec427f65 - axis: add option for tick start offset
  *  fdb99100a - Origin import: better axis label font size, fix empty
    legend title
  *  5e2abffe8 - When removing aspects, emit the aboutToBeRemoved signal
    for column children only so the curves can react. Sending it for all
    aspects causes issues that need to be fixed first. Alsom reduced the
    dependency in multiple classes on macrosXYCurve.h.
  *  a301c27ba - Origin import: fix auto scale of axes
  *  8391feb72 - minor fix
  *  f7d9dc87a - Merge branch 'master' of https://github.com/KDE/labplot
  *  d47c30689 - * add DELETE macro * more Origin import debugging *
    disable removing items from worksheet view to fix Origin GRAPH
    import
  *  0b89d9ecd - Minor fixes: * added shortcuts for panning in the plot -
    arrow keys are used to move left, right, etc. * added additional
    null-pointer check in CantorWorksheet so we don't crash when we
    failed to load/find Cantor plugins and the session is not available.
  *  6f6d02a12 - cartesian scales: remove unnecessary checks
  *  2b5367e61 - Improve check macro
  *  f45164816 - Fix warning macro
  *  6c2c24214 - Fix log scales and combining different scales
  *  7912982f2 - Fix typo
  *  414acf48c - Fix crash loading a project
  *  0d7037127 - Fix drawing curves in non-linear scales
  *  d719d57e3 - spreadsheet: fix matio import test
  *  d47b8e4e5 - axis: check ranges for non-linear scales
  *  290006b4b - tests: more multi range tests
  *  e35001691 - code cleanup
  *  6b1981b69 - tests: improve multi range zooming
  *  61895f85f - Fix plot actions
  *  bdf12bcca - [worksheet] made the setting of axis range type (auto,
    auto data, custom) undo/redo-able.
  *  c9cfe6f1a - [worksheet] minor fixes: * react on undo/redo changes
    for theme selection in the plot * when selecting 'Tufte', activate
    the rug plot only for curves with <100 data points
  *  7865839c4 - [worksheet] properly draw the background of the plot
    area (regression).
  *  14e041174 - [worksheet] don't apply theme when the objects are
    being pasted (copy or duplicate action in progres) otherwise we
    overwrite user's custom settings.
  *  bbeb0d982 - Start fixing multi range tests
  *  df2242740 - Fix compilation with MQTT
  *  643f9ebb3 - Minor cmake improvements
  *  32f0f3677 - Fix warnings without netcdf/matio
  *  07e22f251 - Revert Numeric->Double for cartesian plot dock
  *  4ff8307fa - Fix compilation without Matio
  *  beaaf11c8 - Improve MAT import speed and add performance tracing
  *  a5b562e8f - Fix build with MQTT
  *  523765da8 - Refactor using poppler for handling PDFs
  *  0839e75c1 - Better default LaTeX font size
  *  d9b7f91d5 - Switch to PDF for formula preview to improve resolution
  *  3934b9c77 - [examples] all the new example projects will be saved
    in the xz-format. So, it's safe to always assume in ExampleManager
    we're dealign with XZ.
  *  b7a37290e - spreadsheet: fix column designation in append mode
  *  34e76b997 - tests: add multivar MAT import
  *  d5841e3c2 - mat import: Fix crash importing multiple MAT vars
  *  511cc19db - Clenaup: * removed unused function in ProjectExplorer *
    better function name in ExamplesWidget
  *  02b25905b - axis title: Fix drawing bouding box of html text
  *  85da72392 - Notify GuiObserver to bring up the proper dock widget
    and somewhat simplified logic in ProjectExplorer to finalize the
    project load.
  *  176fa9f15 - tests: enable parser test on FreeBSD for testing
  *  f21ff3991 - dock widgets: try improving resizable comment field
  *  b082e7bfc - [examples] added a new example project SOS Morse
    Signal.
  *  7c4f93222 - [worksheet] when copying, duplicating or loading labels
    and images, call retransform() so their positioning relative to the
    parent is properly updated.
  *  02ef6d7db - Code clean up
  *  9eaa7dc5c - resizable text edit: try to improve grab bar
  *  0ed9a42d0 - [axis] Fix loading ticks spacing
  *  ccad79747 - [worksheet] added more shortcuts for the
    navigation/zooming actions.
  *  411826e42 - Also rename Numeric to Double internally
  *  3a05a4044 - column: rename Numeric mode to Double to be more
    precise
  *  10bc8f720 - interpolation: catch non strictly increasing x data

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 05 Nov 2021 17:41:45 +0000

labplot (2.8.2+git8788-031533021-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 031533021695b8708c4c07ed78c33b84553afba8
  * Date: 1634127127
  * git changelog:
  *  031533021 - minor fixes
  *  34374a925 - Make poppler optional
  *  fdcb7503a - poppler changelog
  *  5be643792 - [tex renderer] Fix tools check in settings
  *  679e0a149 - [tex renderer] Fix tool checking
  *  569c88970 - [tex renderer] use poppler instead of ImageMagick for
    PDF
  *  9ffc87aa1 - Improve compatibility
  *  69f172b5b - [worksheet] more fixes in TextLabel: * re-render the
    LaTeX image when the theme is changed to get the new font and
    background colors * use syntax highlighting in LabelWidget also for
    Markdown * when switching from LaTeX with non-valid text to Markdown
    remove the red-highlighting in the text field
  *  4e209cd2f - [worksheet] hide the TextGraphicsItem in TextLabel when
    LaTeX image is shown and added icons for the different text modi in
    LabelWidget.
  *  2016b41a7 - Merge branch 'master' of https://github.com/KDE/labplot
  *  dcf39b7b4 - Fix compiler warning
  *  66a22d3a2 - [worksheet] disable the item for LaTeX in the combobox
    for available text modi for the text label if no LaTeX is available
    on the system.
  *  4b6937d73 - When adding a new child, call finalizeAdd() prior to
    calling emit childAdded(). This also fixes the crash when adding a
    new axis to the plot.
  *  d4c2da6fb - [parser] use the right type for characters
  *  c42661b21 - [worksheet] switched from QStaticText to
    QGraphicsTextItem in TextLabel to get better support for html. Basic
    markdown syntax is working now, too.
  *  4f03d9534 - minor comments
  *  c1e666074 - Fix stringDataPointers type.
  *  0d8541a99 - [worksheet] removed the enum WorksheetElementName, we
    can utilize AspectType for this purpose.
  *  d1ced2e2a - [interpolation] Also use only valid x range for custom
    ranges
  *  6b6597f75 - Cleanup in includes.
  *  5fcf802e2 - [interpolation] Fix possible crash with invalid data
    points
  *  d16b0a623 - Added changes that were missed in the previous commit.
  *  7d4cd448e - [worksheet] allow to specify which curves should be
    shown in the plot legend.
  *  c3c126cd6 - [matrix] Catch type mismatch in append mode
  *  0c54496d4 - Merge branch 'master' of https://github.com/KDE/labplot
  *  47cdbf5b8 - [data sets] use the online description for the datasets
    in the StatLib collection, if available, and some minor cleanups in
    StatLib and Rdatasets collections.
  *  0068894ed - Fix compiler warning
  *  25fd7913b - [Matio] Fix import difference between Matrix and
    Spreadsheet
  *  e83678a0f - Support append in matrix and use it to import multiple
    vars from MAT files
  *  e065d93a9 - When saving the preview pixmap for the project,  save
    only the area surrounding all visible sub-windows instead of saving
    the whole main area.
  *  11a7fd4f3 - [Matio] Prefer Matio filter over HDF5 for MAT 7.4 files
    and clean up
  *  fbf4700d4 - [Matio] Support importing all selected variables
  *  15e6fa8e8 - [Matio] Preview all selected variables
  *  cbda97819 - Use XZ compression as default when saving projects
  *  a44add486 - Added tooltip text for the newly added projects setting
    save calculations and updated the ChangeLog file.
  *  a1d4c279b - Allow to save the project without the results of the
    calculations in the analysis curves to reduce the size of project
    file.
  *  9d3307cc1 - [project] Fix previous patch
  *  a2b6a5e71 - [project] Support loading xz compressed lml files
    (besides gz and not compressed)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 14 Oct 2021 20:36:17 +0000

labplot (2.8.2+git8750-7898511ff-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 7898511ff91a8966fb68bf12bf91b6559bd98da7
  * Date: 1632090429
  * git changelog:
  *  7898511ff - [xycurve] Fix drawing only relevant lines between data
    points
  *  4f04544fc - Initialize the symbol widget also in
    XYFourierTransformCurveDock.
  *  c608979f5 - Don't crash when closing a top-level views like
    worksheet,  etc. (regression).
  *  bd35a8ddf - Mark the project as changed on text changes in Note.
  *  e866f0521 - Improved the logic in the project exlorer to handle its
    state (expanded nodes, etc.) on save/load.
  *  49afef680 - [axis dock] clean up
  *  b5c3b496a - [worksheet] properly scale the image element on size
    changes when the keep ration option is not selected.
  *  ae0f11ca1 - Removed obsolete includes and forward declarations in
    CartesianPlot.
  *  6ee1cd446 - Cleanup.
  *  2cb2ca762 - Reduced code duplication in AxisDock.cpp.
  *  83f082036 - [worksheet] simplified the data range type settings
    (free, last points, first points) in plot's properties widget.
  *  b983a41cf - [worksheet] react in worksheet dock on use view size
    changes.
  *  554e32c19 - [worksheet] made the option use view size undo/redo-
    able.
  *  356277cbf - [worksheet] when adding a new label or a new image from
    the toolbar and not from the context menu, place them at the center
    of the worksheet.
  *  dfc6348e4 - [worksheet] properly save and load the properties of
    the median symbol in the box plot and activate the range-frame axis
    mode if Tufte theme was selected.
  *  033ecff42 - [axis] Fix missing axis line for some cases
    (regression)
  *  09ff73031 - Removed the dependency on PlotArea in
    CartesianPlotLegend.
  *  20dda806c - Moved background related enumerations from PlotArea to
    WorksheetElement to remove the dependencies on PlotArea in several
    classes.
  *  41a954866 - [sdk] export the APIs for histogram and box plot and
    more includes cleanup.
  *  ed64e747e - [sdk] expose the APIs for XYEquationCurve.
  *  e0ea6e647 - Removed the dependency on PlotDataDialog in XYFitCurve.
  *  5ae1d7ada - Fix the build.
  *  92369d3dd - Export the API symbols for the shared library and more
    forward class declarations.
  *  1661cd684 - Introduced the ability to build a dynamic library
    containing the plotting part of LabPlot only. The idea is to provide
    a component that can be used in other projects. First version, more
    improvements will follow in future.
  *  56b1c0503 - Fix building tests
  *  05b82f6ac - Merge branch 'master' of https://github.com/KDE/labplot
  *  5081e4359 - Reduce dependencies
  *  e8657d216 - Removed the dependency on Workbook and Datapicker in
    AbstractPart and further cleanup in the includes.
  *  8e2e761af - Removed the dependency on LiveDataSource and on
    MQTTClient in AbstractAspect.
  *  a00e82cb4 - [spreadsheet] delay the initialization of menus and
    actions in SpreadsheetView until the point when they are really need
    and some minor cleanup.
  *  c3c14ad5b - [matrix] delay the initialization of menus and actions
    in MatrixView until the point when they are really need and some
    minor cleanup in the includes.
  *  511a5623f - typo
  *  07f50c350 - fix file name logic
  *  b45fcb41b - [file dialog] Improve path handling on Windows
  *  26f1d48a4 - [Matio] Fix importing multiple variables in a workbook
  *  378f5e189 - [import dialog] Improve file name handling on Windows
  *  4575ca829 - [Matio] Prepare import of multiple vars and clean up
  *  9806a51f8 - [matio] Make import a lot faster
  *  a2302ae33 - [fit] Use evaluation range as plot range and not more
  *  1bc749b4d - Add license info for 3rdparty kdmactouchbar lib
  *  12c72544e - Add license info for 3rdparty liborigin lib
  *  e100ddbec - Convert newly added example-kdefrontend license headers
    to SPDX
  *  277a7abaa - Convert QT_BEGIN_LICENSE license statements to SPDX
  *  47f89bb51 - Convert CC-BY-3.0 license header to SPDX
  *  cd664e692 - Organize SPDX-FileCopyrightText better
  *  b55198932 - Put contact information in angle brackets
  *  6a2e3f7fb - Convert remaining MIT license headers to SPDX
  *  a1b7bc2e7 - Use 4 spaces instad of tab in license headers
    indentation
  *  d912fbf08 - Adjust formatting of license headers
  *  3e152b31b - GIT_SILENT Clean up 'by' keyword in SPDX-
    FileCopyrightText
  *  2fdf8aff2 - GIT_SILENT Remove .directory file
  *  05784fb65 - Group 'Description' with other info and not license
    statements
  *  5cace43b4 - Format license headers & cleanup
  *  c4a22581a - Convert LGPL-3.0-or-later license headers to SPDX
  *  1b05db82b - Convert remaining BSD and GPL-3 license headers to SPDX
  *  4009f94a3 - Remove licensing files that do not reference and data
    files
  *  d70fdb6e2 - Convert license information for datasets
  *  e62c3ed32 - Convert license header oftree.hh to SPDX
  *  0de44ce50 - Manually convert remaining MiT license statements
  *  f856a122d - Put contact information in <> instead of ()
  *  1517e9197 - Put contact information in <> instead of ()
  *  5c808d980 - Update .gitignore
  *  61e60115f - Manually convert remaining GPL-2.0-or-later license
    statements
  *  0c1a14006 - kdefrontend/dockwidgets: Convert license headers to
    SPDX
  *  c77558d8a - Remove obsolete COPYING file
  *  2a0dde5b9 - Cleanup
  *  f79419e37 - Convert license headers to SPDX
  *  a991e384a - [worksheet] prevent switching to scientific notation
    for axis labels when openning a project where the format was
    explicitely set to decimal.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 20 Sep 2021 20:16:17 +0000

labplot (2.8.2+git8681-c635d74d8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: c635d74d845b6cc2273323491ab03904f72bff4f
  * Date: 1630832631
  * git changelog:
  *  c635d74d8 - GIT_SILENT Update ChangeLog.
  *  717f01799 - Improvements in ColorMaps and Examples Dialogs:
  *  ffb285eda - Fix compile warnings
  *  d03fb39ae - First version of the Examples Dialog - a dilaog showing
    all available example projects that will be delivered with LabPlot
    and that can be openned from the main menu bar via Open Example.
  *  1ca2203d7 - Improve formula picture resolution
  *  f36ee542b - [axis] Fix y axis line for non-logical positions
  *  275b25e6f - [axis] Fix crash
  *  4c71564ce - [axis] unused variables
  *  37ffe13a0 - typo
  *  9b5865a55 - [axis] Fix axis line for non-logical positions
  *  149619eca - [axis] Fix auto data range
  *  b0718f4e7 - [axis] Implement auto data range
  *  9f8c927d7 - Hamburger menu needs framworks >= 5.81
  *  5ddbef48e - Added KHamburgerMenu. It's not shown yet, the reason is
    not clear yet...
  *  184a536f6 - [worksheet] introduced axis range type replacing the
    old auto scale option.
  *  968ee5e1e - [worksheet] when creating new text labels and images
    via the context menu of the plot, place them under the mouse cursor.
    This is similar to how it's done already for labels and images
    placed directly on the worksheet.
  *  f86fd3734 - [datasets] don't download the online version of the
    dataset descripton twice and,  if it's in the hmtl format,  convert
    it to plain tex for the spreadsheet comment field.
  *  1d0b3fd61 - [axis dock] add tooltips for new buttons
  *  f77a5a8af - [worksheet] properly handle the  positioning of
    TextLabel when being child of a worksheet  and not of a plot. This
    also solves the problem with worksheet's text labels jumping to a
    different position when a theme is applied.
  *  6b5159020 - Fix minor typos
  *  5eb6bb010 - Introduced text setting mode in TextLabel to better
    switch between rich-text formatting,  LaTeX and Markdown type-
    setting.
  *  25bad33ab - Added the search for the Dicsount library for the
    markdown markup language.
  *  12618da0d - Save/load or rug properties in XYCurve and minor fixes
    in Tufte's theme and R dataset defitinition file.
  *  6dd8fffcc - [histogram] introduced half bars line type.
  *  b1bf73f6e - [worksheet] minor fixes
  *  c0753b023 - [worksheet] implemented rug plot.
  *  dfcf86584 - GIT_SILENT made messages (after extraction)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 05 Sep 2021 12:11:10 +0000

labplot (2.8.2+git8654-9348dffe5-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 9348dffe5954aa9c4b595e1dc549b247b5c7eb8c
  * Date: 1629385359
  * git changelog:
  *  9348dffe5 - [box plot] added special handling for the theme Tufte
    so appearance of the box plot is identical with what was advocated
    by Tufte.
  *  e4526aee8 - Added SameStats example again, was deleted by an error
    in the previous commit.
  *  11a48ec94 - New folder for example projects with the first project -
    SameStats.
  *  504a4ff63 - When saving the state of the project explorer, which
    nodes are expanded, etc., and the geometries of views, properly take
    care of the sub-folder structure.
  *  37d1c18dc - Properly register signal-slot connections in MainWin
    for workbook's children.
  *  d20b202db - Show the relevant actions in the context menu of
    spreadsheet and matrix also when they are chidlrend of a workbook
    and some general cleanup in AbstractPart.
  *  1fbaa8869 - Properly update the window title bar on undo/redo
    steps.
  *  054e6b33e - Allow to change the order of objects in the project
    explorer (move up and down) via the context menu.
  *  1568ab964 - axis ticks: improve corner cases
  *  23ae37b21 - Fixed crashes caused by the wrong results in
    AspectTreeModel::modelIndexOfAspect().
  *  94b80e29d - Minor fixes: 1. don't create any unwanted entries on
    the undo-stack when selecting a plot 2. use QStringLiteral instead
    of QString for AbstractAspect::typeName()
  *  596863447 - Save the current paths of the data columns if available
    instead of saving the last available column path. This fixes the
    issue when the spreadsheet was renamed and the connection to the new
    column paths was not properly saved and restored.
  *  c949e15b3 - Show only relevant objects in TreeViewComboBox.
  *  abd1aa21d - conflicts
  *  736e653a2 - better debugging
  *  3573076c5 - Simplified the logic for the selection of objects in
    the project explorer and for the propagation of signals.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 19 Aug 2021 20:14:51 +0000

labplot (2.8.2+git8637-abe9428f2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: abe9428f258430f1a55cffcf394908f0e73c0af3
  * Date: 1627758629
  * git changelog:
  *  abe9428f2 - tests: disable failing multirange until fixed
  *  96dd0b73c - Fix crash when loading project
  *  e65ee620c - cartesian plot dock: clean up
  *  6cb2c67ae - tests: fix multirange
  *  4fc018baf - [worksheet] don't crash when adding a new histogram to
    the plot, regression introduced with the previous branch merge.
  *  07a9c3b09 - fix compile issues
  *  c51d357c4 - Merge commit 'a337167659afe490149b9e8c584c700975060ec8'
  *  7c9ef93b6 - every cSystem must have it's own scales, because
    otherwise double delete occurs
  *  ff5cc8e43 - fix compile issues
  *  a33716765 - GIT_SILENT typo
  *  651616d43 - axis: make showing axis scale and ofset optional
  *  a4d8a3090 - axis: add scale+offset label and clean up
  *  70dd638b3 - Fix auto tick for inverted axes
  *  6fd768e2a - axis: fix ticks and tick label for all directions and
    inverted ranges
  *  5b7377721 - axis: only use auto ticks when changing range and fix
    saving custom tick counts
  *  52f9b53f4 - [box plot] allow to activate jittering for all types of
    marker points (outliers, far out values and data points).
  *  d4a547d18 - [box plot] allow to order the data sets by their mean
    and median values, ascending and descending.
  *  65045ae4b - axis dock: easily set special scalings
  *  f7c3146ec - axis dock: easily set certain offsets
  *  81cc54cac - [box plot] allow to plot the data points with and
    without jittering.
  *  93a152446 - plot dock: use number locale in plot range list
  *  c9531140e - plot dock: keep cursor position in line edits for
    inputing values
  *  db6eaf18c - tests: Fix range extend check
  *  ef96f072d - axis: simplify auto scale
  *  326650c5c - axis: Fine tune automatic range extend
  *  c05b58c3e - tests: disable failing parts of multirange test until
    fixed
  *  30465ed7d - Fix crash in column statistics (KDE plot)
  *  155fd22ca - axis: improve nice extend and auto ticks

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 02 Aug 2021 21:52:00 +0300

labplot (2.8.2+git8604-9301d36bc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 9301d36bc64dcf3462d1fd2fcefb6dce1615f39c
  * Date: 1626640257
  * git changelog:
  *  9301d36bc - tests: Another try fixing linking of multirange test on
    Windows
  *  067642134 - tests: Try fixing linking of multirange test on Windows
  *  d3d4455b4 - [worksheet] don't crash when adding a new histogram in
    the plot (regression).
  *  8a0ea45d5 - [worksheet] properly initialize the symbol properties
    in the dock widgets for the equation and analysis curves.
  *  065a451cf - Improve axis auto tick label precision calculation
  *  17ff5729b - add missing return
  *  f2059387b - Merge branch 'master' into MultiRange
  *  604c65cb5 - code simplify
  *  8b8b7d6d2 - fix y axis ticks and minor things
  *  f0dec304a - PlotRange is already used otherwise
  *  3b7461f8c - fix debug build
  *  03c705222 - minor fixes
  *  bc7512382 - merge conflicts
  *  bcbbbbb1d - code style and other fixes
  *  d24278022 - [datapicker] when switching to log scales,  change the
    reference point value  from 0.0 to 0.1.
  *  29ba3e6a8 - rename RangeP to (maybe better) PlotRange
  *  8009a4e91 - clean up
  *  bd926a8f7 - [worksheet] when creating new custome point,  reference
    line or info element via the add new entry in plot's context menu,
    position the new elements at the current position of the mouse
    cursor.
  *  ac0a3b264 - test: avoid locale problem of parser in fit
  *  c764e485a - tests: enable tests in Windows compile script
  *  ac677a098 - tests: allow debugging on Windows
  *  44ea5af0a - GIT_SILENT minor comment change
  *  8aa8e8505 - [worksheet] don't draw the grid lines when exporting or
    printing the worksheet or when showing it in the presenter mode.
  *  8527fba49 - Fix typo
  *  820196177 - Add application path to PATH on Windows to find backend
    servers
  *  bba7a3d0c - project: use user name for author correctly
  *  bb966143a - minor fixes
  *  a4c5de316 - Fix compiler warning
  *  19110bea4 - string typo fix
  *  de4ddb038 - Replace deprecated methods
  *  9659ec480 - Fix compiler issues and Qt deprecations
  *  97439779e - tests: add hdf5 int import
  *  2e9cb6f0a - tests: add HDF5 test
  *  e5b05387e - hdf5: Improve using start/end row/column
  *  1345a119a - WIP
  *  9b9907868 - fix bugs
  *  3b47d5216 - add new property
  *  56a3f929a - add new property
  *  676f37166 - HDF5: use data type when importing data
  *  f56a9113b - move xRangePrev and yRangePrev into Struct, be make it
    multirange capable
  *  c6d8a5e6e - Properly save the geometry of the visible views.
  *  1660bc207 - make some additional function multirange capable
  *  a7325fa4f - HDF5: preview and import 2d data of strings
  *  114501a18 - HDF5: preview and import 2d data of strings
  *  a5dd308d2 - More Changelog updates
  *  1c41bd94f - Update preview image of gaussian random number
    distribution
  *  c7cdb11ba - Changelog update
  *  ee61b7bfe - Update tooltip
  *  8ad6857ce - Finalized the implementation of the plot border types
    (draw the lines left, top, etc.) and updated the ChangeLog file.
  *  795ae8033 - [worksheet] introduced the border type which will allow
    the user to define for which side of the plot rectangular to draw
    lines. This is useful when plots are put besides each other and no
    lines should be drawn at the touch point. This is the implementation
    in the UI, the actual drawing of the lines will be added soon.
  *  4053d5e82 - fix minor compiler warnings
  *  8f13dbe69 - worksheet: coding fixes
  *  4c6c950eb - project: fix code and compiler warnings
  *  0f2f2aa02 - check it fixed size pixmap is better for displaying
    formulas

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 22 Jul 2021 18:25:30 +0300

labplot (2.8.2+git8522-06fb5d97f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 06fb5d97f4029aa15fb8afb88b8db9b0ec0b138d
  * Date: 1625132378
  * git changelog:
  *  06fb5d97f - simplify previous commit
  *  e3067fda8 - Sort list of random number distributions
  *  c2d2cf9e6 - import: select first variable in matio and hdf5 when
    nothing is selected
  *  29d87e163 - Explain order of random number distribtions
  *  b3d498f3d - show git hash in about dialog
  *  70b7065b4 - matio: test import of cell portion
  *  99fb36419 - matio: support start/end row and col for cell data
  *  2f770b35e - matio: redesign import cell type
  *  5b046eb87 - matio: add empty cell test
  *  2591c8168 - Make code more standards-compliant and portable
  *  5d1b7dfd1 - Don't save the project file name in the project xml.
  *  e56a00773 - matio: test portion of sparse data
  *  a8ca410bd - matio: consider start/end column for sparse data
  *  917dee45f - matio: consider start/end row for sparse data
  *  cfa189518 - matio: add test files
  *  f2450163e - matio: test sparse complex
  *  288caeef3 - matio: import sparse complex data
  *  8e5a833cc - matio: sparse logical test
  *  1bbf71c69 - matio: read all sparse data types
  *  aaf006422 - [worksheet] fixed the resizing of plots with the mouse.
  *  7a8928ca9 - matio: test for portion of struct
  *  59a3cef0c - matio: fix import struct into matrix
  *  ec6e379fa - Enable -DQT_NO_URL_CAST_FROM_STRING and fix compilation
    accordingly
  *  2919386ef - matio: consider start and end column for struct data
  *  6ea54339f - matio: consider start and end row for struct data
  *  43c94b531 - Null-pointer check in the recently added code in
    Worksheet. Should fix the failing project import tests.
  *  a1ff361d7 - matio: test struct import
  *  9baabf1a6 - matio: import struct data
  *  bae9a4b5b - matio: preview all types of struct fields
  *  9dd88de1d - matio: preview complex field in struct as two cols
  *  024476388 - matio: test for start/end row/col
  *  bb2c1ed35 - matio: use start/end row/col for complex data
  *  4dbabda48 - [worksheet] properly handle the resize item on
    selection and layout changes in the worksheet.
  *  72a353a73 - matio: handle start/end row/col correctly for basic
    types
  *  33f07cbc8 - Fix missing locale supprt in evaluating range of fit
    function
  *  db7ba0f99 - Put the add new spreadsheet and put new matrix into a
    new sub-menu Add New of the context menu of Workbook to be
    consistent with other top-level objects.
  *  78ae834c9 - When adding new spreadsheet or matrix to the project,
    add it to workbook also when one of its children is currently
    selected. E.g. a spreadsheet in a workbook is active now and the
    user click on the spreadsheet icon in the toolbar -> we add it to
    the current workbook.
  *  6c5a9bd02 - Adding changes that were forgotten in the previous
    commits...
  *  969e1b2bc - [worksheet] properly resize the parent container in
    ResizeItem.
  *  4332da82a - color scheme: don't switch theme on Windows (system
    dark theme is usable now)
  *  8dc773502 - [worksheet] initial implementation of the resize of
    plots with the mouse when no worksheet layout is active.
  *  771dcef68 - matio: use given start and end row
  *  f14cb8ad1 - Set the widget style to breeze on windows and macOS
    since it seem to work best with the differen color schemes we allow
    to use.
  *  eeef78232 - color scheme: try fixing problems with initial scheme
    on Windows
  *  356d26e58 - custompoint of the info element has not the plot as
    parent. use the more secure variant to check plot()
  *  8733e6501 - rename function
  *  7a9ecca5d - implement key press reaction also for the logical
    coordinates
  *  d756ffc8a - fix taborder
  *  0fb618877 - invert movement, so key up and the textlabel goes up
  *  f21e04058 - Disable clipping, so the TextLabel can be placed also
    outside of the bounding rect, but the Line will anymore be drawn
    then.
  *  b54cbd902 - do not map to parent, because pr is the bounding rect
    of the plot not the parent
  *  31c8fc545 - fix alignment for logical coordinates
  *  6e198a40e - fix label positioning problems
  *  da6079196 - not only the direct parent must be a plot. There must
    only a plot set
  *  e19bde212 - No need to set the cSystem again. It is already done in
    the InfoElement it self
  *  8b9922f0f - fix element info custom point not visible. During
    finalizeAdd the m_plot is cleared to 0x0, because the parent aspect
    of a custompoint inside a Infoelement is not a CartesianPlot, but
    the InfoElement it self. Conflicts:
    src/backend/worksheet/WorksheetElement.cpp
  *  3e9ee3752 - [worksheet] use a more reasonable pen width to draw the
    hover/selection box.
  *  d317f934d - Don't react on selection changes in the project
    explorer on project load since this is leading to multiple changes
    in the properties explorer. We select the proper object at the very
    end after the project was completely loaded and show the
    corresponding properties widget only once.
  *  e84003be6 - [boxplot] save and load the min and max values of the
    box plot ranges. For other curves like xy-curve and histogram this
    is not needed since this values are determined in
    plot::retransform() directly from the data column. For  the box plot
    the logic is different and additional calculations are required to
    determin the ranges so we save it to properly show the box plot on
    project load.
  *  f9db34aa8 - Properly register signal-slot connections for newly
    added folders and all their children in MainWin.
  *  3f88a0f94 - [worksheet] removed redundant set-calls when change the
    background images files in the relevant classes.
  *  1f7c7e73c - [worksheet] moved the logic for the selection of the
    file for the backround image to a central place in GuiTools.
  *  dd0b2a330 - [worksheet] adjusted ImageElement to the new
    positionioning logic and create the image on the worksheet at the
    position where the context menu was called.
  *  07ae17127 - [boxplot] don't crash when the used data columns are
    deleted in the spreadsheet.
  *  5c811bcd0 - [spreadsheet] undo/redo for removing the heatmap
    formatting.
  *  b98a299f3 - [spreadsheet] undo/redo for setting the heatmap
    formatting.
  *  f98ad9f87 - [boxplot] position the middle of the box plot at the
    values 1, 2, 3, etc. instead of 0.5, 1.5, 2.5, etc. and set the
    number of major axis  ticks to the number of data sets when creating
    box plots via the plot data dialog. This allows to place the major
    ticks below the box plot. The logic for auto ticks needs to be
    adjusted a bit now.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Jul 2021 19:32:34 +0300

labplot (2.8.2+git8455-aa4d8ec41-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: aa4d8ec4176fb067b9d39153b44f89efd2459aed
  * Date: 1623006858
  * git changelog:
  *  aa4d8ec41 - Minor renamings for the newly added color maps.
  *  306ed4c98 - Added license files for the new color maps.
  *  b7b821959 - Added the ColorCET color maps collection.
  *  d5b2504aa - Added the cmocean color maps collection.
  *  bf8488b3d - Added four more color maps (cividis,,  mako, rocket,
    turbo) from the viridis collection.
  *  40db86ee5 - [spreadsheet] fixed a couple of minor issues around the
    heatmap formatting.
  *  5e5093aa0 - add function to create a more intuitive view of the
    time difference
  *  5a2488adb - implement Datetime for cursor
  *  4546bb815 - Added a new colormap collection 'viridis'.
  *  a4fb4ff26 - [worksheet] minor layout fix in AxisDock.
  *  385f64454 - [worksheet] don't show any tick labels for the first
    axis orthogonal to the orientation of the boxplot.
  *  7a174c926 - [spreadsheet] changed the order of sigma and mu
    parameters for the log-normal distribution in RandomValuesDialog to
    be consistent with the order in other similar distributions.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 11 Jun 2021 15:13:35 +0300

labplot (2.8.2+git8443-48ee28c12-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 48ee28c1233e94952daed896609b7725b2cb82cd
  * Date: 1622190209
  * git changelog:
  *  48ee28c12 - matio: preview given number of lines only
  *  2fd1d334b - matio: set column names for imported complex data of
    basic types
  *  6a7f56238 - matio: preview and import complex data of basic types
  *  b7d9f1a38 - [worksheet] when adding a new TextLabel via the context
    menu on the worksheet, place it at the place where the context menu
    was called. Also, some minor code style fixes in WorksheetElement.
  *  2dfb11806 - matio: preview double complex struct fields
  *  f2035d148 - Wenn new curves are added via the PlotDataDialog,
    always select the plot of the last added curve instead of selecting
    the curve. In most cases this dialog is used to quickly plot the
    data and the user want immediately see the results and we don't want
    to disrupt this with the selection effect drawn for the selected
    curve.
  *  03c5240d4 - Fixed the build for the case when Cantor libs are not
    available.
  *  cfd13a36f - Fixes in the CAS worksheet: * Don't show the column
    properties widget if a CAS variable column was selected. Show the
    properties for the CAS worksheet instead. * Properly remove all
    variable columns when the CAS backend is restarted * Don't allow to
    copy, duplicate and rename CAS variable columns in the context menu
    in the project explorer - the management of these variables is done
    in CAS.
  *  93c840606 - matio: preview struct data
  *  f780ad4b8 - Switched to ResizableTextEdit also in the ProjectDock
    to get a consistent behavior across all dock widgets. Also, removed
    the template handler for the project since it's not really useful
    here and there are no properties that could be templated.
  *  de933d657 - [datapicker] use the new class Symbol also in
    DatapickerCurve to reduce the amount of redundant code.
  *  6aab82e8f - matio: complete previous patch
  *  0a00d9f11 - matio: add more tests and fix sparse import
  *  35962d440 - matio: correctly read matrix data
  *  d6e0381cb - [worksheet] properly apply the mouse move event to all
    plots on the worksheet if the option apply action to all plots is
    selected.
  *  0527ea055 - [worksheet] better default values in Symbol for the
    different classes using it.
  *  247850c87 - [datapicker] use the new class Symbol also in
    DatapickerImage to reduce the amount of redundant code.
  *  59fc66e04 - Add matio import test
  *  1b1a18551 - column: add mode name method
  *  36e237338 - matio: other types
  *  ceafa7be9 - Minor layout fixes in a couple of properties widgets
    using the new SymbolWidget. Also, removed an obsolete spacer in the
    project properties widget which might adress the unwanted artifact
    seen on windows.
  *  911a5febd - Moved the handling of the description changes (name and
    comment) from the dock widgets to the central class.
  *  00e6867c0 - [worksheet] better layout in xy-curve dock widget.
  *  386d24432 - Made all comment text fields resizable.
  *  2ba6cd91e - cmake: don't link to libzip directly
  *  e848d5a88 - cmake: fix previous patch
  *  f40af0b3a - tests: disable readstat tests when readstat not
    available
  *  d1daf7afd - cmake: link system readstat with iconv also on macOS
  *  1d1e7ad9f - cmake: find and include zip library if found (netcdf
    may be build with it on Windows)
  *  9148e7113 - matio: sparse import improvements
  *  6eee92a21 - matio: Import sparse data
  *  411306d64 - Better appearance for the grab element in
    ResizableTextEdit that is used for comment text fields.
  *  0e951ae3f - [worksheet] fixed some positioning related issues in
    Axis for older projects that were caused by the re-design of this
    logic today.
  *  c1f802943 - Fix readstat test
  *  44d22b6ed - minor warnings fixed
  *  df4a1bdfe - link to zip library with netcdf (try fixing problem on
    Windows build server)
  *  7b5e2ab27 - matio: read all basic cell types
  *  8691ae9ce - [spreasheet] the relevant change was forgotten in the
    previos commit.  Adding it now...
  *  196eea81f - [spreadsheet] adjuste the column width to fit the
    content in case the application settings were changed and the
    spreadsheet header needs to be adjusted according to the new
    settings (show column mode,  etc.).
  *  5cc2396dd - matio: read cell class type
  *  1d9f36982 - plot() is not yet assigned, when the axis was just
    added before. So use the parent element which is also the plot
  *  2d256c482 - if no coordinate system is available, it means no plot
    is yet assigned, so just ignore and wait until adding was finished
  *  45556a83a - use dummy second value in QPointF and use already
    existing mapping functions instead of creating new 1D functions
  *  50525ba1e - fix tabs
  *  ab66ed0d9 - cleanup
  *  165d52fb7 - fix problem that centering axis does not work
  *  ce917e3bd - move position spinboxes next to the combobox
  *  b557a47ef - implement like in transformAnchor
  *  cd4b0f86e - initial commit to refactor axis position
  *  d373d6562 - When showing an non-existing Column in
    TreeViewComboBox,  red-highlight the font color only and not the
    background. This looks better on windows and macOs since overwriting
    the background color breaks the whole style of the combobox.
  *  aed93f8ed - [spreadsheet] no undo/redo for value  labels yes,
    notify the project about changes manually.
  *  02bbd89d5 - [spreadsheet] fixed the removing of value labels and
    some other minor issues around the labels.
  *  ee476feb4 - [spreadsheet] allow to modify the value labels in a
    batch mode by entring the text like 1 = true 0 = false etc.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 May 2021 21:07:36 +0300

labplot (2.8.2+git8390-ef399fec2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: ef399fec2c77275947c331be121dbcd7a3e69f36
  * Date: 1620984775
  * git changelog:
  *  ef399fec2 - cmake: silent warning
  *  a5726bd25 - Allow to change the name and comment properties of
    Folder and Workbook in the properties explorer. Also, renamed Notes
    to Comment in the project properties widget to be consistent with
    the usage in other places.
  *  3d7267d9f - Fix build on Windows
  *  a707a6958 - readstat: Add tests
  *  e4b22c5e9 - cmake: output imorovements
  *  882e6fdda - readstat: clean up
  *  2167bb2a1 - readstat: Fix problem with value labels and clean up
  *  a1922692f - matio: minor fixes
  *  3ba6ccb3b - readstat: Fix bug reading double value labels
  *  7950625a1 - liborigin: 3.0.1 update
  *  86f664bf7 - Merge branch 'master' of https://github.com/KDE/labplot
  *  f0df9e73d - box plot: minor improvements
  *  43c584dba - [worksheet] always save the column path if available
    and not only when the column pointer is valid.  This is needed for
    the following workflows: plot data ->  delete one of the colums->
    save project and close it -> open it again and re-create the  column
    with the same name as used before. With this fix the column is
    properly restored in the plot.  This logic needs to be  implemented
    everywhere where WRITE_COLUMN is used right now.
  *  a6f95fb51 - Better wording for the import data related actions in
    the main window.
  *  3918819cf - [box plot] made BoxPlot inheriting from Curve to
    reimplement the hovering related functions. This fixes the problem
    with the proper hovering of xy-curves placed on top of a box plot.
    The hovering of box plot itself still needs to be fixed.
  *  a45abe3c4 - typo
  *  708392c58 - Minor fixes: 1. allow to copy&paste notes and
    datapicker objects 2. allow to paste folders on folders 3. activate
    the new project action after a project was openned 4. added dates to
    the recent release in ChangeLog
  *  9bed7c580 - liborigin: Add link to SciDAVis fork
  *  c99a94f85 - update INSTALL
  *  06cefc9dc - cmake: use system liborigin when available
  *  8f41fe799 - typo
  *  027b8e612 - Merge branch 'master' of https://github.com/KDE/labplot
  *  20ca0c09a - liborigin: Update README
  *  e0f7d0544 - liborigin: Update opj versions
  *  253456b27 - [worksheet] don't crash when duplicating a worksheet
    having a box plot.
  *  18e6ebafb - liborigin: add latest fixes from upstream
  *  f12f7b6af - liborigin: update build
  *  d8c92438f - [box plot] draw box plots in the legend (show the name
    only at the moment) and fixed the missing signal-slot connection for
    the boxplot visibility changes.
  *  9d9e155a9 - [import] fixed the invalid memory access in the origin
    parser.
  *  2e8921f83 - [worksheet] when mapping a point from logical to scene
    coordinates, check whether the mapped point is visible and react to
    this instead of comparing with QPointF(0,0). This removes artifacts
    like those arising during zooming in the box plot.
  *  e2235c653 - [worksheet] fixed the indentation in TextLabel.
  *  67b44a7ef - Merge remote-tracking branch
    'martin/LegendRework#15_Merge'
  *  da88fdb20 - Improve y auto scaling (Martin)
  *  f97bfc533 - readstat 1.1.6
  *  24a466a11 - readstat: fix Windows build
  *  47bee2f51 - readstat: link on Windows
  *  9cd691419 - readstat: link on Windows too
  *  4b936294a - readstat: help finding lib on Windows
  *  66c401ccf - readstat: disable own version on Windows
  *  6e4f79229 - readstat: enable on Windows for testing
  *  502eeaae4 - rename compatibilityNumber to xmlVersion
  *  bf7a3ffad - [box plot] added a couple of other definitions for the
    whiskers.
  *  89c343868 - matio: improve finding on Windows
  *  d8a30def3 - If project version number is smaller than 2.9.0, Change
    some values to have the textlabels again at the same position,
    because the handling is different in 2.9.0
  *  44231ca5f - use static function to access project version, because
    otherwise it is not possible to access from new created elements to
    the version number, because they don't have any Project object as
    Parent
  *  f63e2d0df - [box plot] allow to specify a factor in % to control
    the box width relativ to its default value.
  *  df693c0a5 - matio: import basic data types
  *  cb68e10b2 - Disable print, export and new project actions if a new
    and empty project was created.
  *  e71af8276 - [worksheet] allow to change x- and y-columns in the
    XYCurve properties widget also when multiple curves are selected in
    the project explorer. Useful when the same column needs to be
    assigned as x or as y for multiple curves.
  *  aefe8be2f - [box plot] properly handle the cases where the adjucent
    values are exactly equal to Turkey's fences.
  *  e68e16732 - forgotten to load horizontal and vertical alignment
  *  6a87d4c41 - fix indentation
  *  0d57d68e3 - matio: preview rank 2 variables of class double
  *  5ede8769b - [spreadsheet] value labels for DateTime column mode.
  *  ad5d90b17 - Fix build
  *  ea8dd8bda - [spreadsheet] save and load value labels in Column.
  *  22b0e1544 - matio: show variable list in import dialog
  *  2739d014e - [spreadsheet] show the available value labels in the
    column properties widget.
  *  57aaba6c0 - matio: show basic file info
  *  b2aff1376 - matio: prepare import and filter
  *  7242ef6c7 - always link libz
  *  2e42bd74c - Fix typo in hdf5 linking
  *  b61e5f124 - Fix typo in readstat libs
  *  e82920ffa - tests: cmake clean up
  *  d27c19b32 - Fix configure without readstat
  *  8d9b14c2b - cmake clean up
  *  370c8f33a - matio: cmake find
  *  cfac65218 - Default to start with new project

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 May 2021 08:45:13 +0300

labplot (2.8.2+git8317-5d6cef45a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 5d6cef45aa161e03b6c99db1d0d3f17f53739180
  * Date: 1619728405
  * git changelog:
  *  5d6cef45a - typo
  *  4aa156c06 - readstat: datetime value labels not supported
  *  fd86103d2 - [worksheet] allow to consume variables from CAS
    worksheets as custom columns in AxisDock (for custom tick positions
    and custom label values).
  *  1d359e410 - readstat: import value labels
  *  8efd27f6c - [spreadsheet] allow to specify labels for the values in
    a column. This initial implementation introduces the basic usage of
    this feature that will be made more complete in the later commits
    (undo/redo, save/load, better handling of DateTime values, batch
    edit mode, etc.)
  *  3b36a9fa3 - Fix crash in correlation and convolution & clean up
  *  c9a155efa - cmake: search for matio library
  *  a9e2b0b89 - axis: nice extend when zooming with mouse to avoid ugly
    ranges
  *  94ff93032 - axis: improve auto scientific tick label format
  *  3bb807922 - fixuifiles
  *  6db94e560 - [import] many online datasets are using quotes,
    especially R's datasets. Activate the option in ASCII filter to
    remove the quotes to properly import such data.
  *  fcc5e25f6 - [worksheet] better initial settings for the opacity in
    histograms and box plots.
  *  3052f0511 - [box plot] implemented notches.
  *  766e48160 - axis: Fix problems with values near zero and scientific
    format with precision zero
  *  cea7422d0 - [box plot] minor improvements.
  *  3a060a15c - [box plot] implemented jitters and far out values.
  *  e845e4021 - [worksheet] moved some common code from XYCurve and
    BoxPlot to CartesianCoordinateSystem.
  *  66525c993 - [worksheet] switched to using the new Symbol-classes
    also in the box plot. It's possible now to modify the symbol
    properties for mean, outlier, far out and jitter values in the box
    plot independent of each other.
  *  6cf5b990c - [worksheet] moved the settings for the custom label
    column from the tab Labels to the tab Ticks in the axis properties
    widget. Usually, when providing a custom column for the ticks
    position the user will also want to provide custom labels for them.
    So, it makes sense to keep these settings together in the same tab.
  *  0940d66a6 - [worksheet] properly handle the axis tick labels coming
    from a custom text column when the plot range is being changed
    during zooming etc.
  *  429f6523a - [worksheet] used the Symbol and SymbolWidget in the
    code for XYCurve and for Histogram.
  *  175f65093 - readstat: prepare reading value labels etc.
  *  de53420b7 - [worksheet] implemented the symbol specific logic in
    the class Symbol and introduced a new widget SymbolWidget to modify
    the properties of a symbol. This widget will be used everywhere
    where a symbol is available - xy-curve, histogram, custom point,
    boxplot (mean, outliers, jitters), and later probably more.
  *  426594747 - Fix crash when missing y scale due to range being zero
  *  90aa63cbe - [box plot] don't try to draw the symbol for the mean
    value if this point is outside of the currently visible plot region.
    Same for whisker caps. This now removes all ugly artefact in the box
    plot that could arise during zooming in the plot.
  *  3c1a421db - [box plot] properly clip the box of the boxplot on the
    plot boundaries when zooming in the plot.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 30 Apr 2021 23:30:36 +0300

labplot (2.8.2+git8291-389f8ea64-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 389f8ea649d34dd1ef203a97e61d14d86dadda2d
  * Date: 1618436022
  * git changelog:
  *  389f8ea64 - Simplify analysis docks
  *  c72023166 - Use line edits instead of double spinboxes for ranges
    in analysis docks
  *  702b4bf6e - minor fix
  *  b71845fa7 - Hilbert transform: Fix showing auto x range
  *  8d98a74bb - [boxplot] adding the changes in BoxPlotPrivate that
    were forgotten in the previous commit.
  *  d6fe54928 - [boxplot] introduced the option for the variable box
    width. If checked, the box width is made proportional to the square
    root of the number of data points.
  *  c3600aaff - [boxplot] properly place the whisker ends and the
    lowest and upper adjacent values.
  *  e5b05a95e - [spreadsheet] moved the management of the heatmap
    formatting from the spreadsheet model into Column which allows a
    much more easier saving and loading of the formatting properties and
    impelemented save/load of them in the project.
  *  18e3e9f7d - [worksheet] allow to apply the actions for zooming in
    the plot separately for X and for Y for all plots on the worksheet.
  *  614bc577e - [worksheet] use prefix and suffix, if available, also
    for text custom columns used for axis labels.
  *  fcbedc316 - [worksheet] fixed copying and duplicating of boxplots.
  *  d3d4ddba7 - [boxplot] propely recalculate the whiskers when the cap
    size was changed.
  *  be3f2ba35 - Show collapse all and expand all entries and use more
    compact strings in the context menu of the project node in the
    project explorer.
  *  bcc7e1740 - [spreadsheet] show the preview for the currently used
    color map in the heatmap formatting dialog and some minor layout
    improvements.
  *  d851c5217 - Minor code cleanup in MatrixModel and in main().
  *  a772866eb - [spreadsheet] allow to apply the conditional formatting
    in the spreadsheet also to the font color of the cells.
  *  a4abbd177 - Decoupled the handling of the definitios of the color
    maps from their visualization. This will allow to use the color map
    colors independent of the ColorMapsWidget.
  *  09ad50465 - Minor fixes.
  *  a0e369f16 - [worksheet] moved the check whether the multiple
    selected info elements have the same parent from GuiObserver into
    InfoElementDock.
  *  b9966f06f - Simplified the initialization of InfoElementDock in
    GuiObserver.
  *  67cbfa103 - [worksheet] suppress a couple of unneeded
    recalculations of the bounding rectangular in Histogram and in
    BoxPlot.
  *  8c275602c - Allow to paste Spreadsheet and Matrix into Workbook.
  *  512eb0196 - Allow to drop Spreadsheet and Matrix onto Workbook in
    the project explorer and also expand the destination object after
    the drop was finalized so the dropped object is automatically
    visible.
  *  e2680bce7 - Properly invalidate column properties (statistics,
    etc.) on data changes.
  *  4e5779498 - Minor fixes in the color maps and heatmap formatting
    widgets.
  *  5810e5c49 - [spreadsheet] allow to remove the heatmap formatting in
    the spreadsheet.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 15 Apr 2021 21:21:18 +0300

labplot (2.8.0+git8265-966951362-3) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 966951362a066334c25ca5149840f6ccf2012fa3
  * Date: 1617287973
  * git changelog:
  *  966951362 - new release
  *  52aab6cb3 - readstat: read notes as comment
  *  0cc557048 - Implemented the search and the synchronization between
    the icon and list views in the color maps browser.
  *  3a2a00470 - Icon view mode in the color maps browser.
  *  e7692c018 - GIT_SILENT changelog
  *  1e6afc2fa - readstat: use start and end column in import
  *  84ea875f8 - [spreadsheet] for the heatmap formatting allow to
    select what to hightlight - the background or the icon of the cells.
  *  50816f959 - readstat: use start and end row in import
  *  9a5375b94 - [spreadsheet] initial implementation of the heatmap
    formatting in the spreadsheet.
  *  f0e920cae - GIT_SILENT made messages (after extraction)
  *  c3926cce4 - Fix build without readstat
  *  20fe897ff - readstat: import data
  *  e2d41a06e - [box plot] performance optimizations: 1. no need to
    calculate the outliers when MinMax whiskers type is selected 2.
    avoid drawing outlier symbols falling onto the same scene point
  *  cc3d743d7 - readstat: Fix preview of empty cells
  *  38c2cd3b5 - Fix compilation without readstat
  *  6428f4311 - Implement preview of readstat files
  *  78d9e4ad7 - [worksheet] finalized the implementation of the custom
    column for axis ticks labels.
  *  558b660c9 - Fix linking libiconv
  *  36e5de667 - Added all colormaps from the collection Scientific
    Colour Maps.
  *  a2d0fb7a6 - Link libiconv if necessary
  *  f2df522d4 - Try another linking fix
  *  009a49dd8 - Merge branch 'master' of https://github.com/KDE/labplot
  *  2ab2581b5 - Try again fixing linking
  *  64760ac8c - try to fix test builds
  *  31f58f740 - Try fixing linking problem with readstat
  *  739bbd373 - [worksheet] better logic in LabelWidget to decide
    whether it should be possible to position a text label via logical
    plot coordinates or not.
  *  4d028f186 - Fix typo
  *  f953a8bcb - Read file info for all formats supported by readstat
  *  dcd6f0c87 - GIT_SILENT changelog
  *  5be53a66b - Add readstat import filter
  *  3a353342e - Update readstat to 1.1.5
  *  5af556179 - changelog
  *  c8ed59182 - [box plot] switched to the 1.5*IQR whiskers type and
    minor fixes in the theme handling.
  *  a3b95ce32 - Fix square and inverse axes scale
  *  0c0abf336 - Merge branch 'master' of https://github.com/KDE/labplot
  *  0156a8e4c - Fix sqrt scale and add inverse scale
  *  8217804a1 - [worksheet] added a new theme Tufte following Tufte's
    minimal ink, maximal data philosophy.
  *  f27385597 - [worksheet] added missing slot implementation for the
    custom column changes for axis ticks in the properties widget.
  *  a838f5c0e - [worksheet] add widgets to allow to use a custom column
    for axis labels. The actuall consumption of the custom column still
    needs to be implemented in Axis.
  *  eb152759c - Fix crash in log scale
  *  fc7151799 - Removed some outdated colormaps related code and added
    the first color maps from the collection Scientific Colour Maps
    (http://www.fabiocrameri.ch/colourmaps.php).
  *  61acfff52 - Spreadsheet export: don't allow selection of FITS
    export if cfitsio is not available.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 01 Apr 2021 19:26:05 +0300

labplot (2.8.0+git8222-aea43b38b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: aea43b38bee0c5f32c6bb7f0d7e4878c807ce081
  * Date: 1616013378
  * git changelog:
  *  aea43b38b - Fix potential memory leak
  *  34da49786 - [spreadsheet] simplified the wording in the Manipulate
    Data part of the context menu.
  *  35aa2e4f7 - Fixed a couple of places where Qt's container could be
    potentially detached in the for-range loops.
  *  26fad12ca - [spreadsheet] removed some unneeded intermediate
    retransforms in the plots shown in the column statistics widget to
    improve the performance on big data and made the dialog more
    responsive.
  *  3f354de65 - Switched from gsl_sort to std::sort also in the column
    statistics widget.
  *  b6c73f22f - [spreadsheet] replaced gsl_sort with std::sort which is
    300% faster and some further minor cleanup in
    Column::calculateStatistics().
  *  ac468f4f3 - Fine tune extending/shrinking axes to nice values
  *  58172a001 - [worksheet] removed some more copy&paste code in
    CartesianPlot.cpp
  *  b0427a7d6 - [worksheet] removed the old and commented code that
    took the sizes of the error bars into account when doing the auto-
    scaling in the plot.
  *  9fb292ef8 - GIT_SILENT changelog
  *  5df201460 - Improve auto axis when zooming
  *  2132d5700 - Fix precision of axis tick label for big numbers
  *  269f491d5 - Improve axis auto range and add tests
  *  eed3cafa8 - [spreadsheet] initial code for the conditional
    formatting in the spreadsheet.
  *  1efda5f41 - Fix crash adding new axes
  *  c8ff57279 - Allow to copy&paste histograms and box plot and also
    show the waiting cursor when the objects are being copied.
  *  f9927e8d3 - [spreadsheet] hide the freeze/unfreeze column action
    instead of disabling it for non-first columns in the spreadsheet.
  *  2bd49a99c - Added the Diverging Color Maps for Scientific
    Visualization.
  *  c48fb65d0 - Fix saving of plot padding and avoid checking for old
    settings
  *  896f2ebbd - Improve auto number of axes ticks
  *  c6a4cc20b - [spreadsheet] don't limit the number of rows shown in
    the column properties widget to 16777215. The column can have more
    values.
  *  faea8e30e - [spreadsheet] delay checking whether the current
    selection has some masked and unmasked cells to enable/disable the
    corresponding action in the context menu to a later point when this
    sub-menu for the selection is really opened. This improves the
    performance for big selections in the spreadsheet.
  *  e8c412fae - Merge branch 'master' of
    invent.kde.org:education/labplot
  *  a5a3bbd69 - Minor fixes.
  *  d891aa495 - Don't show FITS meta data editor menu if cfitsio it's
    not available
  *  634123c40 - Use auto number of axis ticks
  *  8338bef53 - Implement auto tick count for axes
  *  e2d6349be - [spreadsheet] show the pdf-normalized histogram in the
    KDE plot in the column statistics dialog.
  *  896d7f88b - [histogram] count density and probability density
    normalizations.
  *  661c77ce1 - [worksheet] extended the logic in previous commit also
    to BoxPlots.
  *  bece2e8a0 - [worksheet] when adding new curve like objects to the
    plot (xy-curve, histogram, etc.) and assigning the color index from
    the current theme, determine the index for children of all types and
    not within one type only. I.e., if a xy-curve was added and a
    histogram after this, the histogram should already get the second
    color from the palette.
  *  27c041510 - [histogram] implemented the normalization of the
    histogram. The normalization type Count is the usual normalization
    with the height of each bar being equal to the number of elements in
    the bin. The normalization type Probability normalizes the height by
    the total number of elements in all bins (the area below the
    histogram envelope is equal to 1). Other normalizations will be
    implemented later.
  *  da416ac08 - [worksheet] use Text instead of Text Label in the
    context menu of the plot to be consisted with the wording used in
    other areas.
  *  f6caf843e - [worksheet] fixed the regression where the label
    positioning was possible via coordinates for axis title label.
  *  1d3f2b0bd - GIT_SILENT changelog
  *  8e6b2b018 - Worksheet export to more image formats
  *  3c32aa99f - First version of the Color Maps Browser. This dialog
    will be used later to select a color map for different purposes in
    the application like for the conditional formatting in the
    spreadsheet, for heatmaps, etc. In the initial version all color
    maps from the CollowBrewer collection are included.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 18 Mar 2021 23:58:45 +0300

labplot (2.8.0+git8185-5a3eab2ca-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 5a3eab2caf05f8e0a57359776a7853c7eeafa0ae
  * Date: 1614735370
  * git changelog:
  *  5a3eab2ca - GIT_SILENT made messages (after extraction)
  *  3a780f53f - Off by one typo
  *  1c2413b14 - typo
  *  a9369dba8 - use std namespace
  *  2c6642280 - Use std::isnan
  *  90ea8f97f - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  0bafa3e8a - GIT_SILENT made messages (after extraction)
  *  980de5de4 - Hilbert transform curve with dock and implementation
    including tests
  *  441667522 - Update splash image
  *  35db54570 - [spreadsheet] properly resize the internal data
    containers created for the Q-Q plot in the statistics dialog.
  *  ab069ad3b - Make datetimeedits wrap
  *  0ca1c1a9f - Add missing save and load of datetime format
  *  68828f183 - [spreadsheet] make the plots in the column statistics
    widget non-interactive and switched to the default color theme for
    all plots in this dialog.
  *  05c5e5923 - Improve range display
  *  db4590df7 - [spreadhsheet] allow to plot box plots via the Plot
    Data-Dialog.
  *  330289fef - User QJsonValueRef instead of auto& in the range-based
    for-loops in ImportDatasetWidget.cpp to avoid copies of containers
    because the range of type 'QJsonArray' does not return a reference
    (clang warning).
  *  0740051bf - [spreashdeet] implemented KDE plot in the column
    statistics widget.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Mar 2021 23:15:40 +0300

labplot (2.8.0+git8168-692d18ef0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 692d18ef0b542bfe3a9c5786a1cfedc3c9cbe48a
  * Date: 1613820077
  * git changelog:
  *  692d18ef0 - [box plot] fixes: 1. don't show whisker types that are
    not implemented yet 2. update the color of the lines in the
    comboboxes on load in the properties widget 3. fixed the
    transformation of the position of the mean symbol
  *  b23ccaf47 - Updated ChangeLog for 2.8.2.
  *  c83c1421d - [spreadsheet] simpliefied the wording for the actions
    to make the difference between remove cells and clear cell content
    more clear.
  *  1365ddfd8 - [spreadsheet] when selecting a column in the project
    explorer, make sure it becomes visible in the spreadsheet by
    scrolling horizontaly to its position.
  *  a34c77b3c - [worksheet] 1.  adjust the range format (numeric vs.
    datetime) also when the the column of the first curve is changed and
    not only when a new curve is added 2.  simplified the naming of the
    initial axes for the default plot types (box blot with four axes,
    etc.)
  *  2643b60f6 - Fix crash due to function argument mismatch
  *  908283f18 - [box plot] implemented the horizontal orientation.
  *  64de0418f - Respect start column when importing column names from
    ASCII file
  *  bc6257efa - Less debugging
  *  79b904509 - Fix ASCII import when start column > 1
  *  b02d55547 - [spreadsheet] when removing or inserting rows in the
    spreadsheet, update the vertical header _after_ the new row count
    was determined. This will solve issues in the spreadsheet when a
    wrong number of rows was displayed in the spreadsheet after the user
    has modified this number in the properties explorer.
  *  ac2a7949b - Read until the end of the current element in XML in
    case we failed to load it because of the missing CAS support and
    continue reading the project after this.
  *  cc5561541 - Improved the logic in the XML parser to better
    differentiate between failed because of the missing CAS and failed
    because of the broken XML.
  *  14af0c2f6 - [spreadsheet] don't skip int and big int columns when
    showing the statistics dialog for the spreadsheet.
  *  b00907833 - [spreadsheet] added the reference line connecting (x1,
    y1) = (-0.6745, Q1) and (x2, y2) = (0.6745, Q2) in the Q-Q plot in
    the column statistics dialog.
  *  1aa01a328 - Minor improvements of the previous commit for the
    notification about the missing CAS support.
  *  fd988f923 - Improve auto scaling of ranges by rounding
  *  a49de598f - In case the project to be opened has some CAS content
    (octave, maxima, etc. worksheet) and the current LabPlot
    installation either competely lacks the support for CAS or the
    required plugins are missing, notify the user about it and warn
    about the potential data looses if the project is opened, modified
    and saved.
  *  c61986d3f - Add missing non-linear scale implementations and clean
    up
  *  9ddcc96f9 - More log scale checks
  *  c3929d2db - Use ';' in range notation to avoid clash with decimal
    or group separator
  *  8e5dc7aad - log scale check and changelog
  *  73a0686f7 - [worksheet] don't allow to set axis label's position
    via plot's logical coordinates.
  *  f99fed2cf - More axis scale improvements and clean up
  *  a98dac14a - axis scale clean up
  *  8297b89d5 - Add new file
  *  e90ddf9d0 - Simplify scale usage
  *  71fc60be2 - Fix scale in docks
  *  fdd362ca1 - Simplify scale types
  *  ebe140960 - Better scale naming
  *  4bab15fb2 - minor warnings fixed
  *  0c5cd9fd2 - fix memory problem in project import test
  *  d49bfc844 - Don't crash when closing the statistics column dialog
    and properly repaint the box plot.
  *  df560dd60 - fix possible memory problem
  *  753a2f597 - [spreadsheet] Q-Q plot im Column Statistics Dialog.
  *  a6a858ac2 - finally fix memory leak
  *  e583f2809 - another try fixing memory leak
  *  e5b94c352 - another try fixing memory leak
  *  57432a40a - try fixing memory leak
  *  3421f00b0 - Fix regression in origin project import
  *  3eb89d094 - [worksheet] repaint the histogram if only the pixmap
    was changed (filling enabled/disabled, etc.) so the effect is
    immediately visible and simplified logic in xy-curve and histogram
    to draw the symbols.
  *  957edf5d9 - [box plot] for the mean symbol use the mean value, not
    the median.
  *  fa8547edd - [import] show the correct number of rows after the
    import for the currently selected spreadsheet in the project
    explorer.
  *  8acc6da2c - [import] don't generate any preview in the import
    dialog when the options together with the preview widget are hidden.
    This is helpful when the user is browsing through the content of a
    big file and the generation of the preview is very expensive (e.g.
    big JSON-structures, etc.).
  *  0ef92abc8 - [box plot] improved the handling for deleted data
    columns.
  *  b1d93d791 - [worksheet] don't skip the inivisble data points when
    calculation the drop lines, we still need to determing the parts of
    the drop lines falling inth the current plot region.
  *  de1af5a5d - Fix auto scale usage (crash in xy-equation curve)
  *  bf9686d0b - better number default settings
  *  512090644 - reorder axis tick label format options
  *  a880226e4 - GIT_SILENT changelog
  *  89dc2cb7a - Fix typo in export spreadsheet dialog
  *  8d8e80872 - Fix LaTeX export of large tables (MR 16)
  *  70398871a - fix typos
  *  54c9b3433 - Fix crash in box plot
  *  4b46a2656 - nsl: Error handling
  *  06599a8fe - Fix regression
  *  19e55e61c - Merge branch 'master' of https://github.com/KDE/labplot
  *  7518f40e5 - Fix page clippling and loading plot range form old
    projects
  *  222b79bca - [box plot] react on column changes
    (deleted/added/renamed).
  *  3e0d20db1 - Minor fixes: 1. don't change the current selection in
    the project explorer during undo/redo 2. improved the handling of
    the initial read of the WindowState settings section 3. don't show
    any error messages for the empty files name when the import dialog
    is opened for the first time 4. properly enable/disable the
    histogram filling related widgets in the histogram properties widget
  *  b16af7668 - Merge branch 'master' of https://github.com/KDE/labplot
  *  8136c73c3 - [ascii import] when importing into the spreadsheet in
    the Append or Prepend mode,  ensure the uniqueness of the column
    names to avoid name collisions  of the new with the already existing
    columns in the spreadsheet.
  *  22d161c6a - undoable range settings
  *  98e25fd1b - fix loading plot range index
  *  467822dc3 - merge fix
  *  6e5313f48 - Fix autoscaling when deleting curves

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Feb 2021 16:22:55 +0300

labplot (2.8.0+git7981-93da2c213-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 93da2c2134e3ff0dc966d7c381364f22c85adbd9
  * Date: 1612385397
  * git changelog:
  *  93da2c213 - [boxplot] restore the pointers to the saved data
    columns on project load.
  *  7ea2e535d - [boxplot] generelized to multiple data columns
    (datasets) per boxplot.
  *  c4a151148 - Updated the ChangeLog file for 2.8.2.
  *  bdb3e5378 - [boxplot] decoupled the calculatins of of the box plot
    geometry from the actual drawing of rects, lines and symbols and
    minor changes in BoxPlotDock.
  *  00053a063 - [boxplot] draw only the unique outlier points. This is
    helpful for datasets with many repeating values for the outliers.
  *  2c4eb96a0 - [spreadsheet] added BoxPlot to the column statistics
    dialog. The original commit for this was incomplete.
  *  47ada8c4e - Use the canonical URL for docs.kde.org addresses
  *  e22141781 - Fix the windows build.
  *  512be321e - [boxplot] add missing changes in the ui file.
  *  450773921 - [boxplot] allow to add multiple data columns for the
    boxplot, the UI-part of the implementation right now.
  *  1974effdb - [spreadsheet] added BoxPlot to the column statistics
    dialog.
  *  cadcec22e - [boxplot] more code to show, load and save the boxplot
    properties.
  *  d3193110f - Added the changes that were forgotten in the previous
    commit...
  *  645373e30 - [box plot] symbols for outliers and for the mean value.
  *  e590a0cd3 - Moved the drawing of the combobox items for the
    different Symbol styles to a central place in GuiTools.
  *  52e8db1a5 - [box plot] median line.
  *  d55393660 - [box plot] added whisker properties.
  *  785119b4b - GIT_SILENT made messages (after extraction)
  *  f92f41064 - Simplified the logic to notify about the availability
    of Columns in TreeViewComboBox and moved it out of XYCurveDoc to
    TreeViewComboBox so it's also easily accessible for Histograms, etc.
    Checking the availability of columns is working now also in
    Histograms properly.
  *  1f934b891 - [worksheet] added missing changes in Histogram.cpp for
    datetime data and also fixes save/load of datetime range properties
    in the plot.
  *  82843a9c8 - [worksheet] DateTime support in Histograms.
  *  3e8b1b7e5 - [worksheet] convert the plot range format to datetime
    also when the first histogram for datetime data was added.
  *  fdb641f7a - [histogram] properly restore the saved values column in
    the histogram and also save the values formatting properties.
  *  164380729 - [spreadsheet] extended the statistics dialog by showing
    more information in addition to the descriptive statistics we have
    right now - histogram, boxplot, etc.  At the moment only the
    histogram is implemented and we'll additional content step by step.
  *  3b90d3e03 - If the deleted columns are being restored, restore the
    column pointers also in the histograms.
  *  e39878ae5 - When deleting an aspect, emit the about to be removed
    signal also for all its children. This allows to remove the bad hack
    in XYCurve to be aware of deleted columns when the parent
    spreadsheet is being deleted. This is also more generic now and
    applies for other curves like the histogram, too. So, the histogram
    is now also properly reacting of spreadsheet or workbook deletions.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Feb 2021 23:52:10 +0300

labplot (2.8.0+git7955-446332bd1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 446332bd114ce7cf80bec73618e66814f3b06748
  * Date: 1611217355
  * git changelog:
  *  446332bd1 - Refactored the logic to update the column dependencies
    on column name changes to avoid code duplication and made this logic
    more complete by taking also the value columns in the curves into
    account.
  *  7e9a70a6f - Fixed a wrong signal-slot connection in CartesianPlot.
  *  8620a45de - [import] further reduced the number of objects in the
    XML file to be parsed when doing the preview of a project to be
    imported. We pre-load only those objects that are relevant to check
    the dependencies across the project.
  *  b747394ee - Fixed issues introduced with the previous commit: 1.
    fixed compile error when building without HDF5 lib 2. removed
    unnecessary test file
  *  d29aec661 - [import] #ifdef the different file formats in
    AbstractFileFilter::fileType() so we don't try to parse for example
    a netCDF file when the application was compiled without any support
    for netCDF.
  *  af2cd0359 - [import] show the last recently imported projects in a
    combobox also in ImportProjectDialog.
  *  8ed763170 - [worksheet] minor fixes: 1. react on TextChanged
    instead on ReturnPressed in HistogramDock. 2. removed unneeded
    member in ReferenceLine. 3. new signal-slot syntax in
    XYEquationCurveDock.
  *  f7f970045 - [worksheet] draw the text for the cuve values via
    QPainter::drawText() and not via QPainter::drawPath() in oder to get
    the text exported as text in SVG and not as a polygon.
  *  3177e2517 - GIT_SILENT Changelog
  *  48310f0bd - [worksheet] save/load the values format in xy-curve and
    react on text change for values prefix and suffix and not on return
    pressed event.
  *  b14ba6fa6 - [worksheet] minor fixes and improvements in some
    classes.
  *  f39f2ab1d - Initial code for BoxPlot.
  *  43e55f58c - Removed the setPrinting() override in Historgram and
    Legend.
  *  6165f15eb - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  209a635f7 - GIT_SILENT made messages (after extraction)
  *  8cb743866 - When creating new histograms via the plot data dialog,
    set the title text of the y-axis to Frequency and some refactoring
    in PlotDataDialog.cpp to have more re-use of the common code.
  *  113b6fd56 - [worksheet] we need to reverse the horiz. and vert.
    layout icons from the breeze theme since the reverse order is better
    fitting into what we're doing in the worksheet layout with this. The
    icons were changed already in the main toolbar and we need to change
    them also in the worksheet properties widget where the layout type
    can also be modified.
  *  3f93b1c7e - [worksheet] moved the function isPrinting() to the base
    class since the implementation is the same for  all worksheet
    elements.
  *  821908b70 - [worksheet] when changing plot area padding, generate
    one single entry on the undo stack in case the symmetric padding is
    used.
  *  5a5a56cb3 - [worksheet] improved the calculation of the bounding
    box of the plot when the selection box has to be drawn. Still not
    optimal, will be replaced by a different solution later.
  *  96dab170e - [worksheet] use the appropriate color from the current
    theme also for the lines of the different mouse cursor modes like
    zoom&select and crosshair to avoid situations where we're drawing
    black lines on the black plot area.
  *  97b55ab5e - [spreadsheet] removed the Binary format in the export
    dialog since it's not supported yet.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 21 Jan 2021 22:41:21 +0300

labplot (2.8.0+git7933-436f8fd7c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 436f8fd7ca7fe885ae52cff88a7a9ecb5d3d9634
  * Date: 1609948361
  * git changelog:
  *  436f8fd7c - [spreadsheet] minor layout fix in the export
    spreadsheet dialog.
  *  b3bc9a083 - [worksheet] minor fixes: 1.  show the full context menu
    of the worksheet in the view including the base actions like rename,
    delete,  copy&paste,  etc.  so the user is able to perform them
    directly in the view,  too. 2. properly handle the copy&paste of the
    info elements
  *  a9bc9e720 - [worksheet] apply theming also for the reference lines.
  *  28329a300 - Allow to copy&paste custom points,  reference lines and
    info elements and some cleanup in CustomPoint.
  *  b2b99980b - Silence some compiler warnings in macros. h and more
    cleanup in InfoElement.cpp.
  *  82fc3c1dc - Allow to copy&paste analysis curves.
  *  fb09b7baa - React on copy/paste/duplicate shortcuts also in the
    worksheet view.
  *  e5e991b39 - Show an error message in a message widget in the
    project explorer in case the copied object cannot be pasted in the
    currently selected object (because of the incompatible types).
  *  4d75f8164 - React on shortcuts for copy,  paste and duplicate user
    actions in the project explorer.
  *  f39904181 - Show in the context menu the name of the object that
    can be pasted.
  *  cbf03949a - Allow to duplicate objects in the project explorer
    (fast copy&paste under the same parent).
  *  9427b143a - Make copy&paste undo/redo-able in one single step and
    added code changes in Project.cpp that should have been part of the
    previous commit already.
  *  7abc94383 - Simplified the initialization of the legend and added a
    special logic for copy&paste of a legend to ensure there is only one
    single legend object present per plot.
  *  559677cf2 - More complete implementation of copy&paste in the
    project explorer.
  *  09d7230a8 - Fixed the invalid XML generated for copy&paste (the
    root element was missing) and restore the pointers after the object
    was pasted.
  *  7b6ce31c3 - [worksheet] more for the implementation of the label
    positioning via the logical coordinates.
  *  c1fba943c - Fix typo
  *  75e64d4b6 - [worksheet] more code to enable the positioning of text
    labels via logical coordinates.
  *  211775127 - [worksheet] properly update InfoElement's label on
    position changes.
  *  badd91bc0 - Fixing the build...
  *  fd5782d19 - [worksheet] simplified the save/load logic in
    InfoElement.
  *  1006a9dc5 - GIT_SILENT Updated ChangeLog.
  *  b91157e97 - [worksheet] support for DateTime in CustomPoint
    properties widget and more usage of READ-macros in
    CustomPoint::load().
  *  54e86f4ef - [worksheet] new curve symbols heart and lightning.
  *  be42a5d55 - [worksheet] for custom points being children of an
    InfoElement, the position is changed via the parent settings ->
    disable the positioning in CustomPointDock.
  *  1dca79e79 - [worksheet] if binding to logical coordinates is
    selected in the label widget, hide all widgets used for absolute
    coordinates.
  *  fb1b5818c - Added the preparational code for the copy&paste
    functionality in the project explorer.
  *  3374e95d7 - [worksheet] don't add axis ticks' lines to the axis
    path if the line stily for ticks is no line.
  *  cb71de515 - [worksheet] improvements in the ExportWorksheetDialog:
    1. export the whole worksheet if export selection was selected but
    there is no selection instead of exporting an empty image which
    results in an error. 2. don't ask the user twice whether the
    selected target file should be overwritten.
  *  9783c6563 - [worksheet] better looking preview image for themes
    showing more features (text labels, curve symbols and legend).
  *  ab16fc84b - Added new themes Monokai, ggplot grey and ggplot dark.
  *  a247a27c2 - Better wording for the title string of the properties
    explorer set in GuiObserver.
  *  587621a80 - [worksheet] supress more unwanted entries on the undo
    stack caused in InfoElement.
  *  1c60ba310 - [worksheet] don't put visibility changes of info
    element's labels onto the undo-stack and removed some dead code in
    InfoElement.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 06 Jan 2021 22:48:52 +0300

labplot (2.8.0+git7899-97a4ee0ca-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 97a4ee0ca6659a7d504c16a68f55275ad2f5a499
  * Date: 1608830269
  * git changelog:
  *  97a4ee0ca - [worksheet] fixes and improvements in CustomPointDock:
    1. react on text changes and not on return pressed in text fields 2.
    properly handle the locale in text fields 3. use white color for
    symbol icons on dark themes 4. new signal-slot syntax
  *  09a50dc84 - [worksheet] show all available symbol styles for the
    custom point (last possible enum value was missed).
  *  d526f72dc - [worksheet] removed additional memeber x and y in
    InfoElement::MarkerPoints_T since these values can also be obtained
    via the custom point which is also a member of this struct.
  *  a33309bcc - [worksheet] properly update the placeholders in
    InfoElement's label when curves are added/removed and use the proper
    data time format for the y-values in case DateTime is in use.
  *  41dde6c67 - [worksheet] added again the return value deleted by an
    error in the previous commit.
  *  3003905b5 - [worksheet] use the proper column mode dependent
    valueAt*() in info element when determining the nearest possible
    data point.
  *  07eeefbe7 - [worksheet] initial support for DateTime in the info
    element.
  *  53cfe4ecf - [worksheet] performance improvements in
    InfoElement::retransform().
  *  bc97cbdc9 - [worksheet] don't print any plot artifacts associated
    with the different mouse cursor modes (zoom&select, crosshair and
    cursor lines), more robust handling of the mouse cursor shapes when
    switching between the different modes and some minor optimizations
    and cleanup in the code.
  *  113edc507 - [worksheet] implemented the crosshair cursor mode in
    the plot.
  *  87f22b05b - [spreadsheet] allow to freeze the first column in the
    spreadsheet.
  *  fa867f44a - [worksheet] don't allow any context menu for custom
    points of an info element (everything is controlled via the parent)
    and use curve names to name the points.
  *  d509b1482 - Simplified the logic in AbstractAspect to determine
    when to allow the entries delete and rename in the context menu.
  *  701f5ee31 - [axis] Improve tick label auto precision
  *  7111dde90 - [json filter] the icons labplot-json-object and labplot-
    json-array are not part of the breeze icon theme (yet) and with this
    they are not shown in the ImportFileDilog in the preview window for
    JSON files on Windows and macOS. To overcome this we draw the icons
    directly with QPainter when initialization the preview for JSON.
  *  fd36fe9f2 - [json filter] automatically use the JSON-filter for HAR
    files in the ImportFileDialog.
  *  f27358a3e - GIT_SILENT changelog
  *  d39191037 - [axis label] improve notations
  *  bdf69fa64 - [axis label] Fix auto rounding of small numbers
  *  915e17e1c - [axis label] Switch to scientific format also for very
    small values (TODO: auto precision fails for scientific formats)
  *  e152cf98a - Support real scientific notation of axes label besides
    scientific E notation
  *  436bf6f08 - Add link to windows store in AppStream
  *  43818527d - SVN_SILENT made messages (.desktop file) - always
    resolve ours
  *  2ca8a3961 - GIT_SILENT made messages (after extraction)
  *  b2c963ce7 - [worksheet] removed the dialog used to create the info
    element to be more consistent with the creation of all other objects
    on the worksheet - the user has to do all the settings directly in
    the dock widget.
  *  6f1752002 - [worksheet] update the connect to curve combobox in
    InfoElementDock when new curves are selected/deselected in the list
    widget for all available curves.
  *  e9ac66222 - [worksheet] don't crash when adding a new info element
    for a curve that doesn't have any data set yet and properly load the
    saved QPen settings in InfoElement::load().
  *  8da67bb11 - [settings] Added number options
  *  6ffcc73c5 - [worksheet] properly enable/disable the ok-button in
    the export worksheet dialog when switching between export to file
    and export to clipboard.
  *  5143c708f - [worksheet] for the InfoElement, show it's title
    directly in the dock widget and not as a child.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 24 Dec 2020 23:39:01 +0300

labplot (2.8.0+git7869-73120f7ef-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/KDE/labplot.git
  * Branch: master
  * Commit: 73120f7ef1ee93086895583d7fa6227884c95233
  * Date: 1607636335
  * git changelog:
  *  73120f7ef - Added missing changes on InfoElementPrivate.h.
  *  17a5bb16f - [worksheet] improvements in InfoElement: 1. added all
    properties for lines that we also have in other areas 2. add new
    tabs in the dock widget for the label and for the lines 3. reworked
    the logic in save/load.
  *  5f5b1fa5a - GIT_SILENT Add KUserFeedback to INSTALL
  *  1a70ca84e - [worksheet] in the datetime combobox for axis labels
    react also on text changes and not only on index changes.
  *  3b159a1c1 - Fix clang warnings
  *  809a8d4a5 - [worksheet] don't crash when loading a project with a
    saved info element.
  *  8aa5c5497 - [worksheet] properly handle the locale for the info
